Getting started with CuteFTP Home

If you're new to the Internet or to CuteFTP Home, here's the information you need to get started.

  • CuteFTP Home's main screen

  • Making your first connection

  • Transferring files and folders

  • What's new

Support

Questions? Navigate to http://www.globalscape.com/support for information on customer service, technical support, software registration, product manuals, and downloads, as well as access to GlobalSCAPE's Knowledge Base and FAQs.


What's New in CuteFTP v8

CuteFTP 8 Home New Feature Highlights

New features for CuteFTP Home include:

  • Subscribing to media files and publishing media files using the CutePODCast Manager.

  • Finding files and folders using the Site Search feature.

  • The Import/Export FTP Sites Wizard that guides you through the steps to add sites to your Site Manager from simple text listings or from site listings in the various FTP clients.

  • The Connection Wizard guides you through the steps to connect to a site and save the site to the Site Manager.

  • Capability to hide the SKA information by selecting the Do not record SKA activity in the log file check box in the Smart Keep Alive settings.

  • Trouble Ticket Generator to provide better consistency in handling errors.

  • The Time Zone Synchronization feature that helps in synchronizing time for all the time zones.

  • Scheduling uploads from your local computer to a server using the Upload Scheduled Wizard.

  • Capability to compress the files during transfer by selecting the Turbo Mode check box in the Transfer settings.


About CuteFTP

About CuteFTP Home

CuteFTP is a Windows-based File Transfer Protocol (FTP) application that allows you to utilize the capabilities of FTP without having to know all the details of the protocol itself. CuteFTP Home simplifies FTP by offering a user-friendly Windows interface instead of a cumbersome command-line utility. CuteFTP gives novice PC users the ability to upload, download, and edit files on remote FTP servers around the world.


Registering CuteFTP

CuteFTP must be registered, or activated, within 30 days or it will no longer function. To register and fully activate your software please input the Registration Serial Number you received when you are prompted to do so. For the registered user name, you may use either your first and last name or your company name. This information appears under Help > About CuteFTP from the menu bar.

To ensure your software is registered accurately, we recommend you provide all of the optional details that are requested. This helps us confirm your eligibility for technical support or any upgrades that may become available in the future.

To activate CuteFTP

  1. From the CuteFTP menu, select Help > Enter a serial number. The HomeRegistration wizard opens.

  2. Enter the serial number in the Serial Number field and click Next.

  3. Enter your name,email, company name, and other details and click Next.

  4. Click Backup and Print Registration Data to take a backup of the serial key in the text format on a local drive. The Backup Registration Location dialog box opens.

  5. Browse for the folder to enter the path where you want to save the backup and click OK.

  6. Click Finish.

Troubleshooting product registration

If registration fails, try the following:

Invalid serial number

Make sure the serial number is valid. It is not case sensitive; however, it is alphanumeric and must be entered exactly as it displays on your invoice or label. If you received a digital invoice, try copying the serial number to the Windows clipboard and then paste it into the serial number box in the registration wizard.

Serial number entered for the wrong product type

Registration serial numbers are specific to a particular product. For example, you cannot register CuteFTP Professional with a CuteFTP Home serial number and vice-versa. A serial number for version 8 cannot register version 7 and vice-versa; there are different keys for enabling the CutePODCast Manager feature in the CuteFTP. Double-check your invoice to see what product and version you purchased. Compare that to the product name and version shown in your Help About box or on the Splash screen. If they do not match, then download the correct product from the GlobalSCAPE website. If you have accidentally purchased the wrong product, then contact the GlobalSCAPE support team.

Registration unable to complete due to a network problem

Because activation takes place over the Internet, CuteFTP must be able to connect to our registration server to complete the activation process. If it cannot connect or complete the process, it will prompt you with various alternatives. You can go through a manual registration process, where you e-mail us certain information and we subsequently reply with an unlock code, or choose to register via a Web form, which also provides you with an unlock code. The final alternative is to continue as an "unverified" registration, which means that we will honor the serial number you provided as valid for now, and attempt to complete the activation process later once a connection to the registration server is secured (checked at application startup).

Note:

To register successfully, you must be connected to the Internet and have administrator privileges on your computer. If a firewall or proxy server is in use, the network administrator should ensure port 80 is open during the registration process.

Unable to connect due to proxy settings

In the Registration Failed dialog, click on the HTTP Proxy button and modify your proxy settings so that CuteFTP can perform HTTP (Web) transactions. If you don't know how to edit these fields, check with your system administrator.

Lost serial number

If you cannot locate your serial number, you can obtain a copy from GlobalSCAPE Support by selecting Help > Locate a lost serial number from the CuteFTP menu if you still have the original e-mail address used to purchase the software. If you no longer have access to that e-mail account or don't recall what e-mail address you used, contact customer service department and provide your name, address, order ID or any other pertinent data that you believe might help us locate your original purchase record.


Transferring files and folders

To upload files (transfer from a local to remote computer)

  1. Connect to a remote site.

  2. In the Local pane, locate the file or folder you want to upload.

  3. Select and drag the item from the Local pane to the Remote pane.

To download files (transfer from a remote to a local computer)

  1. Connect to a remote site.

  2. In the Remote pane, locate the file or folder you want to download.

  3. Select and drag the item from the Remote pane to the Local pane.


Frequently asked questions

  • How do I set up a connection to my FTP Server?

  • What is my FTP Host Address?

  • What is my user name and password?

  • How do I upload my files with CuteFTP?

  • How do I transfer files from one site to another (CuteFTP Professional only)?

  • How do I navigate the directory tree in CuteFTP?

  • How do I change the permissions of my files (CHMOD)?

  • How do I delete files off my server?

  • Why can't I connect to my FTP site?

  • Does CuteFTP support SSL (FTPS) and SSH2 (SFTP)?

  • How do I connect if I’m behind a firewall?

  • Why won’t my files transfer?

  • How do I remove files from CuteFTP that have finished transferring?

  • What is the Transfer Engine (TE)?

  • How does CuteFTP Professional & Home differ?

  • How can I get a copy of CuteFTP?

  • How long does it take to download?

  • Do you offer any online or offline support?

  • How can I best describe my problem if I contact technical support?

Note:

Reference the troubleshooting section for answers to problems frequently encountered.

How do I set up a connection to my FTP Server?

First time users should use the Connection Wizard, located under File > Connection > Connection Wizard. It will bring up a window that will ask you for a Label for the site and the rest of the login information provided to you by your Web Host Provider.

What is my FTP Host Address?

This information is assigned by your Web Hosting Provider. If you Don't know what the FTP address is or are not sure, you can contact your Web Hosting Provider or Internet Service Provider and they can give that information to you.

What is my user name and password?

Your Web Hosting Provider or Internet Service Provider assigns this information. If you need to find out what this information is, you can contact them and they will be able to give that information back to you.

How do I upload my files with CuteFTP?

First you must connect to your site. Once connected, you can upload your files by browsing to the directory where your files are located on the left hand window of the screen. Click on the files you wish to upload and drag them across to the corresponding right hand window (the server side). You will see the upload progress of your files in the queue window at the bottom of your CuteFTP window.

More on transferring files and folders.

How do I transfer files from one site to another?

In CuteFTP Professional, connect to two different servers. Click on the files you wish to transfer located in the first server window. Drag and drop these files to the second server window and they will be transferred from the first server to the second server.

More on site-to-site transfers.

How do I navigate the directory tree in CuteFTP?

The Local Drives pane, located on the left-hand side of the screen, shows files and folders on your computer. The left pane in CuteFTP Professional shows you both the Local Drive pane and the Site Manager as separate tabs. You can navigate your local drives in the same fashion as Windows Explorer.

How do I change the permissions of my files (CHMOD)?

Connect to your server using CuteFTP. Click (highlight) the file you wish to change permissions. Right-click on the file and choose Properties. The different options for the permissions are located at the bottom of this dialog box. Only servers that support the CHMOD command will let you change permissions. For the servers that do not support CHMOD, you cannot change permissions.

How do I delete files off my server?

To delete files from your server, simply click on the file you wish to delete and press the Delete key on your keyboard. You can also right-click on the file and click Delete, or you can click on the file and then click on the red X on the toolbar.

Why can't I connect to my FTP site?

If you have tried to log into your FTP site and have been unsuccessful, a window will appear telling you that it could not log in. Click on the button that says Details and it will list the exact error message sent to you by the server. Contact your Internet Service Provider or your Web Host Provider with this error message and they will be able to assist you in getting connected.

See Troubleshooting for more help.

Does CuteFTP support SSL (FTPS) and SSH2 (SFTP)?

CuteFTP Professional supports SFTP which is a component of SSH2. Professional and Home editions support SSL. Check with your server administrator to verify that the server you are connecting to supports SSL or SFTP (SSH2).

How do I connect if I’m behind a firewall?

If you are behind a firewall and you cannot connect, you will need to set up CuteFTP to connect through that firewall. Go to Tools > Global Options and expand the menu option entitled Connection. Click on the either SOCKS4 & 5 or Proxy Server option and fill out the information. If you are unsure of whether or not you are behind a Proxy Firewall or a Socks Firewall or are not sure of the specific settings for that firewall, consult your system administrator for the correct settings.

See Troubleshooting for more help.

Why won’t my files transfer?

If you’ve tried to transfer files and they are not transferring, you will receive a window telling you that the files could not be transferred. Click Details for more information on the exact error message sent to you by the server. Contact your Internet Service Provider or your Web Hosting Provider with this error message.

See Troubleshooting for more help.

How do I remove files from CuteFTP that have finished transferring?

To remove items from the queue that have already transferred or will not transfer, go to Tools > Queue > Remove all and the items will be removed from the queue.

What is the Transfer Engine (TE)?

Built on a modular design platform, CuteFTP Professional’s Transfer Engine (TE) is completely independent of the main application interface. Currently, transfers can continue even after the main interface is exited (if enabled in settings). It offers a COM interface that allows application developers to develop custom FTP solutions.

How does CuteFTP Professional & Home differ?

CuteFTP Professional is targeted towards corporate users or prosumers who need extra security, automation, and management tools. It contains everything the Home version has and is equipped with additional tools such as the Transfer Engine (TE), as well as SFTP, HTTPS, site-to-site transfer capability and more. For a comparison of CuteFTP Home and Professional, visit the comparison page.

How can I get a copy of CuteFTP?

CuteFTP is available by download from our website at www.globalscape.com

How long does it take to download?

Download time depends on your modem speed. On a regular 56K modem, CuteFTP will take about 7 minutes. The time to download decreases as your connection speed increases.

Do you offer any online or offline support?

Free online self-help resources are available for all users at the GlobalSCAPE Help Center. Help is also available via email and telephone for registered users covered by a Priority Support plan. Please visit the GlobalSCAPE Help Center for up-to-date information about all of the technical support options available to you.

How can I best describe my problem if I contact technical support?

If you are having a transfer or connection problem, you may want to enable extended listing in the session log window, reproduce the problem and then copy and paste the resulting log in to our online support request form.


Installing & uninstalling the software

Installing & removing the software

To install CuteFTP on your computer

From a download

  1. Download and save CuteFTP from www.globalscape.com.

  2. Double-click the executable to run the install.

  3. Follow the on-screen instructions.

From a CD

  1. Place the installation CD in your CD-ROM drive. Installation should begin automatically.

  2. Follow the on-screen instructions.

  3. If your CD-ROM drive does not support automatic installation

  4. Place the installation CD in your CD-ROM drive.

  5. Double-click My Computer located on the Desktop.

  6. Double-click the CD-ROM drive icon.

  7. Double-click the Setup.exe icon.

  8. Follow the on-screen instructions.

To remove CuteFTP from your computer

  1. Choose Start > Settings > Control Panel > Add/Remove Programs.

  2. Choose CuteFTP from the list.

  3. Select the Add/Remove button.

  4. Follow the on-screen instructions to uninstall CuteFTP.


CuteFTP's main screen

CuteFTP Home's Main Screen

The main window is used to transfer files to and from remote servers and is divided into four panes. The two center panes represent files available on local and remote drives, much like Windows Explorer. When you first open CuteFTP Home, the upper pane is hidden. You can choose to hide or display the upper pane, the center left pane, and the bottom pane.

CuteFTP Home Main Screen

Upper (Log) pane

The Log pane displays the commands you send and the server's responses. CuteFTP logs this information to inform you of completed transactions or assist in troubleshooting.

  • To display or hide the upper (Log) pane, select View > Show Panes > Log Pane from the menu.

Center left (Local) pane

The Local pane displays files and folders from your hard drive.

  • To display or hide the center left (Local) pane, select View > Show Panes > Local Drives Pane from the menu.

Center right (Remote) pane

The Remote pane displays the files and folders on the remote server.

Lower (Queue) pane

The Queue pane shows the files currently being transferred to the server. If you want to transfer files at a later time, you can also store them here temporarily.

  • To display or hide the lower (Queue) pane, select View > Show Panes > Queue Pane from the menu.


CuteFTP toolbar

CuteFTP standard toolbar

The CuteFTP toolbar has the followings buttons:

Name | Icon | Function
Site Manager |  | Opens the Site Manager and displays the list of your sites.
Connection Wizard |  | Opens the Connection Wizard.
New |  | Opens the Site Properties for dialog box and helps in adding new sites to the site manager.
Connect |  | Connects you to your FTP site.
Quick Connect |  | Speeds up the connection to FTP sites.
Disconnect |  | Disconnects the connection to your site.
Reconnect |  | Reconnects the connection to your site.
Connect to URL |  | Connects you to the URL.
Refresh |  | Refreshes the log pane.
Download |  | Downloads selected files from the remote computer to your local computer.
Upload |  | Uploads selected files from your local computer to the remote computer.
Edit |  | Helps in editing files through the CuteFTP HTML editor.
Rename |  | Helps in renaming the selected file.
New Folder |  | Creates a new folder on the local computer and the remote computer.
Open |  | Opens the selected file.
Delete |  | Deletes the selected file.
Properties |  | Displays the properties of the selected file.
Global Options |  | Opens the Global Options dialog box.
PODCast Manager |  | Opens the CutePODCast Manager.


Keyboard shortcuts

The ALT key allows you to access CuteFTP menu functions through the keyboard. For example, press ALT+F to activate the File menu. Additional shortcuts are listed below.

Key | Function
Backspace | Move to parent folder
Number Pad + | Group select
Number Pad - | Group deselect
Number Pad * | Invert selection
Tab | Moves focus between tabs (documents) in the active pane group
Delete | Delete selected object
Esc | Cancel transfer
F1 | Help
F2 | Rename
F3 | Find next
F4 | Switch between Site Manager and Local Drives tabs
F5 | Refresh active pane
F8 | Display folder information
F9 | Cancel transfer
F10 | Switch between Log Pane and Queue Pane
F12 | Hide or display individual log window
Alt+Enter | Folder, file, or site properties
Alt+Up Arrow | Move to parent folder
Alt+Down Arrow | Select dropdown arrow for active pane
Alt+Right Arrow | Show bookmark dropdown for remote pane
Alt+Left Arrow | Show bookmark dropdown for local pane
Alt+F7 | Display Global Options Dialog
Alt+0 | Toggle show Site Manager/Local Pane view
Alt+1 | Toggle show Queue/Log Pane
Alt+2 | Hide or display individual log window (same as F12)
Alt+3 | Toggle show status bar
Alt+Q | Exit
CTRL + A | Select All
CTRL + B | Bold Font (when in HTML editor), Browse offline (When a site is selected in Site Manager pane)
CTRL + C | Copy
CTRL + D | Change remote folder
CTRL + E | Execute file
CTRL + F | Find
CTRL + H | Launch internal HTML editor
CTRL + I | Italic Font (when in HTML editor mode)
CTRL + J | Launch Connection wizard
CTRL + L | Filter
CTRL + M | Make new folder
CTRL + N | New FTP Connection
CTRL + O | Open (new document)
CTRL + P | Print (when in HTML editor mode)
CTRL + Q | Add current path as new bookmark
CTRL + R | Reconnect
CTRL + S | Save open document (HTML editor mode)
CTRL + U | Connect to URL or underline when HTML editor is active.
CTRL + V | Paste
CTRL + W | View file
CTRL + X | Cut
CTRL + Y | Redo (When in HTML editor mode)
CTRL + Z | Undo (When in HTML editor mode)
CTRL + F4 | Close active pane
CTRL + F8 | Quick Connect
CTRL + ~ (tilde) | Move focus between left, right and bottom panes
CTRL + PaGe DowN | Download
CTRL + PaGe UP | Upload
CTRL + Tab | Move focus right to left among open connections and documents
CTRL + ENTER | Edit selected document (also creates a line-break when in the integrated editor's Find/Replace utility)
CTRL+ALT + T | Edit selected document (also creates a line-break when in the integrated editor's Find/Replace utility)
CTRL+SHIFT+A | Add anchor (when in HTML editor mode)
CTRL+SHIFT+B | Change item queue order (place at bottom)
CTRL+SHIFT+C | Add comment (when in HTML editor mode)
CTRL+SHIFT+D | Change item queue order (move down one)
CTRL+SHIFT+I | Font dialog (when in HTML editor mode), Input RAW FTP command when in CuteFTP mode
CTRL+SHIFT+L | Clear entire log
CTRL+SHIFT+T | Change item queue order (move to top)
CTRL+SHIFT+U | Change item queue order (move up one)
SHIFT+F4 | Disconnect


Displaying the Site Manager

To display the Site Manager

  1. Select Tools > Site Manager > Display Site Manager from the menu. A check mark appears next to the menu selection, indicating the Site Manager is visible. To hide the Site Manager again, select it from the menu.

Note:

You can use F4 on your keyboard to toggle the Site Manager on and off.

Warning:

Hiding the Site Manager in CuteFTP Professional hides the Local Drives Pane as well.


Displaying transfer items

Items ready for transfer, in transit, or just transferred display in the transfer Queue. The Queue Pane is just above the status bar along the bottom of the CuteFTP window.

To display transfer files and folders

  1. From the menu select View > Show Panes > Queue Pane (there should be a check mark next to it.). To hide the Queue pane, repeat the same procedure.


Displaying folder contents

To view a listing of local folder contents

  1. Local folders are displayed by default in the left-hand pane.

  2. Double-click a folder to view its contents.

To view listings in a parent folder

  1. Select in the pane where you want to view the parent folder.

  2. Select the Move up folder button.

To update (refresh) a folder listing

  1. Display the folder.

  2. Select in the pane where the folder is displayed.

  3. On the menu bar click View > Refresh.


Hiding the Status Bar

Displaying the Status Bar

You see the Status Bar at the bottom of the CuteFTP window. When you hover the mouse cursor over a tool or menu item, the left side of the Status Bar displays a brief description of the item. The right side of the Status Bar displays information about the current folder in the Remote pane.

To show/hide the Status Bar

  • From the menu, select View > Toolbars > Status Bar. A check mark indicates if the status bar is visible.


Displaying and hiding toolbars

Displaying toolbars

CuteFTP includes four toolbars you can hide or display.

To hide/show the Quick Connect Bar

  • From the menu select View > Toolbars > Quick Connect Bar. A check mark indicates if the status bar is visible.

You can display or hide these toolbars with the same method:

  • Standard Buttons

  • Quick Connect Bar

  • Custom Commands Bar

  • HTML Editor Bar

  • Status Bar


Setting delete prompts

You can set CuteFTP to display a pop-up box asking if you are sure you want to delete an item from the following areas:

  • Local drives

  • Remote sites

  • The queue

To set CuteFTP to ask before deleting files from local drives

  1. From the menu, select Tools > Global Options. The Global Options window appears.

  2. In the left pane, expand Display.

  3. Select Prompts.

  4. In the right pane, select the Confirm when deleting from local drive check box.

  5. Select OK.

To set CuteFTP to ask before deleting files from remote sites

  1. From the menu, select Tools > Global Options. The Global Options window appears.

  2. In the left pane, expand Display.

  3. Select Prompts.

  4. In the right pane, select the Confirm when deleting an item on remote view check box.

  5. Select OK.

To set CuteFTP to ask before deleting items from the queue

  1. On the menu bar click Tools > Global Options. The Global Options window appears.

  2. In the left pane, expand Display.

  3. Select Prompts.

  4. In the right pane, select the Confirm when deleting an item from the queue check box.

  • Clear the same box to stop CuteFTP from asking before a deletion.

  6. Select OK.


Showing connection errors in a pop-up window

Showing connection errors in pop-up windows

During a session, errors are displayed in the connection log to avoid cluttering the monitor and memory during unattended sessions. You can set CuteFTP to show the errors in a pop-up window when they occur.

To show connection errors in pop-up windows

  1. From the menu select Tools > Global Options.

  2. In the left pane, expand Display.

  3. Select Prompts.

  4. In the right pane, select the Show prompt upon error check box.

  5. Select OK.


Customizing toolbars

You can determine the buttons and their order in your toolbars.

To add a button

  1. From the CuteFTP menu, select Tools > Global Options > Display, highlight a toolbar and select Customize.

  2. The Customize Toolbar dialog box opens. There are two columns in the dialog box, Available Toolbar buttons and Current Toolbar buttons.

  3. Select a button from the Available Toolbar buttons column.

  4. Select Add.

  5. Select Reset to cancel any changes.

To remove a button

  1. From the CuteFTP menu, select Tools > Global Options > Display, highlight a toolbar and select Customize.

  2. The Customize Toolbar dialog box opens. There are two columns in the dialog box, they are Available Toolbar buttons and Current Toolbar buttons.

  3. Select a button from the Current Toolbar buttons column.

  4. Select Remove, or double-click the button.

  5. Select Reset to cancel any changes.

To move a button

  1. From the CuteFTP menu, select Tools > Global Options > Display, highlight a toolbar and select Customize.

  2. The Customize Toolbar dialog box opens. There are two columns in the dialog box, they are Available Toolbar buttons and Current Toolbar buttons.

  3. Select a button from the Current Toolbar buttons column.

  4. Select Move Up to move a button one icon to the left on the toolbar.

    • Select Move Down to move the button one icon to the right on the toolbar.

  5. Select Reset to cancel any changes.

Note:

Reset does not cancel changes made when the Customize Toolbar dialog box was opened and closed previously.


Thumbnail views

If you are working with graphics, uploading or downloading photos, thumbnail view makes it convenient to preview the images right in CuteFTP so you can select the ones you want before you transfer them.

To turn on thumbnail view

  1. Select the pane (local or remote) that you want to change to thumbnail view.

  2. From the CuteFTP menu, select View > View > Thumbnails or click the Thumbnail icon [image] in the remote pane or in the local pane.

Note:

Thumbnail view supports previews of gif, jpeg and bitmaps, but not .png files.

Note:

You can adjust how CuteFTP handles thumbnail images in thumbnail cache settings in Global Options. For more information, see Thumbnail settings in Log File Settings.


Views

Local and remote pane views

To change the pane view

  1. Select the pane you want to change the view for.

  2. From the CuteFTP menu, select View > View, and select from:

    • Large Icons

    • Small Icons

    • List

    • Details

    • Thumbnails

Thumbnail view is useful if you are working with graphics, and need to see what a file looks like before you upload or download it.


File and folder properties

Right-click the file and select properties from the shortcut menu to view the properties of a file or folder.

Local pane information

  • Type: Tells you the kind of item.

  • Location: The path the file resides at.

  • Size: The size of the item. Note that CuteFTP also calculates the size of folders.

Remote pane information

  • Type: Tells you the kind of item, folder, and file.

  • Server: The address of the server the file resides on.

  • Location: The path the file resides at.

  • Size: The size of the item. Note that CuteFTP also calculates the size of folders.

  • Modified: When the item was last modified.

  • User: Specifies the user of the item

  • Group: Specifies the group the item belongs to.

  • Read/Write Permissions: You can set the CHMOD permissions by changing the number (such as 777), or just check off the permissions in the Owner, Group, and Public area of the dialog.


Connecting to a site home

Connecting to sites

CuteFTP can connect to FTP, FTPS (SSL), TLS (SSL v3) FTP sites and SSCN (SSL Site-to-Site transfer) sites.

To connect to an existing site within the Site Manager

  1. From the menu, select Tools > Site Manager > Display Site Manager.

  2. Expand a folder (click on the plus sign) from the list shown in the Site Manager.

  3. Double-click a site in the list.

To add an FTP site to the Site Manager

  1. From the menu select File > New > FTP Site. The Site Properties window appears.

  2. Type a name for the site in the Label field. It can be any name you choose.

  3. Enter the address for the site in the Host field. You can enter a domain address like ftp.globalscape.com or an IP address such as 192.168.20.52. If you don't know the address your hosting provider can give it to you.

  4. In the Username field, enter the user name given to you by your hosting provider.

  5. In the Password field, enter the password given to you by your hosting provider.

  6. Click Connect or OK. The site information will be saved in the Site Manager for future use.

Note:

You can also type or copy and paste an FTP URL directly into CuteFTP by choosing File > Connect > Connect to URL from the menu.

Supported URL formats

  • ftp://user:pass@host.host.com:port

  • ftp://user:pass@host.host.com

  • ftp://user@host.host.com

  • ftp://host.host.com:port

  • ftp://host.host.com

  • ftp://ftp.sitename.com/pub l: user p: pass

  • ftp://ftp.sitename.com/pub:44 l: user p: pass

  • ftp://ftp.sitename.com/pub port:44 l: user p: pass

  • ftp://ftp.sitename.com/pub l/p: user/pass

  • ftp://ftp.sitename.com/pub:44 l/p: user/pass

  • ftp://ftp.sitename.com/pub p:44 l/p: user/pass

  • ftp://ftp.sitename.com/pub port:44 l/p: user/pass

  • ftp://ftp.sitename.com/pub l: user p: pass

  • ftp://ftp.sitename.com/pub:44 l: user p: pass

  • ftp://ftp.sitename.com/pub p:44 l: user p: pass

  • ftp://ftp.sitename.com/pub port:44 l: user p: pass

  • ftp://[any of the above formats]/pathnametofile/[optional filename]

Tip

Using Paste URL, CuteFTP will either connect to the folder or download the file specified in the path. Here are some sample path endings and how the main program will interpret them.

  • "ftp://host/dir.ext/" This URL is considered a folder. CuteFTP will connect to it.

  • "host/.ext/" This is considered a folder. CuteFTP will connect to it.

  • "host/dir/" This is considered a folder. CuteFTP will connect to it.

  • "host/dir" This is considered a folder. CuteFTP will connect to it.

  • "host/dir.ext" This is considered a file. CuteFTP will download it.

  • "host/.ext" This is considered a file. CuteFTP will download it.


Connecting to sites using Connection Wizard

Connecting to sites using the Connection Wizard

CuteFTP allows you to connect to an FTP site using the CuteFTP connection wizard. To upload files to a server and download files from a server, you must log on to that server through your FTP client computer. Use the Connection Wizard to step through the process of connecting to a site. It saves your site to the Site Manager.

To add a site using the Connection Wizard

  1. From the CuteFTP menu, select File > Connect > Connection Wizard or click Connection Wizard [image] . The CuteFTP Connection Wizard opens.

  2. Enter a name for your site in the Site Name field. You can enter any name.

  3. Enter the IP address of the host or the FTP URL provided to you by the administrator of the site you want to connect to in the Host Address field. For example, 64.243.64.21 or ftp.example.com.

  4. Click Next.

  5. Enter the user name given to you by your hosting provider in the User Name field.

  6. Enter the password given to you by you by your hosting provider in the Password field.

  7. Select a login method from the following options.

    • Normal - The user name and password are mandatory to connect to a site.

    • Anonymous - The site does not require any user name and password.

    • Double - The user name and password are required twice to connect to a site.

  8. Click Next. The Connecting to Site message box opens.

  9. Click Cancel to cancel the connection or change the host address.

  10. If the host address is not correct, the error message The host validation failed. Check that the username and password are correct is displayed.

  11. Browse for the default folder from where you want to upload the file to the server or where you want to download the file from the server in the Default Local Folder field.

  12. Enter the path of the remote folder where you want to upload the file in the Default Remote Folder field.

  13. Click Next.

  14. Click Finish. Cute FTP connects to the site and saves the site in the Site Manager.


Using Quick Connect

Use the Quick Connect toolbar to make speedy connections to FTP sites.

To connect using the Quick Connect toolbar

  1. Open CuteFTP. The Quick Connect Bar should display by default under the menu bar and the main toolbar.

  2. If the Quick Connect Bar is not displayed, select View > Toolbars > Quick Connect Bar.

  3. Enter the FTP host address in Host field or select the Host from the Host drop-down list. The Host drop-down list displays the list of sites you connect to.

  4. Enter your user name in the Username field.

  5. Enter your password in the Password field.

  6. Make sure the correct port is listed in the Port box (21 is the default FTP port).

  7. Select Connect [image] at the end of the Port box.

The Quick Connect toolbar

The Quick Connect bar can be moved or undocked by clicking and dragging on the vertical bar at the left-hand edge of the bar.

Quick Connect fields

Host: The name or TCP/IP address of the FTP server. The Host field is also a drop-down list; by clicking on the arrow to the right of the field you can access a list of the last several sites accessed during the current session via Quick Connect.

User Name: Enter your user name or leave blank for anonymous FTP.

Password: Enter the associated password if not connecting anonymously.

Port: If you are not connecting to the default FTP port (21), enter the appropriate port here.

Quick connect buttons

Connect: Activates the connection to the site specified in the fields. You can also press the Enter key while the cursor is in one of the toolbar fields to connect.

Settings: Allows you to set connection options for the site.

Add to Site Manager: This button automatically creates a Site Manager entry for the site in the Quick Connect bar, so you can easily access it in the future.


Connecting to secure sites/home

Connecting to secure sites

You can make secure connections and transfers with FTPS (SSL/TLS) sites.

To connect to an FTPS (SSL/TLS) site

  1. From the CuteFTP menu, Select File > New > FTPS (SSL) Site.

  2. The Site Properties dialog box opens.

  3. Type in the host, user name and password.

  4. Select the Type tab.

  5. In the Protocol list, choose FTP with TLS/SSL (Implicit encryption), or FTP with TLS/SSL (Explicit encryption), or FTP with TLS/SSL (AUTH TLS - Explicit). The appropriate port is selected. Some servers support only one of the above SSL connection mechanisms.

  6. Select Connect or OK.


Staying connected to sites with Smart Keep Alive

Staying connected to sites

You can maintain connections even when you aren't transferring files by using the Smart Keep Alive (SKA) feature. SKA sends commands at random intervals to the FTP server, which maintains an active connection.

To turn on Smart Keep Alive

  1. From the menu choose Tools > Global Options. The Global Options dialog box appears.

  2. In the left pane, expand Connection.

  3. Select Smart Keep Alive.

  4. In the right pane, select the Enable Smart Keep Alive (SKA) check box.

  5. Select OK.

To turn off Smart Keep Alive

  1. From the menu choose Tools > Global Options. The Global Options window appears.

  2. In the left pane, expand Connection.

  3. Select Smart Keep Alive.

  4. In the right pane, clear the Enable Smart Keep Alive (SKA) check box.

  5. Select OK.

Customizable settings in Smart Keep Alive (SKA)

  • The time SKA waits before starting

  • How long SKA will run

  • When SKA commands are sent

  • Which SKA commands are sent

  • Automatically reconnect

To set the time SKA waits before starting

  1. From the menu, choose Tools > Global Options. The Global Options window appears.

  2. In the left pane, expand Connection.

  3. Select Smart Keep Alive.

  4. In the right pane, enter a value between 0 and 1000 in Start SKA n seconds after the last command. CuteFTP will begin using SKA after the specified idle time. (Default is 30 seconds)

  5. Select OK.

To set how long SKA will run

  1. On the menu bar, choose Tools > Global Options. The Global Options window appears.

  2. In the left pane, expand Connection.

  3. Select Smart Keep Alive.

  4. In the right pane, enter a value between 1 and 1000 in Maintain SKA for n minutes. (Default is 30 minutes)

  5. Select OK.

To set when SKA commands are sent

  1. From the menu, choose Tools > Global Options. The Global Options window appears.

  2. In the left pane, expand Connection.

  3. Select Smart Keep Alive.

  4. In the right pane, enter values between 0 and 1000 in Send command at random intervals between n and n seconds. (Default is between 15 and 60 seconds)

  5. Select OK.

To set which SKA commands are sent

SKA sends commands from the Commands list in random order.

  1. From the menu, choose Tools > Global Options. The Global Options window appears.

  2. In the left pane, expand Connection.

  3. Select Smart Keep Alive.

  4. In the right pane, click Add and type in another command to add a command to the list.

OR

  • To remove a command, highlight a command in the list and click Remove.

  5. Select OK.

To set CuteFTP to automatically reconnect

If the server terminates the connection, CuteFTP automatically reconnects to the FTP site.

  1. From the menu, choose Tools > Global Options. The Global Options window appears.

  2. In the left pane, expand Connection.

  3. Select Smart Keep Alive.

  4. In the right pane, select If disconnected, auto-reconnect within n seconds. (Default is 10 seconds)

  5. Enter a value between 1 and 1000 seconds to set how long CuteFTP waits before reconnecting.

  6. Select OK.


Creating and using bookmarks

You can have special entries called Bookmarks associated with sites that open a specific local or remote folder, or both the folders.

To create a bookmark

  1. Click the Local Drives tab and select the drive. Then, in the Remote pane, select the remote folder you want to bookmark.

  2. From the CuteFTP menu, select Tools > Bookmark current folder, or click Bookmark [image] and select Bookmark current folder from the shortcut menu. The Set bookmark dialog box opens.

  3. The Local folder and the Remote folder are displayed in the Set Bookmark dialog box and cannot be changed. To change the local folder and remote folder you have to follow step one.

  4. Enter a name for the bookmark in the Bookmark Name field and click OK.

  5. The new bookmark appears in the Site Manager as a sub-listing of the remote site’s entry. Bookmarks created in this manner are assigned the remote folder as their default name.

To access a bookmark

  1. Double-click a bookmark displayed as a sub-item under the site name in the Site Manager.

  2. A new remote window opens displaying the bookmark’s remote folder if specified; otherwise the root folder displays. The Site Manager switches to Local Drives, displaying the local folder specified in the bookmark.

Or

Click Bookmark [image] and select the desired bookmark from the shortcut menu.

To delete a bookmark

  1. Click the Site Manager tab and select the bookmark.

  3. Edit the text in the right pane.

  4. Type a new remote path if you want to change the bookmark's remote folder in the Remote path field.

  5. Type a new local path if you want to change the bookmark's local folder or browse for a folder to define the local path in the Local Path field.

  6. Select OK.

To remove a bookmark

  1. Select the bookmark in the Site Manager.

  2. From the CuteFTP menu, select File > Delete or right-click the bookmark and select Delete from the shortcut menu, or click Delete [image].

  3. A confirmation message is displayed.

  4. Click Yes.

To rename a bookmark

  1. Select the bookmark.

  2. Select Rename.

  3. Type a new name.

  4. Press the Enter key.


Using the ACCT command

You can establish a connection and then supply the ACCT command for servers that require it.

To use ACCT with or without an FTP proxy

  1. Select a site in the Site Manager.

  2. Click the Options tab, and select Use site-specific option under the Site-specific configuration options drop down menu.

  3. Click Proxy. The Proxy dialog box opens.

  4. In the Proxy type list, select your proxy type.

  5. Select the Use authentication check box.

  6. Type the password (for ACCT) in the Password field.

  7. Make sure the HOST and PORT field are identical to your site's host and port as specified in the General and Type tabs.

  8. Click Advanced. The Advanced Proxy Settings dialog opens.

  9. Select the CUSTOM option.

  10. Add the following variables. Press Enter after typing each variable:

USER %user%

PASS %pass%

ACCT %fire_pass%

  11. Click OK to close the Advanced Proxy Settings dialog.

  12. Click OK again to close the Proxy dialog.

  13. Click Connect or click Exit.

To use ACCT with an FTP proxy

  1. Select a site in the Site Manager.

  2. Click the Options tab, and select Use site-specific option under the Site-specific configuration options drop down box.

  3. Click Proxy. The Proxy dialog box opens.

  4. From the Proxy type list, select FTP proxy.

  5. Select the Use authentication check box.

  6. Type the password (for ACCT) in the Password field.

  7. Click Advanced. The Advanced Proxy Settings dialog opens.

  8. Select USER/PASS/ACCT.

  9. Click OK to close the Advanced Proxy Settings dialog.

  10. Click OK again to close the Proxy dialog.

  11. Click Connect or Exit.


Protecting your Site Manager with a password

Protecting Site Manager content

To require a password to open the Site Manager

  1. From the CuteFTP menu, select Tools > Site Manager > Security > Encrypt Site Manager Data.

  2. Type the same password in both the Enter new password and Confirm new password fields.

  3. Select OK. CuteFTP will prompt for a password every time it starts.

To change the Site Manager password

  1. From the menu, choose Tools > Site Manager > Security > Change Password.

  2. Type the same password in both the Enter new password and Confirm new password fields.

  3. Select OK. CuteFTP will prompt for a password every time it starts.

To remove the Site Manager password

  • From the CuteFTP menu, select Tools > Site Manager > Security > Remove Password. CuteFTP will no longer prompt for a password when it starts.

Configuration Notes

  • When protected, the Site Manager information is protected with 64-bit Blowfish encryption.

  • Create a password of at least 5 characters for maximum security.

  • If you forget the password, you will not be able to use the protected Site Manager. You will have the option to back up the locked Site Manager and re-enter your site information in a new Site Manager.

  • You can re-import the password-protected Site Manager file, but you still need the password to do so.


Connecting to Secure Socket Layer (SSL) sites

Connecting to Secure Socket Layer (SSL and TLS) sites

To connect to an FTP site over SSL

  1. From the menu, select File > New > FTPS (SSL) Site.

  2. The Site Properties dialog box appears.

  3. Type in the Host address, Username and Password.

  4. Select the Type tab.

  5. In the Protocol list, choose the type of SSL connection mechanism supported by your server or use the default type selected.

  6. Select Connect.

To connect to an existing site over SSL

  1. Select on the site in the Site Manager.

  2. Select Connect.

To speed up transfers with an SSL site

Using a clear data channel speeds up transfers with SSL sites. A clear data channel encrypts the connection process, but files are transferred without encryption.

  1. Select on the site in the Site Manager.

  2. From the menu, select File > Properties. The Site Properties dialog box appears.

  3. Select the Type tab.

  4. Select the Clear Data Channel check box.

  5. Select OK or Connect.

Note:

Not all servers support or allow the PROT C (Clear Data Channel) command argument sequence.

To encrypt the data transfer and not the command connection

Using a Clear Command Channel you can keep your data transfers encrypted, and still avoid firewall issues.

  1. Select on the site in the Site Manager.

  2. From the menu, select File > Properties. The Site Properties dialog box appears.

  3. Select the Type tab.

  4. Select the Clear Command Channel check box.

  5. Select OK or Connect.

Note:

Not all servers support or allow the CCC (Clear Command Channel) command argument.

To configure other SSL settings

  1. From the menu, select Tools > Global Options.

  2. Expand Security.

  3. Select SSL Security.

Note:

CureFTP Professional supports keyboard interactive authentication. This authentication method involves connecting to servers with a challenge/response type of password-based authentication, and requires a one time use password typically generated by hardware or, less commonly, software based password generators.


Creating your own SSL certificates

With CuteFTP you can create and sign digital certificates. SSL servers use certificates to determine whether or not they will allow you to connect.

To create an SSL certificate

  1. From the menu, select Tools > Global Options.

  2. Select Security > SSL Security.

  3. Select Create Certificate.

  4. Enter the Certificate Set Name - This is the name of the certificate generated by the Certificate Wizard.

  5. Enter the Output Location - Select the folder to save the certificate in.

  6. Choose a bit-length for the certificate private key. CuteFTP supports keys up to 4,096 bits.

  7. Choose an Expiration date - This defines how long the certificate remains valid.

  8. Enter and confirm the Pass Phrase - The Pass Phrase can be any combination of characters or spaces. It is used to encrypt the private key. Do not lose the pass phrase. The certificate is useless without it.

  9. Select Next.

  10. Enter the City/Town of your organization.

  11. Enter the State/Province of your organization.

  12. Enter the name of your Organization.

  13. Enter the Common Name. Typically, this is your name or the domain name associated with your site.

  14. Enter your E-mail address.

  15. Enter the Unit or name of your department, such as "Information Systems."

  16. Enter the two-letter Country code for your organization's nation.

  17. Select Next.

  18. Select the Set up CuteFTP to use the generated certificate check box - the wizard automatically associates the certificate to CuteFTP. It can be unassociated by clearing the Use SSL Certificate check box in Tools > Global Options > Security > SSL. If the check box is cleared, the wizard only saves the certificate files in the folder originally specified.

  19. Select Finish.

  20. CuteFTP displays the paths to all the files generated for your certificate. If you want a third party to sign your certificate, you must send the Certificate Signing Request (.csr) file to the third party.

Configuration Notes

  • Not all SSL sites require certificates.

  • When you create a certificate CuteFTP generates the following files:

    • A Private key file (.key) - The private key should never be distributed to anyone. It is used to decrypt sessions encrypted by a public key.

    • A Certificate request file (.csr) - This file can be signed by GlobalSCAPE Secure FTP Server's Certificate Signing Utility or sent to an intermediate Certificate Authority such as Verisign or Thawte for signing.

    • A Certificate file (.crt) - This is a signed certificate, whether self-signed or signed by an intermediate certificate authority.

  • If the server accepts self-signed certificates, you can connect with the .crt file and .key file you created and associated to CuteFTP, provided the server has added your certificate to its trusted list.

  • You can export certificates (.crt files) from CuteFTP’s Trusted certificate store, located under Global Options > Security, SSL Security.


Having an SSL certificate signed

To have a certificate signed

  1. Create a certificate. CuteFTP generates the necessary files, including a Certificate Signing Request (.csr) file.

  2. Send the .csr file to the server or a Certificate Authority (CA) such as Verisign (www.verisign.com) or Thawte (www.thawte.com).

  3. The server or CA uses your .csr file to create a signed certificate (.crt) file, which it should then send to you.

  4. Replace your existing .crt file with the signed one.

Configuration Notes

When you create a certificate CuteFTP generates the following files:

    • A Private key file (.key) - The private key should never be distributed to anyone. It is used to decrypt sessions encrypted by a public key.

    • A Certificate request file (.csr) - This file can be signed by GlobalSCAPE Secure FTP Server's Certificate Signing Utility or sent to an intermediate Certificate Authority such as Verisign or Thawte for signing.

    • A Certificate file (.crt) - This is a signed certificate, whether self-signed or signed by an intermediate certificate authority.


Choosing a certificate for SSL sessions

Choose the certificate CuteFTP will send to SSL servers.

To choose a certificate

  1. From the menu select Tools > Global Options.

  2. If you don't see SSL security click on the plus sign to expand Security.

  3. Select SSL security.

  4. Select Use SSL Certificate when authenticating.

  5. Select the appropriate files using the Browse buttons next to Certificate and Private Key.

  6. Enter the passphrase in the Passphrase and Confirm passphrase boxes.

  7. Select Apply and OK.


Accepting server SSL certificates

Accepting a certificate from a server allows you to connect with the server. Once you accept a certificate it is added to your Trusted Certificates list, and you will not be asked to accept or reject the certificate again. If you reject a certificate, and try to connect again, you will be asked again to accept the certificate.

To accept a server's SSL certificate

  1. Connect to a server with SSL.

  2. If the server has a certificate, it displays.

  3. Select Accept. The certificate is added to your Trusted Certificates List.

Note:

If you click Reject, you will not be able to connect to the server.

To see your Trusted Certificates

  1. From the menu bar, choose Tools > Global Options > Security > SSL security.

  2. Select Trusted Certificate.

  3. Highlight a certificate in the list.

  4. Select Properties to see more detailed information about the certificate.


Importing an SSL certificate

Importing or removing SSL certificates from the trusted list

When a certificate is in your trusted list, you are able to connect to any server presenting that certificate.

To import a certificate to the CuteFTP trusted list

  1. From the menu, choose Tools > Global Options > Security > SSL security.

  2. Select Trusted Certificate.

  3. Select Import.

  4. In the Files of Type field, select Certificates (*.pem, *pfx, *.crt) or All files (*.*).

  5. Navigate to the folder containing the certificate file.

  6. Highlight the certificate file.

  7. Select Open. The certificate is now listed in your Trusted Certificates list.

  8. Select Close.

To remove an SSL certificate from the trusted list

  1. From the menu, choose Tools > Global Options > Security > SSL security.

  2. Select Trusted Certificates.

  3. Highlight the certificate you want to remove.

  4. Select Remove.

  5. Select Close to close the Certificate Manager dialog.

  6. Select OK to close the Global Options dialog.


Using a clear data channel with SSL

Using CDC (Clear Data Channel) speeds up transfers with SSL sites. A clear data channel encrypts the connection process, but files are transferred without encryption. You can add more speed to your transfers by using a clear command channel as well.

  1. Select a site in the Site Manager.

  2. Select the Type tab.

  3. In the Protocol list, select FTP with SSL (Implicit encryption), or FTP with SSL (Explicit encryption) or FTP with SSL/TLS (AUTH TLS).

  4. Select the Clear Data channel check box.

  5. Select OK or Connect.

Note:

The Clear Data channel option is only available with SSL connections.


Using a clear command channel with SSL

Using CCC (Clear Command Channel), your connection process and login are encrypted, but when you begin transferring data, all FTP commands are sent in clear text. The data transfers remain encrypted, unless you choose to use a clear data channel. SSL connections require CCC when connecting in PORT mode from behind a NAT firewall.

  1. Select a site in the Site Manager.

  2. Click the Type tab.

  3. In the Protocol list, select FTP with SSL (Implicit encryption), or FTP with SSL (Explicit encryption) or FTP with SSL/TLS (AUTH TLS).

  4. Select the Clear Command channel check box.

  5. Select OK or Connect.

Note:

The Clear Command channel option is only available with SSL connections.


Learning about SSL

When you use CuteFTP to connect securely to a server that supports SSL or TLS, the two machines pass a sequence of commands to create a secure connection. The FTP protocol definition provides at least two distinct mechanisms by which this sequence is initiated: Explicit (active) and Implicit (passive) security.

Explicit security

Explicit security requires that the FTP client issue a specific command to the FTP server after establishing a connection to establish the SSL link. The default FTP server port is used. This formal method is documented in RFC 2228.

Implicit security

Implicit security is a mechanism by which security is automatically turned on as soon as the FTP client makes a connection to an FTP server. In this case, the FTP server defines a specific port for the client (990) to be used for secure connections.

Note:

Implicit SSL is discussed in various SSL drafts but not formally adopted in an RFC. For strict compliance to standards, use the explicit method. Implicit SSL adds benefits in the form of a dedicated port strictly used for secure connections, requiring fewer overheads in establishing the session. There are various FTP servers that support this mode, including GlobalSCAPE’s Secure FTP Server. For more on SSL Connection Mechanisms, see Troubleshooting SSL Connections.

SSL Sessions

The diagram below shows a SSL session using explicit security. In this picture, the two machines communicate over an Internet connection. Time is represented vertically—the first communication at the top of the timeline is from the Client to the Server, and subsequent communications proceed chronologically down the timeline. The breaks in the timeline represent the passage of time.

EXPLICIT SSL CONNECTION

CuteFTP adheres to Internet standards for secure transfer of files over the FTP protocol. Specifically, CuteFTP implements the FTP extensions documented in RFC 2228. Any FTP Server that also implements these extensions will work with CuteFTP in order to ensure the encryption of your sensitive data.

GlobalSCAPE Secure FTP Servers and Enhanced File Transfer Servers are also capable of Implicit SSL sessions over a dedicated port. See the Secure FTP Server User's Guide and Enhanced File Transfer Server User's Guide for more information on configuring a secure session to a GlobalSCAPE Secure Server.


Troubleshooting SSL Connections

If you are having difficulty connecting to your FTP server over SSL, refer to the following checklist for help.

SSL Connection Checklist

  1. Verify that the server you are connecting to supports SSL connections.

  2. Verify the port being used. Some servers require that SSL connections use a dedicated port, such as 990.

  3. Verify the SSL connection type selected under Site Properties > Type > Protocol Type is the correct SSL mechanism supported by your server. See SSL Compatibility Issues further below.

  4. Verify that your Certificate was added to the server’s Trusted List if the server requires client certificates upon connect. You may have to notify the server administrator as not all servers will auto-accept client certificates upon their first connection attempt.

  5. You must accept the server’s certificate when prompted during a connection attempt, otherwise the client will not connect as desired.

  6. Verify that your certificate hasn't expired. Check your Trusted List.

  7. Copy the connection log to a text file or e-mail to assist in troubleshooting when contacting your FTP or Web service provider or the GlobalSCAPE support team.

SSL Connection Mechanisms

Not all FTP servers that support SSL connections do so correctly or in strict compliance to proposed or approved standards.

Various FTP over SSL implementations have been proposed over the last few years. Most do not conform with RFC–2228 or are at odds with the latest IETF (Internet Engineering Task Force) drafts. Typical Implementations include:

Implicit TLS/SSL

This is an SSL connection over a dedicated port (990) registered with the IANA. This approach, while quite common, is not favored by the IETF. CuteFTP supports this implementation for broader compatibility.

Explicit "AUTH SSL"

This is an SSL connection over a standard port (21) using “AUTH SSL” or “AUTH TLS-P” to negotiate the protection mechanism. AUTH TLS-P implicitly sets the protection mechanism and is therefore in direct disagreement with RFC 2228. CuteFTP does support AUTH SSL, and subsequently sets the protection mechanism explicitly using the PROT command and its approved arguments.

Explicit “AUTH TLS”

This is an SSL v3.1 connection over a standard port (21) and explicitly setting the protection mechanism. This is the version that best adheres to RFC 2228 and is favored by the IETF in its latest FTP over SSL draft (draft-murray-auth-ftp-tls-13.txt). This version is supported by CuteFTP and is selected by default when establish a new SSL connection.

Apart from those mentioned above, CuteFTP doesl not connect to servers requiring “AUTH TLS-P” or other deprecated SSL connection mechanisms.


Backing up your site configurations

CuteFTP can back up your site configuration and save the backup file in any directory you specify. It's a good idea to back up this data; it makes it much easier to restore your setup if something should happen to it.

To back up the configurations in Site Manager

  1. From the CuteFTP menu, select Help > Backup Personal & Registration Data.

  2. Select a location to save your backup data.

  3. CuteFTP saves a backup .dat to the location you specified.

  4. Optionally, print out your registration information. This printout includes:

    • Instructions on how to restore your registration

    • Your registration number

    • Instructions on how to restore your Site Manager configuration.


Modifying a site in the Site Manager

You can change a number of connection settings for individual sites in the Site Manager. The changes made only affects the individual site.

To change site properties or settings

  1. Select the site you want to change in the Site Manager.

  2. Select the General, Type, Actions, or Options tab.

  3. Make any desired changes.

  4. Select Connect or OK to save the changes.

OR

  • Select Cancel to reject the changes.


Site Properties General tab

General site properties

The following settings are made from the General tab of the Site Properties dialog:

Label

Type the name for the site, as it will appear in your Site Manager. This can be any name you like.

Host address

Enter the address for the site. It can be a domain name such as ftp.example.com, or an IP address. If you don't know the address your hosting provider or system administrator should be able to provide it for you.

Username

Enter the username given to you by your hosting provider.

Password

Enter the password given to you by your hosting provider.

Comments

Enter any notes about the site that you want to save with the site.

Login method

  • Select Normal if the server requires your user name and password for a connection.

  • Select Anonymous if the server doesn't require a user name and password for a connection.

  • Select Double if you need to supply your user name and password twice for a connection.

Buttons

New

Saves all of your changes for the current site, and opens a new blank site.

Rename

Change the name of the site highlighted in the left pane.

Delete

Deletes the selected site. The site and all related information are removed from the Site Manager.

Browse Offline

Opens a cached version of the site's folders in the Remote pane.

Help

Opens help for Site Properties.

Connect

Saves site changes and connects to the site.

Exit

Saves changes and closes the Site Properties dialog box.


Site Properties Type tab

Site Properties Type

You can configure the port for the various protocols, synchronize the time zone, define the server settings, and so on by clicking the Type tab in the Site Properties dialog box.

The following settings are made on the Type tab of the Site Properties dialog:

Protocol type

Choose the transfer protocol for the site. You can choose FTP and various SSL options. In CuteFTP Professional you can also choose HTTP, HTTP with SSL, or SSH2 (SFTP).

If you choose any of the SSL options, you will also be able to choose a Clear Data Channel or a Clear Command Channel.

Port

CuteFTP chooses the appropriate default port for the protocol you choose. You can change the number if the default is not correct for your site.

Server type

You can leave this at Auto-detect, and CuteFTP tries to determine what kind of server is at the site. If you have connection problems, or you know what kind of server is at the site, you can choose from the list that includes Unix, Unix compatible, Windows NT, and many others.

Data connection type

Select Use global settings. CuteFTP uses the connection type set in Global Options > Transfer. You can also specify from PORT, PASV, EPRT, or EPSV connection mode. For more information, see Data_mode in Transfer Settings.

Transfer type

Choose to use the transfer type you set in Global Options or one of the following:

  • Auto-detect: Based on the file type, CuteFTP decides whether to transfer in ASCII or binary.

  • ASCII: Used primarily for transfer of text-based files such as HTML, text, and other documents.

  • Binary: Used primarily for data type transfers such as pictures and other graphics, or files those do not have line feeds (carriage returns).

Server time zone

Choose No Offset if the server is in the same time zone as yours. If the server is in a different time zone, choose it here. These time zones do not account for Daylight Saving Time. To account for Daylight Saving Time, choose a time zone one hour ahead of the server's time zone. For example, if you are connecting to a server in Central Daylight time, set the time zone to Eastern Standard Time.

Time Zone Synchronization

  • Select the Automatically detect check box to enable time zone synchronization.

The Time Zone Synchronization feature helps in synchronizing time for all of the time zones. For example, if you set the time zone to CST, then during daylight savings the difference in the time occurs. In that case you select the time zone one hour ahead of the server's time zone.

Time Zone synchronization feature helps in comparing the time of the file when it is uploaded on the remote server to the local computer time, rounding to the nearest 30 minutes. The difference in the time is the Time Zone offset.

The CuteFTP shall automatically detects the remote server time zone and synchronize it with the local computer time zone when a file is transferred.

Note:

By default the Automatically detect check box is not selected.

Password Protection

Offers four options for password encryption if simple FTP is selected as the protocol type.


Site Properties Actions tab

Site Properties Actions

The following settings are made from the Actions tab of the Site Properties dialog:

When client connects, switch to this remote folder

Type the full path to any folder on the remote site, and CuteFTP will automatically open the folder in the Remote Pane when you connect to the site.

When client connects, switch to this local folder

Type or browse to the full path for any folder on your machine, and CuteFTP will automatically open the folder in the Local Pane when you connect to the site.

For navigation use the following caching options

Caching means CuteFTP stores the site list information on your computer, so when you navigate to different files and folders, you don't have to reconnect.

  • Use cache during session

Store the site's information only until you close the connection.

  • Always use cache

Store the site's information and keep it even after you disconnect.

  • Do not use cache

Never store the site's information.

When uploading, apply this rule to files and folder names

Use this to change file names to upper case, lower case, or to keep the case the same.

  • Preserve case

Keep all uploaded file names in their original case.

  • Force lower case

Change all uploaded file names to small letters.

  • Force upper case

Change all uploaded file names to all capitals.

Filter

Click this button to define which files will be hidden or displayed on the site.

For more information, refer Choosing which files and folders to display.


Site Properties Options tab

Site Properties Options

The following settings are made from the Options tab of the Site Properties dialog:

Site specific configuration options

  • Choose Use global settings for all options and the site will use the parameters set in Global Options

  • Choose Use site specific option and the site will use the parameters set on this tab.

Apply auto-rename scheme to transfer

  • Select this check box and files you transfer will be renamed according to the settings you chose in the Global Options Rename Rules window.

  • Clear this check box and no files will be renamed when you make transfers with this site.

Use NLST instead of LIST (retrieves an abbreviated listing)

  • Select this check box to get only a list of file names and no other file information from the site.

  • Clear this check box and the site will send you complete file listings, including file size, file modified date, and folder names.

Use the logical parent (not physical parent) on CDUP

  • Select this check box to and when you click the button to go back to the previous directory, you will go back to the previous directory, even if you clicked a link or shortcut to from the previous directory.

  • Clear this check box and when you click the button to go back to the previous directory, you will go back to the actual parent directory for this folder, which might not have been the directory you were in when you jumped to the current directory.

Site Specific Firewall settings

  • Click Proxy if you need to connect through a proxy server to get to this site. A Proxy window will appear where you can enter the proxy type, server address, username and password.

  • Click Socks if you need to connect through a Socks server to get to this site. A Socks window will appear where you can enter the SOCKS type, server address, username and password.

Retry attempts

Enter the number of times you want CuteFTP to try connecting to this site, if there is a problem making a connection.

Delay between retries

Enter how many seconds you want CuteFTP to wait before retrying a connection after a connection attempt fails.

Max connections per this site

Enter how many connections CuteFTP can open to the site for transferring many files simultaneously.


Correcting times for sites in different time zones

To compensate for servers in different time zones

  1. Select a site in the Site Manager.

  2. Select the Type tab.

  3. Select the server's time zone from the Server time zone list. Alternately, select the Automatically detect checkbox, and CuteFTP will determine your timezone from your system clock.

  4. Choose Connect or OK.

Note:

CuteFTP uses time zone offset information for display, transfer, and overwrite logic purposes.


Designating a site's server type

You can improve compatibility with individual sites by designating the type of server used for that site.

To Designate server type

  1. Select a site from the Site Manager.

  2. Select the Type tab.

  3. In the Server Type list, select a server type.

  4. Select Connect or OK.


Removing a site from the Site Manager

  1. Select the site you want to delete in the Site Manager.

  2. Select Delete. A message appears asking if you are sure you want to delete the site.

  3. Select Yes.


Queuing Files and Folders for Transfer

To display or hide the queue

  1. From the menu, choose View > Show Panes.

  2. Select the Queue Pane to show or hide it.

To add items to the queue

  1. Connect to a site.

  2. Locate the files or folders you want to upload or download in your local or remote pane.

  3. Drag the selected items to the transfer queue window.

  4. Repeat as necessary. You can also connect to other sites and add files and folders to the queue.

  5. Once you have finished adding items to the transfer queue, you can change queue item attributes if desired, such as destination path, transfer type, scheduling and more by selecting the item, and pressing Alt+Enter on your keyboard.

  6. You can change the transfer priority of items by selecting them, then drag them up or down in the queue. A blue line displays to indicate where the items will move.

  7. Once you are ready to begin processing the queue, choose Tools > Queue > Transfer All from the menu.


Transfer Queue icons

Transfer queue icon legend

The queue icons are displayed next to each item in the Queue pane.

The item is in the queue but a transfer has not been attempted or scheduled.

The item is in the queue and a transfer has been scheduled, but has not occurred yet.

This item's transfer is starting.

There is an existing file of the same name in the destination folder and you will have to decide whether to Overwrite the existing file, Skip the transfer, Resume an interrupted transfer, Rename the file you are transferring, or Numerate the file you are transferring.

The item transfer is in progress; this usually appears for large transfers.

The item transferred successfully.

The item transfer has been interrupted, but CuteFTP is still trying to complete the transfer.

The item transfer has been skipped, usually because you chose to skip it manually or in a Smart Overwrite rule that you chose previously.

You have stopped the item transfer while it was in progress. You can still Resume this transfer.

The server has refused to complete the item transfer for some reason. Your transfer log will show an ERROR:> message with a little more detail.


Transferring files in order

You can see the order in which queued items transfer at the left end of the Queue pane. The numbers in the column indicate the order of transfer. By default, files transfer in the same order that they are added to the queue.

To transfer items in the order added

  1. Sort the local or remote panes by clicking on the corresponding column header (Name, Date, Size, etc.)

  2. Select the items to transfer.

  3. Drag the selected items into the queue. Note that the items are ordered in the same way they were sorted prior to adding them to the queue.

  4. Right-click in the Queue pane.

  5. Choose Transfer All. CuteFTP transfers the files in the order reflected by the numbers in the left column of the queue.

To set a specific transfer order

  1. Move transfer items to the Queue pane.

  2. Select the pound sign (#) column header to sort the items by their transfer order.

  3. Select an item in the queue.

  4. On the menu bar, choose Tools > Queue > Change Order.

  5. Select Move to Top to transfer the selected item first.

Or

  • Select Move to Bottom to transfer the selected item last.

Or

  • Select Move Up One to transfer the selected item before the previous item in the queue.

Or

  • Select Move Down One to transfer the selected item after the following item in the queue.

Tip:

To change an item's place in the transfer order, select the line item and drag up or down in the queue. A blue line indicates the item's new position in the queue.

Item moved from position 4 to position 2

Moving an item from position 4 to position 2 prior to transfer.


Stopping transfers

To stop a transfer

  1. Select the item(s) in the queue to be stopped

  2. On the menu bar, click View > Stop.

To remove items queued for transfer

  1. Highlight a file listed in the Queue Pane.

  2. On the menu bar, go to Tools > Queue > Remove Selected.

  3. A message appears asking if you are sure you want to remove the item from the queue.

  4. Click Yes.

Tip:

Remove All deletes every file from the queue. Remove Finished deletes all of the items from the queue that have completed their transfer.

To resume a stopped transfer

  1. Select the stopped item in the queue.

  2. From the menu, choose Tools > Queue > Transfer Selected.

To reset a failed transfer

  1. Select the item in the queue.

  2. From the menu, choose Tools > Queue > Reset Selected.

  3. To restart the transfer, choose Tools > Queue > Transfer Selected from the menu.

Tip:

The shortcut keys Esc or F9 stop active transfers. Press Esc once to stop the last command (be it a transfer or connection request). Press Esc repeatedly to cycle through active transfers and/or connections and stop them one by one. You can also select multiple items in the queue and select Esc to stop them. Use the Del key to stop and remove selected queue items.


Resuming transfers

To automatically resume transfers

CuteFTP automatically attempts to resume interrupted transfers caused by lossy connection, server kicked users, a slow server, and so on. CuteFTP does not auto-resume interrupted transfers when the remote server is unreachable because there is no connection available; the server is down, or for any other reason. In those situations, you must manually resume the transfer.

To manually resume a transfer

  1. Select the stopped item in the queue.

  2. From the menu, choose Tools > Queue > Transfer Selected or Transfer All.

Note:

In you have not shut down and restarted CuteFTP since the interruption took place, CuteFTP assumes that the transfer is within its original context and attempts to resume it from the point it left off. If the transfer is no longer in the original context, CuteFTP prompts you to overwrite the destination file, that is, to start over again. You can set up overwrite rules to tailor such situations to your specific needs.

To resume a stopped transfer

  1. Select the stopped item in the queue.

  2. From the menu, choose Tools > Queue > Transfer Selected.

To reset a failed transfer

  1. Select the item in the queue.

  2. From the menu, choose Tools > Queue > Reset Selected.

  3. To restart the transfer, choose Tools > Queue > Transfer Selected from the menu.

Tip:

The shortcut keys Esc or F9 stop active transfers. Press Esc once to stop the last command (be it a transfer or connection request). Press Esc repeatedly to cycle through active transfers and/or connections and stop them one by one. You can also select multiple items in the queue and select Esc to stop them. Use the Del key to stop and remove selected queue items.


Scheduling transfers

CuteFTP allows you to schedule transfers from the queue window. Additionally, you can schedule uploading files from your local computer to a server and downloading files from a server to your local computer. Please refer Scheduling uploads and Scheduling downloads for more information.

To schedule transfers from the queue window

  1. In the Queue pane, select the file to be transferred.

  2. From the CuteFTP menu, select Tools > Queue > Schedule Selected.

  3. Select the Schedule the current item check box.

  4. In the Start on option boxes, choose a date and time.

  5. Select the Enable Recurrence check box and continue with step six if you want the transfer to repeat automatically. If you do not want the transfer to repeat automatically, clear the Enable Recurrence check box and skip to step seven.

  6. In the Repeat every option boxes, choose how often you want the transfer to repeat. boxes.

  7. Choose OK.

Configuration Notes

  • You can schedule multiple transfers.

  • CuteFTP continues to run and complete any scheduled or pending transfers even if you exit the program before a transfer is scheduled to start, unless the "Don't close the transfer engine if tasks are pending" is disabled under Tools > Global Options > General page.

  • If you manually close the Transfer Engine or shut down the computer before a scheduled transfer can start, CuteFTP prompts if you still want to complete the scheduled transfer the next time you open CuteFTP.

  • If you leave CuteFTP or the Transfer Engine open to accomplish a number of tasks, it is a good idea to configure CuteFTP to delete successfully finished items from the queue.


Filtering Transfers

CuteFTP allows you to set filters that automatically include or exclude files from transfer so you don't have to manually. You define the filters in the filter dialog box, then apply them to individual transfers, or use them on all transfers. You can also use filters during folder synchronizations.

To transfer filtered items

  1. Select the pane displaying the files or directory you want to apply a filter to.

  2. From the menu, choose View > Filter... The Filter dialog appears.

  3. From the Filter Properties tab, select Enable filtering.

  4. If you want to filter at the folder level, select Apply filtering to folder names. If a filter you add matches a folder name, the entire contents of that folder are included or excluded along with the folder.

  5. If you want the filters to work during transfers, select Apply to file transfers.

  6. Select the Filter Mask tab and add any files you want to include.

  7. Select the Filter NOT Mask tab and add any items you want to exclude.

  8. Select OK.

  9. Select the files that remain visible and choose File > Upload Advanced > Upload filtered from the menu (or Download filtered if you are downloading.).

Configuration Notes

  • You can configure two filter sets: one for the local pane, and one for the remote pane. Note that CuteFTP applies the filter parameters to all of the contents, directories, and subdirectories displayed in that pane.

  • Filtering works with folder synchronizing.

  • You can filter by file extensions, for example, .htm, .php, .asp, etc.


Transferring files in binary or ASCII mode

To choose the transfer mode

  1. From the menu, choose File > Transfer Type.

  2. Choose ASCII, Binary, or Auto.

To transfer specific file types in ASCII mode

  1. From the menu, choose Tools > Global Options. The Global Options window appears.

  2. In the left pane, expand Transfer.

  3. Select ASCII Types.

  4. In the right pane, enter the file extension for the file type you want to transfer in ASCII mode in the ASCII extensions box. If the extension is already in the list, proceed with the transfers.

  5. Select Add.

  6. Select OK.

  7. Proceed with transfers.

To transfer specific file types in binary mode

  1. From the menu, choose Tools > Global Options. The Global Options window appears.

  2. In the left pane, expand Transfer.

  3. Select ASCII Types. A list of the file types that are transferred in ASCII mode will be displayed. If the file type you want to transfer is not displayed, select OK and proceed to step seven. If it is displayed continue with step four.

  4. Select the extension of the file you want to transfer in binary mode.

  5. Select Remove.

  6. Select OK.

  7. Proceed with transfers.

Configuration notes

  • Auto is the default transfer type, and sends files in the mode specified for each file's extension. All extensions are sent in binary mode unless they are listed in Global Options > Transfer Settings > ASCII Types.

  • You can specify the transfer type for a particular site in your Site Manager under its Site Properties > Type tab.

  • You can change the transfer type for a single CuteFTP session by choosing File > Transfer Type from the menu. Once CuteFTP is restarted, it reverts to the transfer type set under Global Options.


Playing back a recorded macro

To playback a macro from within CuteFTP's interface

  1. From the CuteFTP menu, select Tools > Macros and Scripting > Run > Browse. The Open dialog opens.

  2. Navigate to the folder where your macro is saved.

  3. Select the macro you want to run.

  4. Click Open. The Open dialog closes and the macro runs.

To playback a macro script from outside of CuteFTP's interface

  1. In Windows Explorer, locate the macro file you previously created as something.vbs and run it.

  2. CuteFTP's Transfer Engine performs the recorded events without launching the interface.

Note:

You must have the Windows Scripting Host (WSH) installed in order to playback recorded macros or scripts.


Adding and using custom commands

Adding custom commands

Custom Commands allow you to specify a raw FTP command sequence and assign shortcuts or toolbar links to these sequences.

To add a custom command

  1. From the menu, choose Tools > Custom Commands > Edit Custom Commands. The Custom Commands dialog box opens.

  2. Click New Folder [image]. A new folder is created.

  3. Enter a name for the folder.

  4. Select New Command [image].

  5. Enter a name for the command.

  6. Select Properties [image] button.

  7. In the Custom Command Properties dialog box, enter the command or command sequence you want in the Command box.

  8. Optionally, select Shortcut Key and then press the keys on your keyboard for the shortcut. This step is optional.

  9. Optionally, select Change Icon to select a toolbar icon for the command. Select the icon you want, then select OK.

  10. Select Place on the custom commands toolbar to include the new command on the Custom Commands toolbar.

  11. Select OK twice to accept the changes and close the Custom Commands dialog box.

To add command sequences

  1. Follow steps 1-7 above.

  2. Add a line break between command sequences when entering them into the Command box.

Example: USER %u \n PASS %p

To use a custom command

  1. Connect to a site.

  2. From the menu, choose Tools > Custom Commands> (your command).

To display the Custom Commands Bar

  • From the menu, choose View > Toolbars > Custom Commands Bar.

Note:

The remote site must be the active pane for a command to be sent. Once sent, you can view the server’s response in the log window.


Saving a list of transfer tasks

Saving and reusing a list of transfer tasks

To save a list of transfer tasks

  1. From the menu, choose Tools > Queue > Load & Save Queue > Save Queue.

  2. Choose a name and location in the Save As dialog box.

  3. Select Save.

To reuse a list of transfer tasks (load a previously saved queue)

  1. From the menu, choose Tools > Queue > Load & Save Queue > Load Queue.

  2. Select the a previously saved Queue file in the Open dialog box.

  3. Select Open.

  4. From the menu, choose Tools > Queue > Transfer All.

Notes:

When you drag items from the local drive to the Queue, they transfer to the site currently displayed in the Remote pane.

Queue files are saved with a .cpx extension.


Improving slow transfers

If you are having problems with slow transfer speeds, try fine tuning CuteFTP. Try the following:

Tweak the receive and send buffers

Setting these buffers allow you to fine tune transfers over high latency or lossy connections like those over satellite links or with legacy CDMA wireless connections. It is unlikely you will ever need to adjust this setting, but if you have problems with successful transfers and suspect the latency or quality of the connection is at fault, try tweaking these buffers.

Receive buffer holds data until CuteFTP is ready to read it; the send buffer holds data until it can be sent to the server. Typically, both send and receive buffers should be set to the same size. The default is set at 65536 bytes, the normal maximum window size of TCP.

You can measure the latency and estimate the available bandwidth with network monitoring tools. There is some guesswork involved, as most tools are not entirely accurate, but they can guide you to finding a sweet spot where transmissions are successful. If you have a lossy connection, try lowering the buffer size. If you have high latency, a higher buffer size might help.

Normally, the optimal buffer size is your bandwidth times the latency of the link. So,

bandwidth (in bits) * latency (round trip time in seconds) = socket buffer size (in bits)

Convert bits to bytes (bits/8=bytes) for the buffer size.

So, if your bandwidth is 1,536,000 bps and you have a latency of 200ms (.2 seconds), your socket buffers should be set to 38400:

1536000*.2=307200 bits

307200/8=38,400 bytes

You can also try halving or doubling the buffer size. For example, if the buffer is set to 65536 (64kb), try 32768 (32kb).

Turn off time stamp in logs

When this feature is on, CuteFTP adds a time stamp next to each log event. This option does consume system resources, and if performance is critical, you can turn this off. For more information, see Record/Display time stamps in Log file settings


Transferring manually

Use this function to transfer a specific file if you know its exact location and you are unable to navigate to that location or do not have LIST permissions for that folder.

To download a file manually

  1. Select the destination folder in the Local pane.

  2. Connect to the site where the file exists.

  3. Select any file or folder.

  4. From the menu, choose File > Download Advanced > Download Manually. The File to Download dialog appears.

  5. In Download path, type the path to the file you want to download.

  6. Select OK.

To upload a file manually

  1. Connect to a site.

  2. Open the destination folder in the Remote pane.

  3. In the Local pane select any file.

  4. From the menu, choose File > Upload Advanced > Upload Manually. The File to Upload dialog appears.

  5. In Upload path, enter the complete path to the file you want to upload.

  6. Select OK.


Manually enter FTP commands

You can communicate with an FTP site on the lowest possible level.

To manually enter an FTP command

  1. Connect to a site.

  2. From the menu, choose Tools > Enter FTP Command.

  3. Enter the command such as LIST or CWD or PWD in the Input FTP command box.

  4. Select OK.

Note:

You can also input multiple commands to the FTP server by using the Custom Commands feature.


Opening, editing, renaming, and deleting files

You can work with files on local and remote drives from within CuteFTP.

To open a file

  1. Select a file in Local Drives or the Remote pane.

  2. From the CuteFTP menu, select File > Open or click Open [image] on the toolbar. The selected program opens and displays or runs the file.

To edit a file

  1. Select a file in Local Drives or the Remote pane.

  2. From the menu, choose File > Edit or File > View. The file opens in CuteFTP's built-in HTML editor.

  3. Make any desired changes.

  4. To save the changes, choose File > Save from the menu.

Note:

The integrated editor opens in full-screen mode. When you exit the editor, CuteFTP restores the screen to its original state. Cycle through the open panes, including any editor tabs, by pressing Ctrl+Tab on your keyboard.

To rename a file

  1. Select a file in Local Drives or the Remote pane.

  2. From the CuteFTP menu, Select File > Rename or right-click the file and select Rename from the shortcut menu.

  3. Enter the new name for the file and press the Enter key on your keyboard.

  4. The renamed file is highlighted and the sequence of the file is changed alphabetically. For example, if the file name was S.txt, and the name of the file is changed to A.txt, then the sequence of the file changes. The file A.txt appears where all files starting with alphabet A appear.

Warning:

If you change the extension when you rename the file, you may not be able to open the file in the proper program.

To delete a file

  1. Select a file in the Local Drives or the Remote pane.

  2. From the menu, choose File > Delete. CuteFTP displays a message asking if you are sure you want to delete the file.

  3. Select Yes.


Updating or refreshing folder listings

To update or refresh a folder listing

  1. Click in the pane where the folder is displayed.

  2. From the CuteFTP menu, select View > Refresh.

To update remote folder listings automatically

  1. On the menu bar, choose Tools > Global Options. The Global Options window appears.

  2. In the left pane, select Navigation.

  3. Select the Auto-refresh the remote pane after uploading a file or folder check box.

  4. Click OK.


Listing files and folders in order

To sort files and folders in order by name

  1. Select the Remote or Local Drives pane.

  2. From the menu, choose View > View > Details.

  3. Select the Name column header in the Remote or Local drives pane.

  4. Each time you select the column header the items list in the opposite order.

Tip:

You can sort by any column when in Details view.

To sort files and folders in order in the Queue

  1. Select the Queue pane.

  2. Select a column header in the Queue pane. The transfer items are listed in alphabetic order of the selected column's contents.

  3. Each time you select the column header the items list in the opposite order.

Note:

The order items are listed in the queue is not necessarily the order in which they transfer. The numbers in the leftmost column of the queue indicate the order of transfer.


Changing how files and folders are displayed

You can display files and folders in one of four ways:

Large icons

  1. Select the Local or Remote drives pane.

  2. From the menu, choose View > View > Large Icons.

Small icons

  1. Click in the Local or Remote drives pane.

  2. From the menu, choose View > View > Small Icons.

List

  1. Right click in the Local or Remote drives pane.

  2. From the menu, choose View > View > List.

Size and date details

  1. Right-click in the Local or Remote drives pane.

  2. From the menu, choose View > View > Details.


Site Search

CuteFTP Site Search function provides a mechanism for searching local and remote drives and folders for files based on all or part of the filename with wildcard support, modification date or date range, and file size or size range.

To find a file or folder

  1. From the CuteFTP menu, select Edit > Find. The Search Results window opens.

  2. Select from the following search options.

    • Local drives: If you want to search for a file in your local drive.

    • Remote pane: If you want to search for a file in the remote pane.

  3. Enter the name of the file or the extension of the file you want to search in the Search for the files or folder named field. The name or the extension of the file is added to the drop-down list. You can also use wildcards.

  4. If you select the Local drives option, select the local drive from the Drives list, or select the remote folder from the Folder list if you select the Remote pane option. You can type the path if it is not available in the drop-down lists.

  5. Select the Search subfolders check box to include the subfolders in the target folder.

  6. Select the File size between check box to define the file size.

  7. Select the Date modified between check box to specify the date.

  8. Click Search Now to start the search or click Stop search to stop the search.

  9. All the files with the same extension or with same name with other details, such as size, type, modified on, and attributes are listed in the Results pane of the Search Results window.

  10. If the file you want is not found, select Edit > Find Next until it is.

Note:

Find and Find Next are not case sensitive and only search from the top to the bottom of your listings.


Selecting a group of items

You can select (highlight) items in the remote, local, or queue pane by name or type using Group Select and wildcard masks.

To select all files of a certain type

  1. Choose the pane displaying the files you want to select.

  2. From the menu, choose Edit > Group Select.

  3. In the Select group box, enter *. (Asterisk, period) and then the extension for the file type you want to select.

  4. Clear Mask directories to exclude folders from the selection.

  5. Select Remove Selection to include previously selected files in the new group you are selecting, or clear the check box to unselect any previously selected items that are not in the new group.

  6. Select OK.

To switch a selection from the highlighted to group, to all non-highlighted items

  • From the menu, choose Edit > Invert Selection.

To remove items from a group selection

  1. Select the items to remove from the group.

  2. Choose Edit > Group Deselect from the menu.

  3. In Deselect group, enter the name of the file you want to remove, or use wildcard masks to remove a group of items.

  4. Select Mask directories to include folders in the action.

  5. Select OK.


Moving items from one folder to another on a remote server

Move selected items from one remote folder to another remote folder on the same server.

To move items from one remote folder to another

  1. Connect to a site.

  2. Open a folder on the remote site.

  3. Select items in the folder.

  4. From the menu, choose Edit > Move to Folder.

  5. Enter the path where you want to send the selected items in the Move to folder box.

  6. Select OK.


Changing file and folder permissions

You can set who can open, change, or delete files and folders on remote sites.

To change permissions for a single remote file or folder

  1. Connect to a site.

  2. Select the file or folder you want to change permissions for.

  3. From the menu, choose File > Properties.

  4. Select the permissions desired.

  5. Select OK.

To change permissions for a group of remote files or folders

  1. Connect to a site.

  2. Select a group of files or folders.

  3. From the menu, choose File > Properties.

  4. Select the check boxes next to the permissions you want for yourself (Owner), a Group of users, and the general Public.

  5. Select OK.

Configuration Notes

  • A gray check signifies the permission is granted for some files in a selected group, but not in others. You can still change the permission for the whole group.

  • If you cannot change permissions for a file or folder, the FTP server administrator must modify your account or the file permissions before you can modify permissions.


Choosing which files and folders to display (Filtering)

When you apply filters, you do not add or remove files, you simply set which files will be visible or invisible in CuteFTP.

To choose which files to display

  1. From the menu, select View > Filter.

  2. Select the Enable Filtering check box.

  3. Select the Filter Mask tab.

  4. Enter the names of files you want to display, or use wildcard masks to include a group of files.

  5. Select Add.

  6. Select the Filter NOT Mask tab.

  7. Enter the names of files you want to hide, or use wildcard masks to exclude a group of files.

  8. Select OK.

To choose which folders to display

  1. From the menu, select View > Filter.

  2. Select Enable Filtering.

  3. Select Apply filtering to folder name(s).

  4. Select the Filter Mask tab.

  5. Enter the names of files and folders you want to display, or use wildcard masks to include groups of files and folders.

  6. Select Add.

  7. Select the Filter NOT Mask tab.

  8. Enter the names of files and folders you want to Hide, or use wildcard masks to exclude groups of files and folders.

  9. Select OK.

To use filters with transfers

  1. From the menu, select View > Filter.

  2. Select Enable Filtering.

  3. Select Apply to file transfers.

  4. Set your filters in the Filter Mask tab and Filter NOT Mask tab.

  5. Select OK.

To make filters case sensitive

  1. From the menu, select View > Filter.

  2. Select Enable Filtering.

  3. Select Case sensitive filtering.

  4. Set your filters.

  5. Select OK.

To use server filters

  1. From the menu, select View > Filter.

  2. Select Enable Filtering.

  3. Select Enable server side filtering.

  4. Enter in a filter from the Unix ls program.

  5. Select OK.


Displaying hidden files

Displaying hidden files or folders

By default, some servers will hide files with names starting with a period such as ".htaccess" or ".profile".

To see hidden files on a remote site

  1. Select the Site Manager tab.

  2. Select the site with the hidden files.

  3. Select the Actions tab.

  4. Select Filter.

  5. Select Enable filtering.

  6. Select Enable server side filtering.

  7. Enter -a in the Remote field.

  8. Select OK.

  9. Connect to your site.


Log settings

Log display and capture settings

To access the log display and log saving options

  1. From the menu, choose Tools > Global Options.

  2. Expand General Settings.

  3. Select Logs.

Log text colors

  • STATUS

  • Select the STATUS:> color icon to choose a new color for all log window status messages.

  • ERROR

  • Select the ERROR:> color icon to choose a new color for all log window error messages.

  • COMMAND

  • Select the COMMAND:> color icon to choose a new color for all log window command messages.

  • OTHER

  • Select the OTHER:> color icon to choose a new display color for all other messages in log windows.

Log text fonts

  • Select Font

  • Changes the style of text in the log windows.

Other log settings

  • Enable session (control connection) logs

  • Select this to save each session log as a separate text file, and to display the log in the individual session log window.

  • Clear this to stop recording a log for each session, and to show no logs in the individual session log window.

  • Enable individual transfer item (data connection) logs

  • Select this to save the log for each item transferred as a separate text file.

  • Clear this to stop recording a separate log for each item transferred.

  • Enable consolidated transfer logs (both session and all transfers in log pane)

  • Select this to display all logs in the Log Window in the bottom of CuteFTP interface. This option also saves all activity in one log file.

  • Clear this to leave the Log Window blank and to stop recording all activity in a single log file.

  • Record/Display raw directory listing in logs

  • Select this to include file lists and permissions as part of session logs and consolidated logs. This returns a RAW list, which is used commonly for debugging.

  • Clear this to exclude file lists and permissions from session logs and consolidated logs.

Tip:

Logs can consume a large amount of system resources (memory and hard drive space), depending on the amount and size of files being transferred. It is recommended that you disable most logging (especially data connection logs) when performing a transfer that consists of many thousands of files, especially small files. To further reduce resource use, From the CuteFTP menu, select Tools > Global Options. Select Transfer > Events, and select Remove successful transfers from the queue automatically.


Log file settings

Log files settings

To access the log file settings

  1. From the CuteFTP menu, select Tools > Global Options.

  2. Expand the General function.

  3. Select the Log Files option.

Options

  • Log path

  • Browse for the folder to enter the path where you want to save your log files.

  • Delete saved logs every...

  • Select the check box to automatically delete log files at time intervals you choose. Choose to delete files after a specified number of days, hours, or minutes.

  • Clear the check box to keep all log files, or to delete them in other ways.

  • Delete error logs after quitting the Transfer Engine

  • Select the check box to automatically delete error logs when the Transfer Engine shuts down.

  • Clear the check box to keep error logs after the Transfer Engine shuts down.

  • Delete logs of successful transfers immediately after completion

  • Select the check box to automatically delete the associated logs immediately after a successful task is finished.

  • Clear the check box to keep the associated logs after a successful task is finished.

  • Record/Display time stamps in logs

  • Select the check box to include the date and time in all log files.

  • Clear the check box to exclude the date and time from all log files.

Note:

This option consumes additional system resources due to insertion of time and date stamp at each log event. The Record/Display time stamps in logs check box is selected by default.

  • Delete all logs

  • Select the check box to remove all log files from your log folder that are currently unused.

Note:

Logs for active sessions are not automatically deleted.

  • Delete listing cache

  • Select the check box to remove all remote file and folder listings CuteFTP has saved on your computer for offline browsing.

  • Thumbnail settings

Choose from:

  • Retain images in thumbnail cache - thumbnails stored in the cache are not deleted when you exit CuteFTP or the Transfer Engine.

  • Delete images in thumbnail cache - the thumbnail cache is emptied when the Transfer Engine is exited.

  • Delete images older than value specified - Thumbnails are stored for the time specified by the thumbnail cache expiration drop down menu.

  • Delete thumbnail cache - Empty the cache at any time by selecting this button.


Connection options

To display the Connection window

  1. From the menu, choose Tools > Global Options.

  2. Select Connection.

Options

  • Global max connections/transfers

  • Choose the number of simultaneous connections you will allow from CuteFTP.

    • On a Windows 95/98/ME computer you can choose up to 40 connections.

    • On a Windows NT/2k/XP computer you can choose up to 200 connections, but CuteFTP will warn you that more than 20 connections may compromise system performance.

    • Connections include transfers and browse sessions.

  • Per site max connections/transfers

  • Same as Global max but on a per site basis.

Note:

If you choose to allow only one connection per site, you must transfer files over the browse session only (you can navigate or transfer, but not both at the same time). This may be needed in situations where the server does not allow more than one connection from the same user. If the server allows more than one connection, then it is recommended that you use a value greater than one, for example 5. That way you can transfer files and at the same time continue to navigate the site.

  • Connection retry attempts

  • Choose the number of times CuteFTP tries to connect to a site before giving up. You can set CuteFTP to try connecting up to 1,000 times.

  • Delay between retries in seconds

  • Choose how long CuteFTP waits before attempting a new connection after a failed connection. Choose up to 1,000 seconds (about 17 minutes).

Note:

CuteFTP does not automatically retry after fatal errors, such as a host unreachable (invalid IP address or host name), or upon receiving a socket 1006n error, which usually has to do with the client not being able to connect to the host for various reasons (firewall blocking, network error, host is down, etc.).

  • Connection timeout in seconds:

  • Choose how long CuteFTP waits for an unresponsive server before it stops attempting a new connection. Choose up to 1,000 seconds (about 17 minutes).

  • E-mail address for anonymous logins

  • Enter the address you want to send to servers that require an e-mail address for anonymous logins. By default, CuteFTP sends a simulated e-mail address.

  • Display the server's welcome message

  • Select this to display a pop-up window with information from the server when initial connections are successful.

  • Clear this check box to skip the server's successful connection message.

  • Send the FEAT command after login to determine feature support

  • Select this to ask the server for a list of extended features it supports.

  • Clear this check box stop sending the FEAT command, the server won't respond with a list of supported features.

Note:

FEAT is used to determine whether extended features are supported, such as MDTM, MLST, and others. Not all servers support the FEAT command.

  • Send QUIT command before disconnecting

  • Select this check box to always send the QUIT command from CuteFTP no matter how you choose to disconnect.

  • Clear this check box to disconnect without sending the QUIT command.

  • Enable port mapping using UPnP

  • Select this to use the UPnP NAT interface (available in Windows XP) to provide proper port-mapping when connecting securely from behind a NAT/firewall using PORT mode (rather than PASV, due to the remote host also being behind a NAT/firewall). Without UPnP, you would need to manually set the port range in the client and also enable and forward them in the NAT/firewall device.

Note:

You can choose Max connections, Delay between retries, and Retry attempts for individual sites. Select the site to configure from Site Manager, then from the menu, choose File > Properties, and select the Options tab.

  • Assign PORT mode IP address and port range

    • Use this to specify an IP address and define a port range when establishing connections using PORT mode.

Typically, this setting should be turned off, but if you are using SSL and are having difficulty negotiating a firewall, it may help to specify your public FTP address here to enable CuteFTP to successfully negotiate with the firewall or NAT. Optionally, you can specify a range of ports for issuing port commands.

Tip:

Use local port range when you have a defined limited number of open ports on your firewall.


Smart Keep Alive options

You can set CuteFTP to maintain an active connection to a server even if you aren't currently sending commands or making transfers, by using Smart Keep Alive (SKA). SKA sends commands at random intervals to the FTP server, maintaining an active connection.

To access Smart Keep Alive options

  1. From the CuteFTP menu, select Tools > Global Options.

  2. Expand the Connection feature.

  3. Select the Smart Keep Alive option.

Options

  • Enable Smart Keep Alive (SKA)

  • Select this to automatically send commands to a server to keep a connection open, and to make all the SKA options available.

  • Clear this check box to disable SKA and to disable all SKA options.

  • Start SKA n seconds after the last command

  • Set how soon SKA begins after transfers and other activities have stopped. You can start SKA immediately or after 1,000 seconds (just under 17 minutes).

  • Maintain SKA for n minutes

  • Choose how long SKA sends commands to keep a connection open. You can set this for as little as one minute, and as much as 1,000 minutes (just under 17 hours).

  • Send command at random intervals between n and n seconds

  • For after SKA has started, choose the shortest and longest time CuteFTP will wait before sending a command to keep the connection open. You can choose to set times as low as zero seconds up to 1,000 seconds (just under 17 minutes). Between 15 and 60 seconds are the defaults.

  • Commands

  • Select Add to include new FTP commands in the list of possible commands sent to keep a connection open. CuteFTP uses the listed commands.

  • Choose Remove after selecting a command in the list to exclude that command from the list of commands sent to keep a connection open.

  • If disconnected, auto-reconnect within n seconds

  • Select this to have CuteFTP attempt a new connection with a server that has closed a connection. Choose a delay time between zero and 100 seconds.

  • Clear this check box if you don't want CuteFTP to automatically attempt a new connection.

  • Do not record SKA activity in the log file

  • Select the Do not record activity in the log file check box to make all the SKA information in the log file, text log file, or log pane invisible. The SKA information does not appear in the log file, text log file, or log pane.

  • Clear the Do not record activity in the log file check box to view the SKA information in the log file, text log file, or log pane.

Note:

The Do not record activity in the log file check box is selected by default.


Internet connection settings

Internet connection (DUN/LAN) settings

DUN stands for Dial-Up Networking. LAN stands for Local Area Network. If you connect to the Internet with a regular phone modem you are using Dial-Up networking. If you connect to the Internet with a cable modem, DSL modem, or through a computer network, you are using a Local Area Network.

To access Dial-up and Network settings

  1. From the menu, choose Tools > Global Options.

  2. Expand Connection.

  3. Select DUN/LAN.

Connection Type

  • Connect to the Internet using a LAN

  • Select this if you connect to the Internet with a Cable modem, DSL modem or through a computer network.

  • Connect to the Internet using a modem

  • Select this if you connect to the Internet using a modem over regular telephone lines.

Dial-Up options

  • Use the following Dial-Up Networking connection

  • Select the dial-up connection you want CuteFTP to use. The list includes every dial-up connection on the local computer that is available in MS Windows®. Many computers list only one.

  • Show authentication window (requires user input)

  • Select this to display the dial-up connection user name and password whenever CuteFTP attempts a connection.

  • Clear this check box to stop the display of the dial-up connection user name and password when CuteFTP attempts a connection.

  • Show error prompts (requires user interaction)

  • Select this to display messages when an error occurs with the dial-up connection.

  • Clear this check box to stop the display of error messages from the dial-up connection.

  • Disconnect from the Internet upon program exit

  • Select this to automatically disconnect from the Internet when CuteFTP or the Transfer Engine shuts down.

  • Clear this check box to keep the Internet connection active after CuteFTP or the Transfer Engine shuts down.

  • Number of times to attempt connection

  • Choose how many times CuteFTP tries to establish a dial-up connection to the Internet after a connection fails. You can choose from 0 to 1000 attempts.

  • Number of seconds to wait between attempts

  • Choose how long in seconds CuteFTP waits between attempts to establish a dial-up connection to the Internet. You can choose from 0 to 1000 seconds (1000 seconds equals almost 17 minutes).


SOCKS 4 and 5 connection settings

SOCKS is a network proxy protocol that allows transparent Internet connections across a firewall.

To access SOCKS 4 and 5 settings

  1. From the menu, choose Tools > Global Options.

  2. In the left pane, expand Connection.

  3. Select SOCKS4 & 5.

  • Use the highlighted SOCKS server when connecting

  • Select this to connect to an FTP site through a SOCKS server.

  • Clear this check box to connect to an FTP site without connecting through a SOCKS server.

  • SOCKS

  • Select a host name in the list to make FTP connections through that specific server.

  • Select Add, and then enter the server name in the Host name box to include a server in the SOCKS list.

  • Select Remove button to delete a highlighted server from the SOCKS list.

  • Host name

  • Select Add, and then enter the name of a new SOCKS server.

OR

  • Select a server from the SOCKS list, and edit the name.

  • Port

  • Enter the port for the server selected in the SOCKS list. The default port for SOCKS servers is 1080.

OR

  • Select a server in the SOCKS list, and edit the port number.

  • Use Authentication

  • Select this check box, to have CuteFTP automatically send the proper user name and password for the SOCKS server when first connecting.

  • Clear this check box if you don't have a SOCKS user name and password, or if you choose to enter them manually upon connection.

  • User name

  • Enter or edit the user name for the highlighted SOCKS server.

  • Password

  • Enter or edit the password for the highlighted SOCKS server.

  • SOCKS type

  • Select either SOCKS4 or SOCKS5 to match the highlighted SOCKS server.

Tip:

SOCKS4 servers do not require usernames and passwords. If you need a username and password to connect to the server, it is a SOCKS5 server.

Note:

Contact your system or network administrator for the proper Host name, Port, User name, Password and SOCKS type.


Proxy connection settings

To access proxy server settings

  1. From the menu, choose Tools > Global Options.

  2. In the left pane, expand Connection.

  3. Select Proxy Server.

Configuration notes

Use network connection proxy settings from Internet Explorer

  • Select this and CuteFTP uses the proxy settings already set in Internet Explorer to connect to FTP sites.

  • Clear this check box to connect to an FTP site without connecting through a proxy server, or to connect using proxy settings listed in CuteFTP.

Note:

With this option, CuteFTP attempts to detect Internet Explorer's proxy settings, including proxy.pac proxy script files. This is only available for Windows XP SP1, W2K Pro SP3, W2K Server SP3, and W2K Server 2003 using WinHTTP dll. If that fails, WinInet dll, which is supported by XP, 2K PRO, NT4, ME, 98, and 95 is queried.

  • Use the highlighted proxy when connecting

  • Select this to connect to an FTP site through a proxy server.

  • Clear this check box to connect to an FTP site without connecting through a proxy server, or to connect using settings from Internet Explorer.

  • Proxies

  • Select a host name in the list to make FTP connections through that specific server.

  • Select Add and enter the server name in the Host name box to include a server in the Proxies list.

  • Select Remove to delete the selected server from the Proxies list.

  • Host name

  • Select Add and enter the name of a new proxy server.

OR

  • Select a server in the Proxies list and edit the name.

  • Port

  • Type the proper port for the server selected in the Proxies list. The default port for proxy servers is 8000.

  • User name

  • Enter or edit the user name for the selected proxy server.

  • Password

  • Enter or edit the password for the selected proxy server.

  • Proxy type

  • Select either FTP or HTTP to match the protocol the selected proxy server supports.

  • Advanced is for selection of advanced authentication methods. Choose:

  • USER user @site if your proxy server requires the USER command followed by your user name and the site name to allow connection with a remote site. You can change the @ symbol if a different separator is required by your proxy server.

  • SITE site if your proxy server requires the SITE command followed by the address of the remote FTP site to allow a connection.

  • USER with logon if your proxy server requires the USER command followed by a user name and password to allow connection with a remote site.

  • USER/PASS/ACCT if your proxy server requires all three commands before allowing a connection to a remote site.

  • OPEN site if your proxy server requires the OPEN command followed by the site name before allowing connection to the site.

  • Custom if your proxy server requires a login sequence different from those above.

To create a custom authentication method for a proxy server

  1. Enter a command.

  2. Follow the command with a space and the appropriate variable. Choose from:

    • %host% - sends the host name you typed in the Proxy server options window.

    • %user% - sends the user name you typed in the Proxy server options window.

    • %pass% - sends the password you typed in the Proxy server options window.

    • %port% - sends the port number you typed in the Proxy server options window.

    • %fire_pass% - sends the password you typed in the Proxy server options window as authentication for the firewall.

    • %fire_user% - sends the user name you typed in the Proxy server options window as authentication for the firewall.

  3. Enter each variable with percent signs before and after.

  4. Press Enter to separate commands.

  5. Enter any other commands and variables, separating commands with a line break.

  6. Select OK.

Note:

Contact your system administrator for the proper Host name, Port, User name, Password, and proxy type, as well as any required advanced authentication methods.


Security settings

To display the Security window

  1. From the menu, choose Tools > Global Options.

  2. Select Security.

Configuration Notes

  • Remove Site Manager passwords upon program exit

  • Select this to prevent storing any site passwords in the Site Manager file at all. CuteFTP asks for the site password for each connection attempt.

  • Clear this check box to allow CuteFTP to store site passwords in the Site Manager file (default behavior). When passwords are saved, you won't have to enter them again when connecting to a site.

Note:

Not saving passwords at all is useful in shared system environments, where CuteFTP is likely being used by multiple users on the same physical machine.

  • Site Manager path:

  • Leave this to keep the Site Manager file in its default location.

  • Enter a new path or browse to a new path to move your Site Manager to a different location on your computer or network.

  • Encrypt contents of Site Manager

  • Select this to secure the Site Manager. You must supply a password every time you start CuteFTP.

  • Clear this check box, and CuteFTP starts without requiring a password. Site Manager and all its sites are available.

Tip:

When this option is not used (default) CuteFTP does use mild encryption with a system generated password to protect your Site Manager's contents. It is highly recommended that you select Encrypt the contents of the Site Manager, as it protects the contents of the Site Manager with strong encryption, using a password you supply.

  • Change Password

  • This becomes available when you select Encrypt contents of Site Manager. Select it to open a dialog to set and confirm a password for protecting the contents of the Site Manager.

  • Remove Queue file passwords upon program exit

  • Select this to remove passwords from queued items. Next time you start CuteFTP, you will be prompted for a password to complete the transfer.

  • Clear this check box to allow passwords to be sent automatically for queued items.

  • Remove Quick Connect and Connect to URL history upon program exit

  • Select this to erase any URLS and remove all sites from the Quick Connect drop-down, when CuteFTP is shut down.

  • Clear this check box to keep URLS and to keep a list of sites in the Quick Connect drop-down list even when CuteFTP is closed.


SSL security settings

To access the SSL security settings

  1. From the menu, choose Tools > Global Options.

  2. In the left pane, expand Security.

  3. Select SSL Security.

Configuration Notes

  • Use SSL certificate when authenticating

  • Select this to send a certificate to SSL servers for authentication.

  • Clear this check box to send no certificate to SSL servers for authentication.

Note:

Your server may not require client certificates. If they do require client certificates, you may need to send your self-signed or 3rd-party signed certificate to the server administrator so the admin can add it to the server's Trusted List.

  • Certificate

  • Browse to or type the location of an SSL certificate file on your local machine. The file should have a .crt extension.

  • Private key

  • Browse to or type the location of an SSL private key file on your local machine. The key file should have a .key extension.

  • Use passphrase

  • Enter the appropriate passphrase for the certificate listed in the Certificate field.

  • Confirm Passphrase

  • Enter the appropriate passphrase again for the certificate listed.

Tip:

The private key password is stored in the registry using strong encryption. For added security, leave the passphrase fields blank. CuteFTP prompts you for the private key password when necessary.

  • Create Certificate

  • Select this to create a new SSL certificate with a signing request and a key for the certificate. For more information on creating SSL certificates see Creating your own SSL certificates.

  • Trusted Certificates

  • Displays a list of certificates that you have accepted as valid. For more information on trusted certificates see Accepting server SSL certificates and Importing SSL certificates.

  • Reuse cached session for data connection (required by some servers)

  • Select this to allow new transfers without encrypting a new data channel.

  • Clear this check box to require encryption of every session for every new transfer.

  • Accept certificates in Windows Trusted Root Certificate Authority store

  • Select this to automatically trust certificates already accepted by your system, even if they have not been added to your Trusted list.

  • Clear this check box to require all certificates to be added to the CuteFTP Trusted list before allowing connections.

  • Warn when switching from secure to non-secure pages (CuteFTP Professional Only)

  • Select this to see a pop-up message when, after connecting to a secure HTTP site, you click a folder or link that is not secure.

  • Clear this check box to be able to link from secure HTTP sites to HTTP sites that are not secure without seeing any pop-up messages.


Events settings

Event settings

After all transfers have finished

  • Select the Do Nothing option to keep the connection and CuteFTP open after all transfers are complete.

  • Select the Disconnect from site option to close the connection but keep CuteFTP open after all transfers are complete.

  • Select the Disconnect and close program option to close all connections and close CuteFTP after all transfers are complete.

  • Select the Disconnect from Internet option to close a dial-up connection automatically after all transfers are complete.

  • Select the Shut Down Computer option to close all connections, close CuteFTP, close a dial-up connection and shut down the computer after all transfers are complete.

  • Select Log Off to automatically log the current user off the computer after all transfers are complete.

Remove successful transfer items from the queue automatically

  • Select the check box to erase items from the queue after they have transferred.

  • Clear the check box to keep items in the queue even after they have transferred.

Tip:

As old items build up in the queue it can consume large amounts of memory. Selecting this option avoids that problem.

Close the file transfer thread n seconds after the transfer is finished

  • Select the time that CuteFTP will wait to close the data connection after a transfer is complete. Leaving data connections open allows more transfers to use the same connection, avoiding the need to open new connections. Select a time between 0 and 1,000 seconds.

Preserve remote time stamp for downloaded files

  • Select the check box to keep a downloaded file's time stamp the same on the local machine as it is on the server.

  • Clear the check box to allow the local machine to give downloaded files a new time stamp.

Preserve the local time stamp for uploaded files if the server allows MDTM

  • Select the check box to keep an uploaded file's time stamp the same on the server as it is on the local machine.

  • Clear the check box to allow the server to give uploaded files a new time stamp.

Note:

The IETF Extensions to FTP working group or any formal RFC does not endorse using MDTM to modify a remote file's time stamp. However, quite a few servers support it. CuteFTP attempts the command when requested and report any errors to the log (if received).

Downloads

  • Select the Execute the following command on the downloaded file check box to execute the command value on the specified executable file displayed in the edit box below the check box.

  • Browse for the file to define the path of an executable, batch file, and so on. You can enter your own command line parameters by typing them in the edit box; the system appends the full path of the downloaded file to that string.

For example, if the Execute the following command value is "c:\windows\system32\csript.exe" "c:\documents and settings\ghoffer\mydocuments\check.vbs", then with this value turned on, if you download a file "foo.dat" to "d:\temp\", the command is executed in the following way:

"c:\windows\system32\cscript.exe" "c:\documents and settings\ghoffer\mydocuments\check.vbs" "d:\temp\foo.dat"


Rename rules

Rename rules settings

You can set CuteFTP to automatically change the name of files it transfers.

To access the Rename Rules options

  1. From the menu, choose Tools > Global Options.

  2. Expand Transfer.

  3. Select Rename Rules.

Apply auto-rename rules to transfers

  • Select this check box and CuteFTP will change the names of transferred files with names that are listed in the large box of the Rename Rules window.

  • Clear this check box and CuteFTP will not rename any files.

To create an auto-rename rule

  1. Type the original file name in the text box on the upper left.

  2. Type the desired new file name in the text box on the upper right.

  3. Click Add.

To remove an auto-rename rule

  1. In the large list box, highlight the rule you want to delete.

  2. Click Remove.

Configuration notes

  • The rules are case sensitive.

  • These rules will apply to all uploads, downloads, and site-to-site transfers.

  • You can create rules with wildcard masks to change just the extension of several files of the same type. For example, if your .jpg files need the extension in upper case (.JPG) on the server, create the rule:

Rename from | Rename to
*.jpg | *.JPG

  • You can create a rule to strip extensions from file names. For instance if you want to transfer a file called "index.htm" as simply "index" add this rule to your list:

Rename from | Rename to
index.htm | index.*


ASCII Transfer options

ASCII Transfer settings

Select, by file extension, file types that should always be transferred in ASCII mode.

To access the ASCII transfer options

  1. From the menu, choose Tools > Global Options.

  2. Expand Transfer.

  3. Select ASCII Types.

ASCII Extensions

  • Type the file extension for files you want to transfer in ASCII mode in this box.

  • Select Add to add the extension to the list.

  • Select Remove to delete the selected extension from the list.

Note:

You can specify a Transfer type from the main menu (see Transferring files in binary or ASCII mode). You can also specify a Transfer type for an individual site by highlighting the site in the Site Manager, clicking the Type tab, and choosing from the Transfer list. Auto is the default transfer type, and sends files in the mode specified for each file's extension. All extensions are sent in binary mode unless they are listed in the ASCII Extensions list.


Mode Z settings

Mode Z compression compresses files on-the-fly for file transfers from the local computer to the remote computer and remote to local computer, saving bandwidth and improving transfer time. You must configure MODE Z to take advantage of this feature. If MODE Z option is enabled, then all the file types in the Mode Z list are compressed when transfer of files between the computers take place.

To configure Mode Z settings

  1. From the CuteFTP menu, select Tools > Global Options or click Global Options [image] on the tool bar. The Global Options dialog box opens.

  2. Expand the Transfer function and select the Mode Z option.

  3. Select the Apply MODE Z compression check box to enable the compression of files. Mode Z compression is applied to all file types in the following list.

  4. Click Apply.

To add file type to Mode Z list

  • Enter the extension of the file in the text field and click Add.

To remove file type from Mode Z list

  • Select the extension of the file from the Mode Z list and click Remove.

Note:

Only those files that are added to the Mode Z list are compressed.


Smart Overwrite options

Smart Overwrite settings

When you try to transfer a file to a destination with a file of the same name, use Smart Overwrite to determine the proper action to take. Smart overwrite settings apply to both uploads and downloads. Some servers are case sensitive. Such servers will not recognize files names as identical if the letter case of the two file names does not match.

To access the Smart Overwrite settings

  1. From the menu, choose Tools > Global Options.

  2. In the left pane, expand Transfer.

  3. Select Smart Overwrite.

For matching files

  • Prompt: CuteFTP displays a window asking you to overwrite or skip the file in the destination folder that has the same name as the file you are transferring.

  • Overwrite: If a file in the destination folder has the same name as the file you are transferring CuteFTP replaces the destination file with the transferred file.

  • Skip: If a file in the destination folder has the same name as the file you are transferring CuteFTP does not transfer the file and leave the destination file as it is.

  • Rename: If a file in the destination folder has the same name as the file you are transferring CuteFTP asks you for a new file name for the transferred file.

  • Resume: If a file in the destination folder has the same name as the file you are transferring CuteFTP treats the destination file as an incomplete transfer. If the destination file is already a complete file, the transferred file replaces the destination file.

  • Numerate: If a file in the destination folder has the same name as the file you are transferring CuteFTP renames the transferred file to 'Copy of file.txt'. If the same transfer occurs again CuteFTP renames the transferred file to 'Copy (2) of file.txt'

  • Use Rules: If a file in the destination folder has the same name as the file you are transferring, CuteFTP uses the rules you define in Overwrite Rules.

Ignore Zero byte files

  • Select this and CuteFTP ignores any files with a size of zero bytes.

  • Clear this check box and CuteFTP applies all rules and settings to all files regardless of size.

For matching folders

  • Prompt: CuteFTP displays a window asking what you want to do to a folder in the destination folder that has the same name as the folder you are transferring.

  • Replace All: If a folder in the destination folder has the same name as the folder you are transferring CuteFTP replaces every destination file with matching names with files in the transferred folder.

  • Use Rules: If a folder in the destination folder has the same name as the folder you are transferring, CuteFTP uses the rules you define in the Overwrite Rules window to determine how to handle all files with matching names.

Configure Rules

Configure Rules defines the rules you want CuteFTP to use when two files have the same name. You must select Use rules to enable these options.

  • If destination file date is

    • newer replaces a file if it has a time stamp more recent than the file you are transferring.

    • no matter replaces any file regardless of when it was created in relation to the file you are transferring. Select this option if you don't want to replace files based on when they were created.

    • older replaces a file only if it has a time stamp further in the past than the file you are transferring.

    • the same replaces a file if it has the same time stamp as the file you are transferring.

    • different replace a file if it has a time stamp that is older or newer than the file you are transferring.

  • and size is

    • larger replaces a file if it is larger than the file you are transferring.

    • no matter replaces a file regardless of its size. Select this option if you don't want to replace files based on their size in relation to the file you are transferring.

    • smaller replaces a file if it is smaller than the file you are transferring.

    • the same replaces a file if it is same size as the file you are transferring.

    • different replaces a file if it is larger or smaller than the file you are transferring.

  • during

    • any transfer replaces files whether you are uploading or downloading.

    • download replace only the files on the local machine with files transferred from a remote site.

    • site to site transfer replaces files when with the same name when transferring from one remote site to another.

    • upload replace only the files on the remote site with files transferred from the local machine.

  • then

    • overwrite completes the transfer by replacing the file that's already in the destination folder.

    • numerate completes the transfer by renaming the transferred file with "Copy (n) of..." added before the name.

    • resume treats the transfer as an attempt to continue an interrupted transfer.

    • show prompt pauses the transfer and display the message that asks the user which action to take.

    • skip cancels the transfer and leave the original file in the destination folder.

  • Select Add >>\ places the rule into the list. If you are using rules, CuteFTP checks every rule in the list during all transfers.

  • Select << Remove to delete a rule you have highlighted in the list and CuteFTP will no longer use the rule when it encounters two files of the same name.

  • Select Defaults to delete every rule from the list.

For more information, see Smart Overwrite Example.

Prompt timeout action

Defines the action CuteFTP takes if no rules apply, or if you enable a timeout value. When you select the Timeout in n seconds check box, a prompt appears, but after waiting the defined amount of time, CuteFTP takes one of the following actions:

  • Overwrite: If a file in the destination folder has the same name as the file you are transferring CuteFTP replaces the destination file with the transferred file.

  • Skip: If a file in the destination folder has the same name as the file you are transferring CuteFTP does not transfer the file and leave the destination file as it is.

  • Rename: If a file in the destination folder has the same name as the file you are transferring CuteFTP asks you for a new file name for the transferred file.

  • Resume: If a file in the destination folder has the same name as the file you are transferring CuteFTP treats the destination file as an incomplete transfer. If the destination file is already a complete file, the transferred file replaces the destination file.

  • Numerate: If a file in the destination folder has the same name as the file you are transferring CuteFTP renames the transferred file to 'Copy of file.txt'. If the same transfer occurs again CuteFTP renames the transferred file to 'Copy (2) of file.txt'.

Resend LIST command as necessary

  • The LIST command retrieves file details and determine similarities and differences between a transferring file and destination file with the same name.

  • Clear this check box and CuteFTP does NOT use the LIST command.

Use SIZE and MDTM to gather precise details

  • The SIZE command retrieves file size and the MDTM command retrieves file modification time to determine similarities and differences between a transferring file and destination file with the same name.

  • Clear this check box and CuteFTP will NOT use the SIZE and MDTM command.

Note:

The resulting action of Compare using XCRC... takes precedence over your standard overwrite action settings.


Navigation settings

To access the navigation settings

  1. From the menu, choose Tools > Global Options.

  2. Select Navigation.

Event Handling

  • When adding items to the queue, choose:

  • Transfer immediately to start transfer of the queued item as soon as it is dropped in the queue.

  • Suspend to place the item in the queue, but to hold the transfer.

  • Schedule to display the scheduling window when an item is placed in the queue.

  • When dragging an item to the local pane, choose:

  • Transfer to current folder to send the dragged item to the folder currently listed in the Local Drives pane.

  • Transfer to default folder to send the dragged item to the default transfer folder listed in General Settings.

  • Add to queue & suspend to place the dragged item in the queue, but hold the transfer.

  • When double-clicking an item, choose:

  • Transfer immediately to send the item to the displayed remote site or the default download folder.

  • Add to queue & suspend to place the double-clicked item in the queue, but hold the transfer.

  • Launch in viewer to open the item in the File Viewer program chosen in Helper Applications.

  • Execute to run the item if it is a program.

  • Edit to open the item in the File Editor program chosen in Helper Applications.

More options

  • Link the remote and its associated local pane when working with multiple sites

  • Ties the local and remote panes to each other.

  • Clear this checkbox to retain the same path in the local pane regardless of the remote pane selected.

  • Auto-refresh the remote pane after an upload

  • Update the remote folder's listing after every upload to that folder.

  • Clear this check box to stop sending LIST requests to a remote site after every upload.

  • Switch from the Site Manager to the Local Drives Pane upon connection

  • Automatically displays the Local Drives pane when a connection is made.

  • Clear this check box to leave the Site Manager displayed when a connection is made.

  • Use the logical parent (not physical parent) on CDUP command

  • Returns to the folder you just linked from when clicking the Move up directory [image] button.

  • Clear this check box to change to the actual folder the item resides in, and not a folder with a link to the item, when clicking the Move up directory button.


TOC File settings

You may connect with remote folders that have Table of Contents (TOC) files. TOC files contain detailed information about the folder. In long and complicated directories the TOC files can be quite large. If you download very large TOC files, they may interfere with CuteFTP's performance or operation.

To access the TOC File settings

  1. From the menu, choose Tools > Global Options. The Global Options dialog appears.

  2. In the left pane, expand Navigation.

  3. Select TOC Files.

Settings

  • Load TOC Files

  • Automatically downloads Table of Contents files whenever connecting to a remote folder.

  • Clear this check box to never download Table of Contents files.

  • If the TOC file size exceeds n Kbytes, then prompt before loading.

  • Choose the maximum size TOC file CuteFTP downloads without prompting for permission. Choose a size between 1 and 1,000 kilobytes.

  • TOC include masks

  • Enter file names or extensions that CuteFTP should consider as TOC files. You can use wildcard masks.

  • Add includes your entry in the list of TOC include masks.

  • Remove deletes the selected item from the TOC include masks list.

  • TOC exclude masks

  • Enter file names or extensions that CuteFTP should NOT consider as TOC files. You can use wildcard masks.

  • Add includes your entry in the list of TOC exclude masks.

  • Remove deletes the selected item from the TOC exclude masks list.

Note:

The TOC include masks and the TOC exclude masks act as a double filter to help CuteFTP determine whether or not a file is a TOC file. For example, if you put "Index*" in the TOC include masks and *.html in the TOC exclude masks, a file named "Index.txt" would be considered a TOC file, but a file named "Index.html" would not.


Symbolic Link options

You can determine how CuteFTP handles Symbolic Links. Symbolic Links are similar to shortcuts, they point to items in other locations on a server.

To access the Link options

  1. From the menu, choose Tools > Global Options.

  2. Expand Navigation.

  3. Select Links.

Server side link resolution

  • Attempt link resolution using LIST-L command

  • Sends the LIST-L command instead of LIST to display folder contents. LIST-L attempts to list the actual file or folder rather than the link that points to the file or folder.

  • Clear this check box to send just the LIST command to display folder contents and leave links in the list.

Note:

Servers are not always able to resolve links using LIST-L.

  • Client side link resolution

  • Try to determine the link's target type by its extension - CuteFTP tries to tell if the link points to a file or a folder. CuteFTP treats the link as if it were the item it references.

  • Always assume the link is a file (don't attempt to resolve) - treats symbolic links as files. If you download the link it displays as a file with size 0 in your local folder.

Tip:

This option is useful when you download large directories or folders with many files and subfolders.

  • Always assume the link is a folder (don't attempt to resolve) - treats symbolic links as folders that you can double-click to see folder contents.

Note:

CuteFTP attempts to show the actual path of a file or folder link in the Remote pane, under the Name column. For example, a link to a file called archive.zip might show .3/networks/bbs_info/archive.zip


Tolerance options

You may encounter some servers that treat PASV mode and links differently. You can choose from the following options to help when connecting with these servers.

To access the Tolerance options

  1. From the menu, choose Tools > Global Options. The Global Options window appears.

  2. In the left pane, expand Navigation.

  3. Select Tolerance.

Configuration notes

  • Use correct timing of PASV mode command

  • This option works with most FTP servers. See RFC compliant PASV mode example.

  • Clear this check box to connect with a server when having difficulty connecting in PASV mode.

  • Use PWD to determine current folder

  • Uses the 'Print Working Directory' command to determine what remote folder is currently open on the server.

  • Clear this check box and CuteFTP attempts to determine the current remote folder based upon the relative location from the root login folder. Uncheck this box only if your server does not support PWD.

  • Use absolute paths for DELE, RETR, and STOR commands

  • Sends the absolute path to the file to complete delete, download, or upload file operations. For example: "RETR /pub/cuteftp/cuteftp.exe".

  • Clear this check box if your server doesn't support absolute path names for these commands. CuteFTP sends the relative path to the file instead. For example: "RETR cuteftp.exe".

  • Use absolute paths for the LIST command

  • Uses the complete absolute path to retrieve the listings for a folder. For example: "LIST /pub/cuteftp".

  • Clear this check box if your server doesn't support absolute path names for the LIST command. CuteFTP uses the relative file path to retrieve the listings for a folder. For example: "LIST".

  • Use NLST instead of LIST (retrieves an abbreviated listing)

  • Retrieves a list of just file names for each folder. The list does not include time stamps, file size, or other details.

  • Clear this check box to use the LIST command and retrieve a list with details for each file and folder.

  • Treat 5xx errors as 4xx errors during login

  • Continues login attempts if the server returns permanent errors (5xx) inappropriately, such as when the server is full or busy.

Warning:

Selecting this option may result in being banned from a server. CuteFTP will repeatedly try to connect to the server (according to retry and retry delay settings). If the retry delay period is set too low, these repeated attempts may end up being considered "hammering," and the server administrator or service may ban your accounts.

  • Clear this check box to always accept permanent errors, to stop further connection attempts, and to avoid being banned for hammering.


Display settings

To access CuteFTP display settings

  1. From the menu, choose Tools > Global Options.

  2. Select Display.

Configuration Notes

Select the toolbars to display

  • Select the toolbars you want to display by clicking the checkbox next to the toolbars.

  • Click the name of the toolbar to select it.

  • With a toolbar in the list highlighted, click the Customize selected toolbar button to add or remove buttons on the toolbar.

Customize selected toolbar - add a button

    1. Select a button from the Available Toolbar buttons column.

    2. Click Add, or double-click the button.

    3. Click Close to accept changes, Reset to cancel changes.

Customize selected toolbar - remove a button

    1. Select a button from the Current Toolbar buttons column.

    2. Click Remove, or double-click the button.

    3. Click Close to accept changes, Reset to cancel changes.

Customize - move a button

    1. Select a button from the Current Toolbar buttons column.

    2. Click Move Up to move a button one icon to the left on the toolbar.

    • Click Move Down to move the button one icon to the right on the toolbar.

    3. Click Close to accept changes, Reset to cancel changes.

Note:

Reset does not cancel changes made when the Customize Toolbar dialog box was opened and closed previously.

Show large toolbar icons

  • Select this to display the large (32x32 pixel) set of main toolbar icons.

  • Clear this to display the small (16x16 pixel) set of main toolbar icons.

Auto-hide Quick Connect bar

    • Select this to cause the Quick Connect bar to hide upon connection to a site.

    • Clear this to cause the Quick Connect bar to stay in view upon connection to a site.

Display menu icons

    • Select this to display small icons in the menus next to commonly used menu items.

Highlight active pane

    • Select this to display a thin blue line at the top of the window pane that currently has the focus.

Show grid lines on all view panes

    • Select this check box to display borders between rows and columns in the queue window, and in the Local and Remote panes when in Detail view.

    • Clear this check box to hide all borders between rows and columns.

Display File Sizes in

  • Adaptive causes CuteFTP to decide when to show files in Bytes, KB, MB, or GB.

  • Kilobytes causes CuteFTP to always display values in KB.

Local, Remote, Queue Pane Font

Allows you to adjust the font type and size display of all text in the Local Drives tab, Queue pane, and Remote pane.

Smart Sorting

    • Use standard lexicographic sorting for alphanumeric file names

Select this option to sort file lists by the value of each individual digit.

    • Use Smart Sorting for alphanumeric file names

Select this option to sort file lists by whole number value.

Tip:

Smart Sorting always lists file names with smaller numbers first. For example, A2 comes before A12. David Wincelberg developed Smart Sorting. CuteFTP uses it by default.
Standard Lexicographic sorting lists file names using one character at a time reading from left to right. For example, A12 comes before A2. MS Windows uses Standard Lexicographic sorting by default.

Smart Sorting | Standard sorting
FileA1.ext | FileA1.ext
FileA2.ext | FileA12.ext
FileA6.ext | FileA2.ext
FileA9.ext | FileA20.ext
FileA12.ext | FileA21.ext
FileA20.ext | FileA6.ext
FileA21.ext | FileA9.ext


Sound options

To access CuteFTP sound options

  1. From the menu, choose Tools > Global Options.

  2. In the left pane, expand Display.

  3. Select Sounds.

Configuration Notes

  • Add sounds

  • Select this to hear audio cues for certain events in CuteFTP and to edit the sounds associated with events.

  • Clear this check box to silence all sounds from CuteFTP and disable sound association editing.

  • Events

The Event column lists possible CuteFTP events. The File column lists the sound file that plays for each event. If there is nothing in the File column, the event to the left does not cause a sound. Select an event in the list to add or change the sound associated with it.

  • File

  • Browse or type the path to a sound that you want. To remove a sound from an event, select it, and then choose (None).

Tip:

With a sound listed in the File entry box you can preview the sound by clicking the speaker button.


Prompt settings

To access CuteFTP prompt settings

  1. From the menu, choose Tools > Global Options.

  2. Expand Display.

  3. Select Prompts.

Confirmations

  • Confirm when deleting from local drive

  • A confirmation prompt appears before each delete and asks if you are sure you want to delete the item before removing it.

  • Clear this check box and when you try to delete an item from the Local Drives pane, it will be remove without a confirmation prompt.

  • Confirm when deleting from remote drive

  • Select this check box and when you try to delete an item from a remote folder, CuteFTP asks if you are sure you want to delete the item before removing it.

  • Clear this check box and when you try to delete an item from a remote folder, it will be removed immediately.

  • Confirm when deleting from queue

  • Select this check box and when you try to delete an item from the queue, CuteFTP will ask if you are sure you want to delete the item before removing it.

  • Clear this check box and when you try to delete an item from the queue, it will be removed immediately.

  • Confirm when closing a remote pane

  • Select this check box and when you try to close a window for an active connection, CuteFTP will ask if you want to disconnect first.

  • Clear this check box and when you try to close a window for an active connection, the window and connection will be closed immediately.

Prompts

  • Show prompt upon error Select this to display a dialog upon certain server errors (5xx range).

  • Show login prompt if connection fails or is missing data Select this to display a dialog when the site password is rejected or missing.

  • Show prompt when new tasks are scheduled Select this to display a dialog notifying you that a task was scheduled and added to the queue.

  • Show prompt when new tasks are started Select this to display a dialog notifying you that a scheduled task has started to run.

  • Show prompt after successful decompression Select this to display a dialog notifying you that the archive was expanded successfully.

  • Show warning when transferring binary files in ASCII mode Select this to display a dialog warning you when you may be transferring a certain file type in the wrong mode.

  • Show connection progress prompts Select this to display a connection status dialog when connecting. If the log view is unavailable when connecting, this dialog will show you if there may be a problem with the connection. This is enabled by default.


Language settings

CuteFTP's resources are independent from the main application executable and are contained in a file called Default.lng. You can modify the text and dialogs displayed in the program or localize the entire resources in order to use CuteFTP in your own language.

To modify the resource file using Microsoft Visual Studio

  1. Locate the default.lng file in the CuteFTP installation folder.

  2. Make a copy of this file in the same folder and rename it with a dll extension. For example: custom.dll

  3. Launch Visual Studio.

  4. Choose File > Open from the menu.

  5. In the Look in field of the Open dialog, locate your CuteFTP installation folder.

  6. In the Files of type field, select Executable Files (.exe; .dll; .ocx).

  7. In the Open as field, select Resources.

  8. Select the resource dll file you just created and select Open.

  9. In Visual Studio's main editor window, select one of the resource folders shown, such as String Table.

  10. Modify the resource strings. Take special care to not modify dynamic string placeholders (i.e. %d or %s) or escape sequences (\n). The "&" sign represents a mnemonic and must remain intact.

  11. Once you've completed your modifications, save your changes by choosing File > Save from the main menu.

  12. Close Visual Studio.

  13. Locate the resource dll you just modified.

  14. Change its extension back to lng. For example: custom.lng

  15. Launch CuteFTP.

  16. Choose Tools > Global Options > Display > Language from the menu.

  17. Select the new language file from the left-hand pane of the Language settings dialog.

  18. Select OK, close the Global Options dialog and restart CuteFTP.

The resource changes take place throughout the program. You can also modify the resource file using other third party tools, such as the free utility called Resource Hacker (search for it using Google) used for modifying resource files.

To modify the resource file using Resource Hacker

Follow the same steps as above with the following exceptions:

  1. When opening the dll file in Resource Hacker, select Win32 PE files as the Files of type.

  2. As you edit the resources of each node in the resource tree, make sure to select COMPILE SCRIPT after making changes to that node.

Tip:

Make sure you save your changes from the File > Save menu once finished. Resource Hacker automatically makes a backup of the original dll file. All other steps are the same, including the naming of the file back to something.lng and the steps on how to load it in CuteFTP.

Note:

CuteFTP's License Agreement contains specific language prohibiting reverse engineering, decompiling or otherwise modifying the application or any one of its components. You are permitted to modify the resource file for your own personal use on your own system only. You are not allowed to distribute your modified resource file to others. We are considering a program in the near future that will permit users to localize their resources and submit them to GlobalSCAPE for redistribution to others. If you are interested in taking part in any localization efforts and feel that you are able to provide timely, high-quality translations of the CuteFTP resources file, please contact the CuteFTP Product Manager.


Helper Applications

You can choose the programs to use for viewing and editing documents from within CuteFTP.

To access Helper Applications

  1. From the menu, choose Tools > Global Options.

  2. Select Helper Applications.

File Viewer

  • Use the integrated HTML editor to view files

  • Select this check box to open files in CuteFTP's built-in HTML editor when clicking a file and going to File > View.

  • Clear this check box to open files in a program you choose in the long box below the check box.

  • File viewer

  • Browse or type the path to the program you want to use when clicking a file and going to File > View.

File Editor

  • Use the integrated HTML editor to edit files (recommended)

  • Select this check box to open files in CuteFTP's built-in HTML editor when clicking a file and going to File > Edit.

  • Clear this check box to edit files in a program you choose in the long box below the check box.

  • File editor

  • Browse or type the path to the program you want to use when clicking a file and going to File > Edit.

Note:

If you choose a third party editor with which to edit remote files, CuteFTP launches the editor and then monitor the folder containing the temporary file being modified. Once you've made your changes in the editor and saved them, CuteFTP will upload the changes back to the server.

Tip:

If you prefer to use a direct editor over a WYSIWYG editor but find the integrated editor too limited in functionality, consider trying out our CuteHTML Pro tool. It is powerful editor for working with HTML, ASP, PHP, Perl, and many more file types.

Note:

If you open an HTML file in the built-in HTML editor using File > View you can still edit and save the file.


HTML editor settings

To view or edit HTML Editor settings

  1. From the menu, select Tools > Global Options.

  2. Expand Helper Applications and select HTML Editor.

Display editor using Full Screen view

  • The editor can display in full screen or as a tab in the CuteFTP window. By default, CuteFTP displays the HTML editor in tab view mode. To change to full screen view, select Display editor using Full-Screen view.

Enable word wrap

  • Select this check box and the HTML editor will add line breaks at the right end of long lines, so that you can see entire lines of Code without scrolling to the left or right.

  • Clear this check box and the HTML editor will use line breaks where you add them. You might have to scroll to the right to see the ends of longer lines of code.

Prefix each line with line numbers

  • Select this check box to display numbers at the beginning of each line of code. If word wrap is enabled, the numbers will only display after line breaks you have entered. The line numbers are not saved as part of the document.

  • Clear this check box and no line numbers will be displayed.

Allow editing beyond the end of line

This check box is only available if Enable word wrap is cleared.

  • Select this check box to allow the cursor to keep moving to the right after the last character in a line.

  • Clear this check box to force the cursor to return to the left end of the following line after the last character in a line.

Note:

If you disable Allow editing beyond the end of line, you can still add more characters after the right-most character.

Tab size

Enter the number of spaces you want the cursor to move to the right when you hit the Tab key. You can choose from 1 to 32.

Edit new document template

Select Edit new document template to open a window where you can change the HTML code and text that is generated automatically when you start a new document in the HTML editor. When you have finished making changes, click the CLOSE button.

Choose font for editor

Select Choose font for editor to open a dialog where you can choose the type, style and size of the font displayed in the HTML Editor. When you have made your selections click OK, or if you don't want to change the font click Cancel.


Choosing display colors for the HTML editor

To specify display colors for HTML tags and Perl scripts

  1. From the menu, choose Tools > Global Options.

  2. Expand Helper Applications and HTML Editor.

  3. Select Colors.

  4. Select a color from the list for each tag set and for Perl script components.

  5. Select Apply or OK.

To specify background and standard font colors for the HTML editor

  1. From the menu, choose Tools > Global Options.

  2. Expand Helper Applications and HTML Editor.

  3. Select Colors.

  4. To use the system default colors, select the Use system settings check box and skip to step 7.

OR

  • To choose different colors, clear the Use system settings check box and continue with step 5.

  5. Select a color for the background from the Background list.

  6. Select a color for the font from the System font list.

  7. Select Apply or OK.


Choosing the folder for HTML code snippets and Java scripts

To specify the folder for code snippets and previewing HTML documents from CuteFTP

  1. From the menu, choose Tools > Global Options.

  2. Expand Helper Applications and HTML Editor.

  3. Select Folders.

  4. In the Code snippets box, browse or type the path to the folder where you want to store code snippets.

  5. In the Java scripts box, browse or type the path to the folder where you want to store Java scripts.

  6. Select OK.


Choosing to write HTML for a specific browser

The HTML Editor can automatically provide suggestions for HTML tags that work for specific browsers. The HTML Editor offers HTML tag choices in drop down boxes. These are called tag tips.

To show tag tips

  1. From the menu, choose Tools > Global Options.

  2. Expand Helper Applications and HTML Editor.

  3. Select Tag tips.

  4. Select the Show tag tips check box.

Or

  • Clear the Show tag tips check box to keep tag tips hidden.

  5. Select OK or Apply.

The primary and secondary browsers you choose control the tags shown in the tag-tip drop down boxes.

To display only tag tips that apply to certain browsers

  1. From the menu, choose Tools > Global Options.

  2. Expand Helper Applications and HTML Editor.

  3. Select Tag tips.

  4. Select your first browser choice from the top list, First primary browser tags.

  5. Select your second browser choice from the next list, Second primary browser tags.

  6. Select your third browser choice from the list Secondary browser tags.

  7. Select a color for tag tips that apply only to the third browser choice in Secondary browser color.

  8. Select OK or Apply.

When more than one primary browser is selected, the tag tips in the drop down that are common to both browsers display in black. This enables you to code for two types of browsers, such as Netscape and IE, or two versions of the same browser.

Example

If you want to code for IE 5.0, but conserve backwards compatibility with 4.0, then choose 5.0 and 4.0 as the two primary browsers. Tags in common to both are available in the tag tips box. Newer 5.0 tags that didn't exist in 4.0 don't even appear, which helps you code your HTML without having to worry about which tags may be supported or not.

Choosing a secondary browser lets you see ALL the tags for a certain browser in a different color. In the example above, if you wanted to code for IE 4.0 and 5.0 but add certain tags from OPERA, you would select OPERA as the secondary browser. When you saw a colored tag in the tag tips box, you would know it was an OPERA tag, which may or may not work in IE or Netscape. This enables you to decide whether or not to insert the particular tag.

To choose how long the tag tips take to appear

  1. From the menu, choose Tools > Global Options.

  2. Expand Helper Applications and HTML Editor.

  3. Select Tag tips.

  4. In the Tag tips delay in milliseconds box, enter a time for the HTML editor to wait before showing tag tips.

  5. Select OK or Apply.

To capitalize all tag tips

  1. From the menu, choose Tools > Global Options.

  2. Expand Helper Applications and HTML Editor.

  3. Select Tag tips.

  4. Select the Capitalize tag tips check box.

Or

  • Clear the Capitalize tag tips check box to leave tag tips in lower case.

  5. Select OK or Apply.


HTML Editor overview

CuteFTP has a built in HTML editor. You can edit HTML and other ASCII (text) based documents.

The built-in editor was added primarily for remote file editing. This enables Webmasters and users to select a document on the remote site, load it in the editor, make quick changes, and then save the document back to the remote location.

To open the HTML Editor

  • From the CuteFTP menu, select File > New > HTML Document.

The editor has the following features:

  • Auto-tag completion feature for HTML tags

  • Auto validation using code-for-browser settings

  • Customizable color-coded HTML and PERL tags

  • Color and RBG to HEX converter

  • Unlimited Undo and Redo commands

  • Document weight feature

  • Word wrap toggle

  • Smart Anchor and Image dialogs that remember commonly used data

  • Sophisticated word/paragraph Find and Replace feature

  • Dynamic view in browser function

  • Highly customizable Java script support for commonly used scripts

  • Handy and customizable Code Snippet feature that allows you to save and reuse code

  • Customizable default template for new HTML docs

  • Line numbering option for better code management

  • Easy to use Bold, Italic, and Font selector for those commonly used tags

  • Optional end of line or extended editing cursor placement

  • Color printing for easy document comprehension/layout

  • View unsaved changes in browser feature for fast assessment of proposed changes

  • Plus most standard text editor features


Search and replace

You can search and replace characters, words, sentences or entire paragraphs with the integrated editor's powerful search and replace tool.

  • From the menu, choose Edit > Find / Replace. The Find / replace dialog box opens.

  1. Enter the words you wish to search for or change in the Search for field.

  2. Enter the replacement words or phrase in the Replace with field.

  3. Select whether to search only the open document or all open documents by checking the appropriate field under Where to search in the lower left part of the screen.

  4. Select the Match case check box if you want the system to match capitalization or the sentence case.

  5. Select Find.

  6. The first match is located and replaced. To continue to search and replace throughout the document, select Find Next for each instance (or hit F3 on your keyboard)

WARNING:

Because it replaces all occurrences, be very careful when choosing the replace option. For example, if you want to change all occurrences of 'one' to '1', it will also change words like 'everyone' to 'every1'.

Tip:

When entering text into the Search for or Replace with fields, use Ctrl+Enter to enter a line break.


Color to hexadecimal

Color to HEX

The Color to HEX utility eliminates the need to know HEX codes. It will also provide HTML values if desired. Find the desired color in the color grid and the integrated editor will insert it into your open document at the cursor location.

  1. From the menu, choose Tools > Color to HEX.

  2. Select a basic color or choose one from the color wheel.

  3. If you desired to use HTML safe colors only, select Paste browse safe.

  4. Choose OK to insert the HEX code for the selected color into your document.


Document Data

The Document Data screen contains information about the document currently being edited.

Text Size | The total size of text contained in the document, shown in kilobytes.
Image Size | The total size of images contained in the document, shown in kilobytes.
Total Size | Total of text and images size, shown in kilobytes.
Weight | Number of seconds your page will take to load based on size and modem speed. Use the down arrow at the end of this field to adjust modem speed.
Images | A list of all images appearing in the document.
Anchors | A list of all anchors appearing in the document.


HTML editor toolbar

CuteFTP HTML editor toolbar

The CuteFTP HTML editor toolbar has the following buttons:

Name | Icon | Function
New HTML document |  | Opens a new HTML document in CuteFTP. You can create a web page using this option.
Save |  | Save the document as web page.
Undo |  | Click this to undo an action.
Redo |  | Click this redo an action.
Find/Replace |  | Finds and replaces the words in an HTML document.
View in Browser |  | Click this to view an HTML document as a web page.
Bold |  | Formats text as bold.
Italics |  | Formats text as italicized.
Underline |  | Formats text as underlined.
Insert Anchor |  | Helps in providing hyperlinks. On clicking this icon, the Anchor Tag dialog box opens, where you can assign hyperlinks to a topic.
Insert Image |  | Helps in inserting images. You can browse for a folder and insert the images in an HTML document.
Set Font |  | Helps in changing the font size.
Insert Comment |  | Helps in inserting comments in an HTML document.
Insert Table |  | Helps in inserting table in an HTML document.


Creating a new HTML document

You can create new HTML documents within the CuteFTP interface.

To create a new HTML document

  1. From the CuteFTP menu, select File > New > HTML Document or click New HTML document [image] on the HTML editor toolbar. A new HTML document opens. You may begin coding.


Saving an HTML document

Saving HTML documents

To save an HTML document

  1. Make sure the file you want to save is visible in the main window.

  2. From the CuteFTP menu, select File > Save or click Save [image] on the HTML editor toolbar. The file is saved.

Note:

If the file has never been saved before, CuteFTP opens the Save As dialog box.

To save an HTML document with a new name and/or location

  1. Make sure the file you want to save is visible in the main window.

  2. From the CuteFTP menu, select File > Save As. The Save As dialog box appears.

  3. Choose a name and location for the file.

  4. Select Save.


Opening an HTML document

You can open HTML documents for editing within CuteFTP.

To open an HTML document

  1. From the CuteFTP menu, select File > Open file. The Open dialog box opens.

  2. Browse to the folder containing the document.

  3. Select the document.

  4. Click Open.


Editing an HTML document on a remote site

To edit HTML documents on a remote site

  1. Connect to a remote server.

  2. Highlight an HTML document in the Remote pane.

  3. From the CuteFTP menu, select File > Edit.

  4. The document will be downloaded and opened in the built-in HTML editor.

  5. Make your changes to the document.

  6. From the CuteFTP menu, select File > Save. The saved document will be uploaded to the remote server.


Printing an HTML document

To print a document

  1. Open a document in the HTML editor.

  2. From the CuteFTP menu, select File > Print.

Warning:

The document prints as it appears in the HTML editor, NOT as it appears in a browser.

To see a print preview

  1. Open a document in the HTML editor.

  2. From the CuteFTP menu, select File > Print Preview.

  3. From the preview screen, select Print to send the document to the printer.

  4. Select Zoom In to increase magnification or Two Page to display facing pages.

To change the printer setup (such as the printer, paper size or orientation)

  1. Open a document in the HTML editor.

  2. From the CuteFTP menu, select File > Print Setup.

  3. Make any desired changes.

  4. Click OK to accept, or Cancel to make no changes to the Print Setup.

Note:

While a document is printing, a printer icon appears next to the clock on the taskbar. When this icon disappears, your entire document has been sent to the printer.


Closing an HTML document

To close an HTML document

  1. Make sure the document you want to close is visible in the main window

  2. From the CuteFTP menu, select File > Close or click Close [image] on the extreme right of the CuteFTP menu to close an HTML document.

  3. If your document has unsaved changes you will be asked if you want to save the changes. Choose one of the following:

  • Yes to save the document.

  • No to exit without saving the document or changes.

  • Cancel to return to the document without saving the document or changes.


Previewing an HTML document in a browser

You can check to see how an HTML document will look as a Web page, from within CuteFTP.

To preview an HTML document in a browser

  1. Open an HTML document in CuteFTP.

  2. Click anywhere in the document.

  3. From the CuteFTP menu, select Tools > View in Browser or click View in Browser [image] on the HTML editor toolbar.

To close the preview

  • Click the Close [image] button in the upper right of the browser window.


Learning HTML

Within HTML you use tags to define how text, pictures, and other objects should appear in a Web browser. The topics within Working with HTML discuss many of the tags you can use to create Web pages. You use most tags in pairs - a start and ending tag. You can visit various web sites that explain HTML and how to use it.

To learn more about HTML

  • See the NCSA Beginner's guide to HTML.

OR

  • Getting started with HTML from W3C by Dave Raggett.


Starting HTML documents

To start an HTML document

All HTML documents should have the following codes:

  • Document Type <HTML></HTML> (beginning and end of file)

  • Head <HEAD></HEAD> (after the HTML tag, but before the BODY tags, includes descriptive info, such as title)

  • Title <TITLE></TITLE> (must be in header)

  • Body <BODY></BODY> (after the HEAD tags, bulk of the page)

Example

<HTML>

<HEAD>

<TITLE>Your page title</TITLE>

</HEAD>

<BODY>

The main part of your Web page for public viewing.

</BODY>

</HTML>


Setting HTML document structure

Use the following tags to set the overall structure of your Web pages.

Heading <H?></H?> (the spec. defines 6 levels)

Align Heading <H? ALIGN=LEFT|CENTER|RIGHT></H?>

Division <DIV></DIV>

Align Division <DIV ALIGN=LEFT|RIGHT|CENTER|JUSTIFY></DIV>

Block Quote <BLOCKQUOTE></BLOCKQUOTE> (usually indented)

Emphasis <EM></EM> (usually displayed as italic)

Strong Emphasis <STRONG></STRONG> (usually displayed as bold)

Citation <CITE></CITE> (usually italics)

Code <CODE></CODE> (for source code listings)

Sample Output <SAMP></SAMP>

Keyboard Input <KBD></KBD>

Variable <VAR></VAR>

Definition <DFN></DFN> (not widely implemented)

Author's Address <ADDRESS></ADDRESS>

Large Font Size <BIG></BIG>

Small Font Size <SMALL></SMALL>


Formatting HTML pages

Use these HTML tags to alter the appearance and format of text.

Bold <B></B>

Italic <I></I>

N3.0b Underline <U></U> (not widely implemented yet)

Strikeout <STRIKE></STRIKE> (not widely implemented yet)

N3.0b Strikeout <S></S> (not widely implemented yet)

Subscript <SUB></SUB>

Superscript <SUP></SUP>

Typewriter <TT></TT> (displays in a monospaced font)

Preformatted <PRE></PRE> (display text spacing as-is)

Width <PRE WIDTH=?></PRE> (in characters)

Center <CENTER></CENTER> (for both text and images)

N1.0 Blinking <BLINK></BLINK>

Font Size <FONT SIZE=?></FONT> (ranges from 1-7)

Change Font Size <FONT SIZE="+|-?"></FONT>

N1.0 Base Font Size <BASEFONT SIZE=?> (from 1-7; default is 3)

Font Color <FONT COLOR="#$$$$$$"></FONT>

N3.0b Select Font <FONT FACE=""></FONT>

N3.0b Multi-Column <MULTICOL COLS=?></MULTICOL>

N3.0b Column Gutter <MULTICOL GUTTER=?></MULTICOL>

N3.0b Column Width <MULTICOL WIDTH=?></MULTICOL>

N3.0b Spacer <SPACER>

N3.0b Spacer Type <SPACER TYPE=horizontal|vertical|block>

N3.0b Size <SPACER SIZE=?>

N3.0b Dimensions <SPACER WIDTH=? HEIGHT=?>

N3.0b Alignment <SPACER ALIGN=left|right|center>


Adding links and graphics to HTML documents

Use the following tags to add hyperlinks, pictures, and other graphics to your Web pages.

Link Something <A HREF="URL"></A>

Link to Target <A HREF="URL#"></A> (if in another document)

<A HREF="#"></A> (if in current document)

N2.0 Target Window <A HREF="URL" TARGET=""></A>

Define Target <A NAME=""></A>

Display Image <IMG SRC="URL">

Alignment <IMG SRC="URL" ALIGN=TOP|BOTTOM|MIDDLE|LEFT|RIGHT>

Alternate <IMG SRC="URL" ALT=""> (if image not displayed)

Dimensions <IMG SRC="URL" WIDTH=? HEIGHT=?> (in pixels)

Border <IMG SRC="URL" BORDER=?> (in pixels)

Runaround Space <IMG SRC="URL" HSPACE=? VSPACE=?> (in pixels)

N1.0 Low-Res Proxy <IMG SRC="URL" LOWSRC="URL">

Imagemap <IMG SRC="URL" ISMAP> (requires a script)

Imagemap <IMG SRC="URL" USEMAP="URL">

Map <MAP NAME=""></MAP> (describes the map)

Section <AREA SHAPE="RECT" COORDS=",,," HREF="URL"|NOHREF>

N1.1 Client Pull <META HTTP-EQUIV="Refresh" CONTENT="?; URL=URL">

N2.0 Embed Object <EMBED SRC="URL"> (insert object into page)

N2.0 Object Size <EMBED SRC="URL" WIDTH=? HEIGHT=?>


Adding dividers to HTML documents

Use the following tags to add breaks to your Web pages.

Paragraph <P></P> (closing tag often unnecessary)

Align Text <P ALIGN=LEFT|CENTER|RIGHT></P>

Line Break <BR> (a single carriage return)

Clear Text Wrap <BR CLEAR=LEFT|RIGHT|ALL>

Horizontal Rule <HR>

Alignment <HR ALIGN=LEFT|RIGHT|CENTER>

Thickness <HR SIZE=?> (in pixels)

Width <HR WIDTH=?> (in pixels)

Width Percent <HR WIDTH="%"> (as a percentage of page width)

Solid Line <HR NOSHADE> (without the 3D cutout look)

N1.0 No Break <NOBR></NOBR> (prevents line breaks)

N1.0 Word Break <WBR> (where to break a line if needed)


Creating lists in HTML documents

Use these tags to create bulleted, numbered, and other lists.

Unordered List <UL><LI></UL> (<LI> before each list item)

Compact <UL COMPACT></UL>

Bullet Type <UL TYPE=DISC|CIRCLE|SQUARE> (for the whole list)

<LI TYPE=DISC|CIRCLE|SQUARE> (this & subsequent)

Ordered List <OL><LI></OL> (<LI> before each list item)

Compact <OL COMPACT></OL>

Numbering Type <OL TYPE=A|a|I|i|1> (for the whole list)

<LI TYPE=A|a|I|i|1> (this & subsequent)

Starting Number <OL START=?> (for the whole list)

<LI VALUE=?> (this & subsequent)

Definition List <DL><DT><DD></DL> (<DT>=term, <DD>=definition)

Compact <DL COMPACT></DL>

Menu List <MENU><LI></MENU> (<LI> before each list item)

Compact <MENU COMPACT></MENU>

Directory List <DIR><LI></DIR> (<LI> before each list item)

Compact <DIR COMPACT></DIR>


Using backgrounds and colors in HTML documents

Use these tags to set colors, and add colored backgrounds to your Web pages.

Tiled Bkground <BODY BACKGROUND="URL">

Bkground Color <BODY BGCOLOR="#$$$$$$"> (order is red/green/blue)

Text Color <BODY TEXT="#$$$$$$">

Link Color <BODY LINK="#$$$$$$">

Visited Link <BODY VLINK="#$$$$$$">

Active Link <BODY ALINK="#$$$$$$">

Note:

The dollar signs represent a hexadecimal code. The first two digits represent the amount of red, the middle two digits represent the amount of green and the last two digits represent the amount of blue in your color. Replace the dollar signs with any number from 0 to 9, or any letter from A to F. The numbers are additive, and the letters are higher than the numbers, so #000000 is black, #777777 is gray, #FFFFFF is white, #FF0000 is pure red, #00FF00 is pure green, and #0000FF is pure blue.


Using special characters in HTML documents

You may need to use certain symbols that require special codes in HTML to appear properly in Web pages. Use these codes to place special symbols in your Web pages.

< &lt;

> &gt;

& &amp;

" &quot;

Registered TM &#174;

Registered TM &reg;

Copyright &#169;

Copyright &copy;

Non-Breaking Space &nbsp

Special Character &?; (where ? is the ISO 8859-1 code)

Note:

The letters in the character strings must all be in the same letter case.


Including forms in HTML documents

Use the following tags to add different input fields to your Web pages.

Define Form <FORM ACTION="URL" METHOD=GET|POST></FORM>

N2.0 File Upload <FORM ENCTYPE="multipart/form-data></FORM>

Checked? <INPUT CHECKED> (checkboxes and radio boxes)

Input Field <INPUT TYPE="TEXT|PASSWORD|CHECKBOX|RADIO|

IMAGE|HIDDEN|SUBMIT|RESET">

Field Name <INPUT NAME="">

Field Value <INPUT VALUE="">

Field Size <INPUT SIZE=?> (in characters)

Max Length <INPUT MAXLENGTH=?> (in characters)

Selection List <SELECT></SELECT>

Name of List <SELECT NAME=""></SELECT>

Number of Options <SELECT SIZE=?></SELECT>

Multiple Choice <SELECT MULTIPLE> (can select more than one)

Option <OPTION> (items that can be selected)

Default Option <OPTION SELECTED>

Input Box Size <TEXTAREA ROWS=? COLS=?></TEXTAREA>

Name of Box <TEXTAREA NAME=""></TEXTAREA>

N2.0 Wrap Text <TEXTAREA WRAP=OFF|VIRTUAL|PHYSICAL></TEXTAREA>

Note:

Receiving input from a form generally requires a script on the server.


Including tables in HTML documents

Use these tags to add tables to your Web pages.

Define Table <TABLE></TABLE>

Table Border <TABLE BORDER></TABLE> (either on or off)

Table Border <TABLE BORDER=?></TABLE> (you can set the value)

Cell Spacing <TABLE CELLSPACING=?>

Cell Padding <TABLE CELLPADDING=?>

Desired Width <TABLE WIDTH=?> (in pixels)

Width Percent <TABLE WIDTH=%> (percentage of page)

Table Row <TR></TR>

Alignment <TR ALIGN=LEFT|RIGHT|CENTER

VALIGN=TOP|MIDDLE|BOTTOM>

Table Cell <TD></TD> (must appear within table rows)

Alignment <TD ALIGN=LEFT|RIGHT|CENTER

VALIGN=TOP|MIDDLE|BOTTOM>

No linebreaks <TD NOWRAP>

Columns to Span <TD COLSPAN=?>

Rows to Span <TD ROWSPAN=?>

N1.1 Desired Width <TD WIDTH=?> (in pixels)

N1.1 Width Percent <TD WIDTH="%"> (percentage of table)

N3.0b Cell Color <TD BGCOLOR="#$$$$$$">

Table Header <TH></TH> (same as data, except bold centered)

Alignment <TH ALIGN=LEFT|RIGHT|CENTER

VALIGN=TOP|MIDDLE|BOTTOM>

No Linebreaks <TH NOWRAP>

Columns to Span <TH COLSPAN=?>

Rows to Span <TH ROWSPAN=?>

N1.1 Desired Width <TH WIDTH=?> (in pixels)

N1.1 Width Percent <TH WIDTH="%"> (percentage of table)

N3.0b Cell Color <TH BGCOLOR="#$$$$$$">

Table Caption <CAPTION></CAPTION>

Alignment <CAPTION ALIGN=TOP|BOTTOM> (above/below table)


Using frames in HTML documents

Use these tags to separate the Web browser into frames.

N2.0 Frame Document <FRAMESET></FRAMESET> (instead of <BODY>)

N2.0 Row Heights <FRAMESET ROWS=,,,></FRAMESET> (pixels or %)

N2.0 Row Heights <FRAMESET ROWS=></FRAMESET> ( = relative size)

N2.0 Column Widths <FRAMESET COLS=,,,></FRAMESET> (pixels or %)

N2.0 Column Widths <FRAMESET COLS=></FRAMESET> ( = relative size)

N3.0b Borders <FRAMESET FRAMEBORDER="yes|no">

N3.0b Border Width <FRAMESET BORDER=?>

N3.0b Border Color <FRAMESET BORDERCOLOR="#$$$$$$">

N2.0 Define Frame <FRAME> (contents of an individual frame)

N2.0 Display Document <FRAME SRC="URL">

N2.0 Frame Name <FRAME NAME=""|_blank|_self|_parent|_top>

N2.0 Margin Width <FRAME MARGINWIDTH=?> (left and right margins)

N2.0 Margin Height <FRAME MARGINHEIGHT=?> (top and bottom margins)

N2.0 Scrollbar? <FRAME SCROLLING="YES|NO|AUTO">

N2.0 Not Resizable <FRAME NORESIZE>

N3.0b Borders <FRAME FRAMEBORDER="yes|no">

N3.0b Border Color <FRAME BORDERCOLOR="#$$$$$$">

N2.0 Unframed Content <NOFRAMES></NOFRAMES> (for non-frames browsers)


Including Java in HTML documents

Use these tags to include Java scripts in your web pages.

Applet <APPLET></APPLET>

File Name <APPLET CODE="">

Parameters <APPLET PARAM NAME="">

Location <APPLET CODEBASE="URL">

Identifier <APPLET NAME=""> (for references)

Alternative Text <APPLET ALT=""> (for non-Java browsers)

Alignment <APPLET ALIGN="LEFT|RIGHT|CENTER">

Size <APPLET WIDTH=? HEIGHT=?> (in pixels)

Spacing <APPLET HSPACE=? VSPACE=?> (in pixels)


Using miscellaneous tags in HTML documents

Use these tags for advanced Web functions.

Comment <!-- --> (not displayed by the browser)

Prologue <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">

Searchable <ISINDEX> (indicates a searchable index)

Prompt <ISINDEX PROMPT=""> (text to prompt input)

Send Search <A HREF="URL?"></a> (use a real question mark)

URL of This File <BASE HREF="URL"> (must be in header)

N2.0 Base Window Name <BASE TARGET="">(must be in header)

Relationship <LINK REV="" REL="" HREF="URL"> (in header)

Meta Information <META> (must be in header)

Style Sheets <STYLE></STYLE>

Scripts <SCRIPT></SCRIPT>


Choosing the preview browser for HTML documents

When previewing HTML documents created or edited in CuteFTP's built-in editor you will see the documents in your computer's default browser, unless you specify a different browser.

To specify the browser for previewing HTML documents from CuteFTP

  1. From the menu, choose Tools > Global Options.

  2. Expand Helper Applications and HTML Editor.

  3. Select Folders.

  4. If you want to use the computer's default browser, select Preview using the default browser and click OK.

Or

Clear the Preview using the default browser check box to choose a different browser.

  5. In the Browser path box, browse or type the path to the program you want to use for previews of HTML.

  6. click OK.


Choosing other HTML editor settings

To keep text from running off the right end of the HTML editor screen

  1. From the CuteFTP menu, select Tools > Global Options.

  2. Expand Helper Applications.

  3. Select HTML Editor.

  4. Select the Enable word wrap check box.

  • Clear the Enable word wrap check box to allow text to continue beyond the right edge.

  5. Select OK or Apply.

To display line numbers in HTML documents

  1. From the CuteFTP menu, select Tools > Global Options.

  2. Expand Helper Applications.

  3. Select HTML Editor.

  4. Select the Prefix each line with line numbers check box.

  • Clear the Prefix each line with line numbers check box to hide line numbers.

  5. Click OK or Apply.

To change the tags and text that appear in new HTML documents

  1. From the CuteFTP menu, select Tools > Global Options.

  2. Expand Helper Applications.

  3. Select HTML Editor.

  4. Select Edit new document template.

  5. Make changes in the New document template dialog.

  6. Select OK.

  7. Select OK or Apply.


About PODCast Manager

About CutePODCast Manager

CutePODCast Manager provides you a user-friendly Windows interface to subscribe to media files from an RSS feed using its Subscriptions option and to publish media files in the form of an RSS feed using its Publications option.

Subscribing to CutePODCast Manager allows users to collect programs from a variety of sources for listening or viewing even when the user is offline.

The publish/subscribe model of PodCasting is a version of push technology: the information provider chooses which files to offer in a feed, and the subscriber chooses among available feed channels.

Benefits and Features

CutePODCast Manager offers the following benefits and features to its users:

  • Subscribe to multiple feeds

  • Schedule downloads

  • Manage episodes

  • Play selected episodes

  • Download selected episodes

  • Upload feeds

  • Set skip hours for uploads


Getting started with CutePODcast Manager

Accessing the CutePODCast Manager

  1. From the CuteFTP menu, select Tools > PodCast Manager, or click PodCast Manager [image] on the tool bar.

  2. The CutePODCast Manager window opens.

You can subscribe to feed channels available on the Internet and you can publish files in a feed. With CutePODCast Manager you can manage your podcast subscriptions and publications.

  • Managing Subscriptions

  • Managing Publications


CutePODCast Manager Window

CutePODCast Manager's main window

The main window is used to configure and schedule subscriptions for RSS feeds and to configure channel settings and publish configuration for publications.

The CutePODCast Manager window consists of three panes:

CutePODCast Manager's main window

Top left (Navigation) pane

There are two tabs in the Navigation pane: Subscriptions and Publications. The Navigation pane allows you to navigate through your subscribed and published feeds. You can add, delete, update, and rename feeds from this pane. Additionally, you can add episodes from this pane.

The tree view allows the creation of folders and subfolders, which can be used by you to organize PODCast subscriptions and publications. You can drag and drop feeds into parent or child folders.

To create new folder

  • Right-click a selected feed or folder and select New Folder from the shortcut menu.

To delete folders

  • Right-click the selected folder and select Delete from the shortcut menu.

Note:

If you right-click the mouse and select New Folder without selecting any channel, then the new folder is created under the parent node.

Top right (Details) pane

There are two tabs in the Details pane: Configuration and Episode Details.

  • Click the Configuration tab to view the configuration and subscription details for a subscription you select in the Navigation pane, and the channel settings and the publish configuration for a publication you select in the Navigation pane. The Details pane also displays the Subscriptions Details for the feed you select in the Navigation pane.

  • Click the Episode Details tab to view the details of the episodes in subscriptions and publications, such as the title, description, and so on. Additionally, you can perform various operations on the episodes, such as play an episode, delete an episode, and so on.

Bottom (Episodes) pane

The Episodes pane displays the episodes associated with a feed that you select in the Navigation pane. It displays the title, publication date, size, and other details of an episode.

Note:

Subscriptions tab is active by default. But, while closing the Cute PODCast Manager, if the Publications tab is selected, then it remains active by default when the Cute PODCast Manager is opened next time.


CutePODCast Manager toolbar

The CutePODCast Manager has the following buttons:

Name | Icon | Function
New Feed |  | Adds a new channel to your subscriptions. For publications, this invokes the Publication Wizard.
Delete Feed |  | Deletes a selected channel from your subscriptions or publications.
Download |  | Downloads all the episodes of the selected channel from your Subscriptions. You can view the download details in the CuteFTP Queue pane.
Upload |  | Uploads the selected channel from your publications. You can view the upload details in the CuteFTP Queue pane.
Update |  | Updates the details and episodes of a subscribed channel.
Filter |  | Filters the list of episodes in a subscribed channel based on the specified criteria.


CutePODcast Manager's episode toolbar

CutePODcast Manager Episode Details toolbar

The Episode toolbar has the following buttons:

Name | Icon | Function
Play |  | Downloads and plays the selected episode from a subscribed channel.
Delete |  | Deletes the selected episode from a subscribed or published channel.
Upload |  | Uploads the selected episode for publication.
Download |  | Downloads the selected episode from a subscribed channel.
Add |  | Adds an episode to a published channel.

Note:

If no episode is selected in the Episodes pane these buttons are deactivated.


Terminology used

Podcast

A podcast is an RSS web feed of audio or video files placed on the Internet.

Web feed

A web feed is a document (often XML-based) that contains content items, often summaries of stories or weblog posts with web links to longer versions. Weblogs and news websites are common sources for web feeds, but feeds are also used to deliver structured information ranging from weather data to "top ten" lists of hit tunes.

Podcasting

Podcasting is an automatic mechanism by which multimedia computer files are transferred from a server to a client that pulls down XML files containing the Internet addresses of the media files. In general, these files contain audio or video, but also could be images, text, PDF, or any other file type. Neither podcasting nor listening to podcasts requires an iPod or other portable player, and no over-the-air broadcasting is required.

Web syndication

Web syndication is a form of syndication in which a section of a website is made available to other sites for use. Although the format could be anything transported over HTTP, such as HTML or JavaScript, it is more commonly XML.

RSS

RSS (Really Simple Syndication) is a family of XML dialects for Web syndication used by news websites and weblogs. RSS is a free and easy way to promote a website and its content, without the need to advertise or create complicated content sharing partnerships. The technology of RSS allows Internet users to subscribe to websites that have provided RSS feeds; these are typically sites that change or add content regularly. All RSS files must conform to the XML 1.0 specification, as published on the World Wide Web Consortium (W3C) website.

SkipHours

An XML element that contains up to 24 <hour> sub-elements whose value is a number between 0 and 23, representing a time in GMT, when aggregators, if they support the feature, may not read the channel on hours listed in the skipHours element.

The hour beginning at midnight is hour zero.


Managing Subscriptions

You can subscribe to the media files (audio and video files) that are available on the server and download them.

You can add, delete, download, and update feeds or channels. You can also schedule periodic downloads, and specify the number of recent episodes to appear when the CutePODCast Manager is started, by configuring the settings under Configuration in the details pane.

Configuring subscriptions settings

Adding new channels to subscriptions

Deleting channels from subscriptions

Updating channels in subscriptions

Renaming channels in subscriptions

Episodes in subscriptions

Viewing episodes in subscriptions

Downloading episodes from channels in subscriptions

Deleting episodes from channels in subscriptions

Playing episodes from channels in subscriptions

Filtering episodes from channels in subscriptions

Opening containing folder


Configuring subscription settings

Configuring subscriptions settings

You can specify the configuration settings for all subscriptions. Configuration settings are inheritable. The values set for the Subscriptions node are applied to the new child nodes by default. However, you can modify the settings for each channel.

To configure general subscriptions settings

  1. In the Navigation pane, click the Subscriptions tab.

  2. Click the Configuration tab in the Details pane to do the configuration settings.

The configuration settings that you can specify are:

Download new episodes

Select this check box to schedule periodic downloads, and then select an option from the adjacent list.

For example, if you select the Every Week option, the channels are automatically updated every week, and the new episodes are added to the channels.

Keep Recent Episodes

Select this check box and specify the number of episodes to be kept. This keeps only the specified number of recent episodes and deletes the remaining episodes in each feed. This happens if the number of episodes you download is large.

For example, if you set this to five, only the five most recent episodes are displayed when you open the Cute PODCast Manager the next time. By default last ten episodes are displayed.

Download Path

This is the path where all the episodes are downloaded. You can browse for the folder to define the path.

For example, C:\Documents and Settings\johns\MyDocuments\ChinesePod.com.

  1. Click [image] to browse for the folder where you want to download the files. The Browse for Folder dialog box opens.

  2. Select the folder and click OK.

  3. Click New Folder to create a new folder on the local computer. A new folder is created.

  4. Right-click the folder and select Rename to rename the folder.

  5. Right-click the folder and select Delete to delete the folder.

Note:

To have a different configuration for a feed than the general configuration settings for all subscriptions, select the feed in the Navigation pane and specify the configuration settings in the Details pane as explained in this procedure.


Adding new feeds to subscription

Adding new channels to subscriptions

A user can subscribe to numerous channels that are available on various servers.

To add a new channel to subscriptions

  1. In the Navigation pane, click the Subscriptions tab, and click New [image] or right-click Subscriptions and select Add New Channel from the shortcut menu. The Add New Channel dialog box opens.

  2. In the Channel URL field, enter the URL for the RSS feed.

  3. The application validates whether the specified channel is a valid RSS feed.

  4. If the RSS feed is found, CutePODCast Manager parses the feed and tries to get the media episodes. The channel is added to the subscriptions in the Navigation pane and the episodes that are found are listed in the episodes pane.

Or

If the load fails, a message Failed to download the channel is displayed.

  5. Click Apply to save the subscribed channel.


Deleting feed from subscription

Deleting channels from subscriptions

You can delete channels from the Navigation pane. This clears channels from your Navigation pane, but they remain on the server. The channels or feeds cannot be deleted from the server.

To delete a channel from subscriptions

  1. In the Navigation pane, select the channel under Subscriptions, and click Delete [image] or right-click the selected channel and select Delete from the shortcut menu.

  2. A confirmation message is displayed.

  3. Click Yes to delete the channel, otherwise click No.


Updating feeds in subscription

Updating channels in subscriptions

CutePODCast Manager allows you to update channels in subscriptions by downloading the latest RSS XML file, reparsing, and updating the episode list. When you update a channel, all episodes added to the channel are displayed in the Episodes pane.

To update a feed in subscriptions

  1. In the Navigation pane, select the channel under Subscriptions, and click Update [image] or right-click the selected channel and select Update from the shortcut menu.

  2. The selected channel is updated and all the episodes added to the channel are displayed in the episodes pane.


Episodes in subscription

Episodes in subscriptions

Episodes are the items present in an RSS feed or channel.

A channel can contain one or more items. Each item can be thought of as a separate news article or announcement. The owner of a channel adds new content, when available, to periodically update items. End users who subscribe to the channels are shown the new items when the items become available.

The Episodes pane displays the title, publication date, status of download, and size of the file. There is a Keep check box in the extreme left of the Episode pane. Select the Keep check box to retain the episodes under the subscriptions. If you clear the Keep check box, then although the episode remains on the server, you cannot view it.


Viewing episodes

Viewing episodes in subscriptions

When you subscribe to a channel, all the episodes present in the channel are listed in the Episodes pane.

To view episodes

  1. Click the Subscriptions tab and select the channel. You can view the episode details after you select the channel in the tree view.

  2. Click the Episode Details tab to view episodes in a channel.

  3. The list of all the episodes present in an RSS feed is listed in the Episodes pane.

  4. The title, URL, and description of the channel are displayed.

  5. Select an episode in the Episodes pane to view its description in the Description pane.

Note:

By default the first episode is selected. Every time the Episode tab is activated for a channel and the episode list is updated with the list of episodes for that channel, the first episode in the episode list is selected by default.


Downloading episodes

Downloading episodes from channels in subscriptions

CutePODCast Manager allows you to download the episodes to your computer. The Download? column in the episodes pane displays the status of the download. For each episode, the column displays Yes when the download is complete, displays No if the download fails, and In progress whenever the episode has been added to the queue to be downloaded. The local filename for the episode that is downloaded is the same as the title of the episode.

To download an episode from channels in subscriptions

  1. Select the channel in the Navigation pane, and then select the episode you want to download in the Episode pane.

  2. Click Download.

Note:

The episode appears in the Queue Pane of the CuteFTP window.

To download all episodes from channels in subscriptions

  1. Select the channel in the Navigation pane and click Download [image] or right-click the selected feed and select Download.

  2. Click OK.

To download new episodes

  1. Right-click the channel in the Navigation pane and select Download New Episodes from the shortcut menu.

  2. All the episodes that are new and are not available on your computer are downloaded.


Deleting episodes from feeds in subscription

Deleting episodes from channels in subscriptions

CutePODCast Manager allows users to delete an episode from a channel in a subscription. This deletes the episode from the computer. However, it does not delete the episode from the channel and is available for download at any point of time from the server.

To delete an episode from a channel in subscriptions

  1. Select the channel in the Navigation pane and select the episode you want to delete in the Episodes pane.

  2. Click Delete [image] .

  3. A confirmation message is displayed.

  4. Click Yes to delete the episode.

  5. The local file is deleted and the downloaded status of the episode changes to NO.

Note:

The Delete icon becomes active only when an episode has been downloaded. The local copy of an episode is deleted but it remains on the server. If you had selected the Keep check box for that episode, then the check box is cleared when you click Delete.


Playing episodes from feeds in subscription

Playing episodes from channels in subscriptions

CutePODCast Manager allows you to play the episodes directly from your computer.

To play an episode from channels in subscriptions

  1. Select the channel in the Navigation pane, and then select the episode you want to play in the Episode pane, and click Play [image] or right-click an episode and select Play from the shortcut menu. You can also double-click an episode to play the episode.

  2. The selected episode is played if it is already downloaded.

Note:

If the episode is not downloaded, the CutePODCast Manager first downloads the episode and then plays it.


Filtering episodes from feeds in subscription

Filtering episodes from channels in subscriptions

For your convenience, you can filter the fields in a channel based on various conditions to display only those fields that meet the filtering criteria.

To filter episodes in a channel

  1. Select the channel in the Navigation pane, and click Filter [image] on the toolbar.

  2. A Filter Episodes dialog box opens.

  3. Enter the filter criteria and click OK.

  4. This filters the episodes according to the criteria you specify.

The conditions that you can specify are as follows:

There are two combo boxes and a value text field.

The first combo box displays the following options.

  • Title or Details

  • Title

  • Details

The second combo box displays the following options.

  • Contains

  • Does not contain

The blank field is the value field. Specify the value in that field.

For example, if you want to filter the episodes to view only those episodes that contain “news” in the title, specify the conditions as follows:

  1. Select the Title option from the first combo box and Contains from the adjacent combo box.

  2. Enter News as the value in the blank field and click OK.

  3. The episodes that have news in their title are displayed.

To view all the episodes again

  • Click Filter [image] on the toolbar.


Managing Publications

A user can publish media files on server using Cute PODCast Manager. The CutePODCast Manager allows you to add, delete, upload, and rename published feeds or channels. Anybody who subscribes to your published channel can download the channels.

Configuring channel settings for publications

Adding new channel to publications

Publish Configuration

Deleting channels from publications

Uploading channels for publications

Renaming feeds in publications

Episodes in publications

Viewing episodes in publications

Adding episodes to channels in publications

Publication episode

Deleting episodes from channels in publications

Filtering episodes from feeds in publications

Opening containing folder

Publication Wizard

Adding media files to feed from local pane


Configuring publication settings

Configuring channel settings for publications

You can specify the channel settings for all publications. Channel Settings are inheritable. Except for the channel name, the values set for the Publications node are applied to the new child nodes by default. The Channel Settings for each feed can be modified.

For example, if you enter an email in the Email field under the Channel Settings in the Details pane, the new feed inherits the same email address.

To configure general channel settings

  1. In the Navigation pane, click the Publications tab.

  2. Click the Configuration tab to enter the Channel Settings in the Details pane.

  3. Click Apply to save the channel settings.

The Channel Settings that you can specify are:

Title

Enter a title for the channel node in the RSS feed.

Email

Enter the webmaster’s email address.

Summary

Enter a relevant summary and description for the channel node.

Note:

Publications folder is the default folder. You cannot rename this folder. However, you can add subfolders to the Publications folder for your convenience and rename the subfolder. You cannot specify different channel settings for different folders; channel settings for all the folders are same. If you change the channel settings for one folder, then the channel settings for all the subfolders and the main Publications folder change automatically. You can drag and drop the channels in subfolders and specify different channel settings for the channels.


Adding new feeds to publication

Adding new channels to publications

You can add feeds on the server for publication. These channels are then available for download by the users who subscribe to your publications.

To add a new channels to publications

  1. In the Navigation pane, right-click Publications and select Add New Channel from the shortcut menu.

  2. This adds a new channel with the default value in Navigation pane under the Publication node unless the fields under the Channel Settings in the publication node are left blank. The tree node is editable by default. The new channel is assigned a name in the format “Channel x”; you can change the name.

  3. Enter the details for general Channel Settings. If you have specified these general settings for all publications, the fields display the general settings. You can modify these settings.

  4. Enter the details for Publish Configuration .

  5. Click Upload [image] to upload the episodes on the server. Every channel must have at least one episode before you click Upload.

  6. Click Advanced in the Details pane to add additional information about the owner of the channel, such as Language, Copyright, Editor email, Category, and Skip Hours.

  7. Click Apply to save the settings.

Note:

You can also use the Publication Wizard to add a channel.


Publish Configuration

While adding a channel for publication, you are required to specify the Publish Configuration for the server where you are uploading the feed. Specify the following details when an episode is added.

  • Upload Type: Select FTP from the adjacent list.

  • Server: Enter the name of the server on which you want to publish the RSS feed. You can also select the name of the server by clicking Site Manager [image] . The Site Manager window opens, displaying the list of sites configured on CuteFTP. Selecting one of the sites from the list to copy all the configuration data.

  • User Name: Enter the user name given to you by your hosting provider.

  • Password: Enter the password given to you by your hosting provider.

  • Remote Path: Enter the path where you will upload the channel.

  • RSS Filename: Select an XML file from the RSS filename drop-down list.

  • Base url: Enter the path from where the episode will be available for download. Please provide base url with complete http path. For example, http:\\www.globalscape.com\podcast\.


Deleting feed from publication

Deleting channels from publications

You can delete channels from the Navigation pane. This clears channels from your Navigation pane, but they remain on the server. You cannot delete the feeds from the server

To delete a channel from publications

  1. In the Navigation pane, select the channel under Publications, and click Delete [image] or right-click the selected channel and select Delete from the shortcut menu.

  2. A confirmation message is displayed.

  3. Click Yes to delete the channel otherwise, click No.


Uploading feeds for publication

Uploading channels for publications

You can upload an RSS XML file and episodes for publication after specifying the publish configuration. Remember to add episodes before you upload. This generates a new XML file during upload and uploads items marked as Publish.

To upload an RSS XML file for publications

  1. In the Navigation pane, select the channel under Publications, and click Upload [image] or right-click the selected channel and select Upload from the shortcut menu.

  2. The selected channel is uploaded.


Renaming channels in publication

Renaming channels in publications

By default, a published feed is assigned a name in the format “Channel x”. You can rename a published feed.

To rename a channel in publications

  1. Select Publications in the Navigation pane, then right-click the channel you want to rename and select Rename from the shortcut menu.

  2. Enter a name for the channel.

  3. Click Apply to save the changes.


Episodes in publication

Episodes in publications

Episodes are the items present in an RSS feed or channel.

A channel can contain one or more items. Each item can be thought of as a separate news article or announcement. The owner of a feed adds new content, when available, to periodically update items. You can add new episodes in the feeds and publish them using CutePODCast Manager.

The Episode pane displays the title, publication date, duration, and size of an episode. The extreme left of the Episodes pane has a Publish check box. Select the Publish check box for each feed to include an episode for upload. If you clear the Publish check box, then the episode information is not placed into the RSS XML file and the episode is not uploaded.

Note:

By default, the Publish check box is selected.


Viewing episodes of publications

Viewing episodes in publications

When you upload a channel, all the episodes present in the channel are listed in the Episodes pane.

To view episodes

  1. Click the Publications tab and select the channel. You can view the episode details after you select the channel in the tree view.

  2. Click the Episode Details to view episodes in a channel.

  3. The list of all the episodes present in an RSS feed is listed in the Episodes pane.

  4. Browse for the file you want to upload.

  5. Describe the episode in the Description pane.

  6. Click Apply to save the settings.

Note:

By default the first episode is selected. Every time the Episode tab is activated for a channel and the episode list is updated with the list of episodes for that channel, the first episode in the episode list is selected by default.


Adding episodesto feeds in publication

Adding episodes to feeds in publications

CutePODCast Manager allows you to add new episodes to a feed and publish them. These episodes are then available for download by subscribers.

To add an episode to a feed in publications

  1. Select the feed in the Navigation pane, and then select Add [image] from the episode toolbar.

  2. The Publication episode dialog box opens.

  3. Click the Required Fields tab.

  4. Enter the details of the title of the episode, the path of the media file, and duration.

  5. Click Upload url [image] and enter the path on the server where you want to upload the episode.

  6. The Publish Configuration dialog box opens.

  7. Enter the details.

  8. Click OK.

  9. Enter the Episode url.

  10. Select the Optional Fields tab if you want to enter the additional information, such as Author's email address, Subtitle, Category, and Keywords.

  11. Click OK.

Adding episodes to channels in publications

CutePODCast Manager allows you to add new episodes to a channel and publish them. These episodes are then available for download by subscribers.

To add an episode to a channel in publications:

  1. Click the Publications tab in the Navigation pane.

  2. Select the channel in the Navigation pane, and then click the Episodes Detail tab.

  3. Click Add episode to the list on the episode toolbar or right click the channel to which you want to add an episode and select Add New Episode from the shortcut menu.

  4. The Publish episode dialog box opens.

  5. Click the Required Fields tab.

  6. Enter the details of the title of the episode, the path of the media file, and duration.

  7. Click the Optional Fields tab if you want to enter the additional information, such as Author's email address, Subtitle, Category, and Keywords.

  8. Click OK.


Publication episode

Publish episode

CutePODCast Manager allows you to add new episodes to a channel and publish the channels. To add episodes for publishing media files, you need to specify details about the channel and the episode on the Publish episode window.

The Publication episode window has two tabs: Required Fields tab and Optional Fields tab.

The details you specify on the Required Fields tab are:

  • Title: Enter the title of the episode.

  • File: Browse for the folder to enter the name of the file.

  • Duration: Enter the duration of the episode.

  • Description: Give a brief description of the episode.

The details you specify on the Optional Fields tab are:

  • Author (Email): Enter the email of the owner of the feed or episode.

  • Subtitle: Enter the subtitle, if any.

  • Category: Enter the category. For example, News, Songs, and so on.

  • Keywords: Enter the keywords, if any.

Select the Explicit Content check box under the Optional Fields tab if the episode contains any explicit material.

Select the Block Episode check box under the Optional Fields tab to prevent the episode from appearing in the episode list. The episode is not available for download if you block it.


Uploading episodes for publication

You can select episodes from a channel and upload selected episodes for publication.

To upload selected episodes for publication

  1. Select the channel in the Navigation pane, then the episode you want to upload.

  2. Click Upload the selected episode [image] or right-click an episode and select Upload from the shortcut menu.


Deleting episodes from feeds in publication

Deleting episodes from channels in publications

CutePODCast Manager allows you to delete an episode from a channel in a publication. The episode is deleted from your computer but remains on the server.

To delete an episode from a channel in publications

  1. Select the channel in the Navigation pane, and then select the episode you want to delete in the Episodes pane.

  2. Click Delete [image] or right-click an episode and select Delete from the shortcut menu.

  3. The Delete Episode dialog box opens.

  4. Select the Delete local file option to delete the file from your computer and not from the remote file or the RSS XML file.

  5. Select the Remove this episode from the list to delete the episode from the publication list or an RSS XML file.

  6. Select the Delete remote file option to delete the remote file corresponding to this episode. The Delete remote file option is dependent upon the Remove this episode from list option.

  7. Click OK to delete an episode or click Cancel if you do not want to delete the file.


Open containing folder

Opening containing folder

This allows you to open the local folder that contains the local copy of the episode in Windows Explorer.

To open the local folder

  1. In the Episode pane, right-click an episode and select Open Containing Folder.

  2. The folder from where the episode is uploaded opens.


Publication Wizard

The Publication wizard helps you to add new channels and episodes.

To add a new channel

  1. Select Publications in the Navigation pane and click New [image].

  2. The Publication Wizard opens.

  3. Enter the relevant information. For more information on the settings, refer Configuring channel settings for publications.

  4. Click Next.

  5. Enter the relevant publish configuration information. You can specify the server name by clicking Site Manager. The Site Manager contains the list of the sites configured on CuteFTP.

  6. Click Next.

  7. Enter the relevant publication information to add the episodes or leave the fields empty to skip this step.

  8. Click Next, and then click Finish.

  9. The new channel is added.

To add an episode

  1. Enter the relevant publication information in the Publication Wizard.

  2. Click Next and then click Finish.

  3. The episode is added to the channel.


Adding Media Files to Feed from Local pane

Adding media files to channel from local pane

You can add media files to a channel from the CuteFTP Local pane without opening the CutePODCast Manager.

To add media files to a channel from local pane

  1. Click the Local Drives tab on the CuteFTP Navigation pane.

  2. Navigate to the folder where your media files are stored.

  3. Right-click the media file and select Add to Channel form the shortcut menu.

  4. The Publish episode dialog box opens.

  5. Enter the details and click OK.

  6. Your media file is added to the specified feed or channel.


Using error messages to troubleshoot

You can help resolve errors by recording information from error messages. A standard error dialog box includes a short error message and two buttons, Cancel and Details. Click Cancel to dismiss the error dialog box. Click Details to expand the error dialog to show more information.

To use an error message to troubleshoot

  1. Record the error message and what occurred previous to the error.

  2. Click the Details button.

  3. Right-click in the log text area.

  4. Choose Copy All Text. The entire contents of the error log window will be copied to the clipboard.

  5. Paste this information into an email asking for help, and send it to your IS department, or paste it directly into the Description field at the GlobalSCAPE tech support email page to ask for help from GlobalSCAPE's tech support staff.


FTP error numbers

FTP status and error numbers

CuteFTP displays FTP status codes in the log window. The codes are numbered according to their category. Some codes represent errors, while most codes simply communicate the status of the connection. Here are brief explanations for the most common status and error codes:

  • 100's

  • 200's

  • 300's

  • 400's

  • 500's

  • 10000's

Code

Description

100 Series

The requested action is being initiated, expect another reply before proceeding with a new command.

110

Restart marker reply.

120

Service ready in nn minutes.

125

Data Connection already open, transfer starting.

150

File status okay, about to open data connection.

200 Series

The requested action has been successfully completed.

200

Command okay.

202

Command not implemented, superfluous at this site.

211

System status, or system help reply.

212

Directory status.

213

File status.

214

Help message.

215

NAME system type. (Where NAME is an official system name from the list in the Assigned Numbers document.)

220

Service ready for new user.

221

Service closing control connection. Logged out if appropriate.

225

Data connection open; no transfer in progress.

226

Closing data connection. Requested file action successful (for example; file transfer or file abort).

227

Entering Passive Mode.

230

User logged in, proceed.

250

Requested file action okay, completed.

257

"PATHNAME" created.

300 Series

The command has been accepted, but the requested action is on hold, pending receipt of further information.

331

User name okay, need password.

332

Need account for login.

350

Requested file action pending further information.

400 Series

The command was not accepted and the requested action did not take place, but the error condition is temporary and the action may be requested again.

421

Error 421 Service not available, closing control connection.

Error 421 User limit reached

Error 421 You are not authorized to make the connection

Error 421 Max connections reached

Error 421 Max connections exceeded

Possible Solutions

You can receive that 421 error if the FTP server you are connected to limits the total number of connections available or limits the connections available to one user. There are three things you can do:

  1. Limit the number of connections to any one FTP site by selecting Tools > Global Options > Connection and set "Per site max connections /transfers" to 1 (By default it will be set to 2).

  2. Remove items from the Transfer Queue. The Transfer Queue is where you see items ready for transfer, in transit, or just transferred. Sometimes the Queue Pane can become cluttered with unfinished transfers. To clear the queue, right-click inside it and choose Remove All.

  3. Make sure only one instance of CuteFTP is running on your system. Open the Windows Task Manager and see if CuteFTP is listed more than once.

425

Can't open data connection. Try changing from PASV to PORT mode. Check your firewall settings. Try making an HTTP connection.

426

Connection closed; transfer aborted.

450

Requested file action not taken. File unavailable (e.g., file busy).

451

Requested action aborted: local error in processing.

452

Requested action not taken. Insufficient storage space in system.

500 Series

The command was not accepted and the requested action did not take place.

501

Syntax error in parameters or arguments.

502

Command not implemented. The server does not support this command.

503

Bad sequence of commands.

504

Command not implemented for that parameter.

530

Not logged in. Your password is being rejected, contact the server administrator.

532

Need account for storing files.

550

Requested action not taken. File unavailable (e.g., file not found, no access). Contact the server administrator.

552

Requested file action aborted. Exceeded storage allocation (for current directory or data set). Contact the server administrator.

553

Requested action not taken. File name not allowed. Try changing the file name, or getting rid of spaces in the file name.

10,000 series

Winsock error codes

10054

Connection reset by peer. The connection was forcibly closed by the remote host.

10060

Can't connect to remote server (Generally a time-out error). Try switching from PASV to PORT mode, or try increasing the time-out value (See Reconnect and resume in Transfer settings).

10061

Can't connect to remote server. The connection is actively refused by the server. Try switching the connection port.

10066

Directory not empty. The server will not delete this directory while there are files/folders in it.

10068

Too many users, server is full. Try connecting later. If the problem persists, Contact the server administrator.


Cannot close data transfer gracefully

If the error message "Cannot close data transfer gracefully" is generated after a download is complete, it indicates that CuteFTP has received all the data it needs, but the server is still sending information. Since that data is still transmitting, CuteFTP forces the connection to close.


Cannot initiate data transfer

If you receive this error from a server it could be one of these problems:

  • The site you are trying to log into requires a special user name and or password in order to transfer files.

  • Contact the administrator of the site, and find out if you need to be using a special user name or password, and whether or not you can access that site.

  • The permissions on the site are incorrect, so even though your user name and password are correct, you are unable to upload or download.

  • Contact the administrator of the site, and make sure that your user name and password have read and write permissions set correctly.

  • You cannot upload because the server you are sending to is full, and will not allow more files to be uploaded.

  • Delete files that are no longer used, or ask the administrator for more space on the system.

  • The file name you are using has a space or a character that the server will not allow.

  • Double-check with the administrator of your site about which characters are accepted on your server, and rename the files to an acceptable name.

  • A communication error is occurring between the FTP host and your computer, making data transfer impossible.

  • If CuteFTP has worked in the past, change nothing and wait a little while to see if the problem is caused by Internet traffic. If this is the first time you are trying to connect, try using the other hosts types rather than Auto-detect.


Cannot resolve host name message

The Cannot Resolve Host Name message is displayed when CuteFTP cannot make a connection to the FTP Host Address that you specified when you set up the connection. It could be compared to browsing to a Web site that either is not up at the moment, or does not exist. There are several ways to approach this situation:

  • Make sure you are connected to the Internet. If you are not connected to the Internet, you will need to connect before you can connect to any FTP sites.

  • Make sure you typed in the FTP Host Address correctly. This would be just the host address of the server. For example, if you were given an FTP Host Address in the format: ftp://ftp.yourhost.com, you would only type in ftp.yourhost.com. Also be sure there is nothing after the host address, especially slashes ("/") indicating subdirectories. If the server does not automatically put you in your default directory when you log in to it, then you can add the directory into the "Default Remote Directory" box when configuring this site.

  • If you are using CuteFTP Home, make sure you are not trying to connect to a HTTP server such as http://www.cuteftp.com. You cannot connect to a HTTP (web) server with CuteFTP Home. If you do not know the FTP Host Address for your site, you will need to contact your server administrator for more information. GlobalSCAPE support staff does not know or keep track of FTP Host Addresses.

  • If you have a firewall or proxy server, make sure CuteFTP is properly configured to work with the proxy server. You can edit the firewall or proxy settings by clicking Tools > Global Options and expanding Connection and selecting Proxy Server. If you are not sure what the settings for the proxy should be, you will need to contact your network or system administrator for that information.

If all of these options fail and you still have the same results, you will need to contact the server administrator of the site you are connecting to in order to resolve the problem.


Child transfer failed

If you attempt to transfer a folder or directory and see this error, it simply means that an item or items within the folder failed to transfer. You can check your connection log to find a more detailed error describing why the item failed to transfer.


Not enough credits to download

You may not be able to download from some FTP sites until you have uploaded something to them. In other words, you have to give them a file before they give you one -- a type of file trading. Most of these "ratio sites" have a text file that explains how to upload files to them and get credits. If you have any problems, contact the administrator of the site.


Permission denied

If you receive this message, your server administrator has not established your permissions correctly. You will need to call the server administrator to reset the permissions. Every time an FTP account (for uploading your Web pages) is opened, your server determines all the things that you are allowed to do, like upload, download, write to a file, delete a file, make new directories, etc. If permissions have not been set up correctly, it will cause these types of problems.

If any transaction you try with CuteFTP doesn't seem to be accomplished, refer to the log (the lower part of the remote pane in the CuteFTP Professional window, and the top window in CuteFTP Home) for any entries that are colored red or any message boxes that appear indicating a potential problem on your server's end.


Port already in use

Port already in use error with Dial-up VPN

If you are connecting to a Virtual Private Network through a modem and receive the Port already in use error when trying to connect, do the following:

  1. From the menu, choose Tools > Global Options.

  2. In the left pane, expand Connection.

  3. Select DUN/LAN

  4. In the right pane choose Connect to the Internet using a LAN. CuteFTP uses the existing connection.

  5. Select OK.


Shell cannot get data from TE

If you see this error, there is not enough space in your Temp folder to run CuteFTP.

To correct the error

  • Make sure the path to the Temporary Files folder (Temp) is valid.

  • Make sure there is enough space to run the program on the drive where the Temporary Files (Temp) folder exists.

Configuration Notes

  • A valid path for a temp folder on a Windows 2k or XP machine would be similar to this: C:\Documents and Settings\USER\Local Settings\Temp

  • A valid path for a temp folder on a Windows NT computer would be similar to this: C:\Temp

  • This issue is more likely on machines with several different users with different accounts, each user's account needs a valid Temp folder on a hard drive with enough room to run CuteFTP.


Connecting after a 425 error

If you receive an 425 error, or an error that says "Cannot open data connection" or "Cannot build data connection", try connecting in PASV mode. If you still cannot connect, you can try connecting via HTTP and port 80. Enter all your information as you would for an FTP site.

To connect via HTTP and port 80

  1. From the menu, choose File > New > HTTP Site. The Site Properties dialog appears showing the General tab.

  2. In Label, enter any name you would like for the site.

  3. In Host Address, enter the regular FTP address for the site.

  4. In Username, enter your user name for the site.

  5. In Password, enter your password for the site.

  6. Select Connect.


Socket Error 2000

This error generally occurs when port 21 is blocked on your computer. The port could be blocked by a firewall or a proxy server that has not been configured properly. Generally you'll see a log like this:

STATUS:> Connecting to server xxx.xxx.x.xx (ip= xxx.xxx.x.xx)...

ERROR:> Can't connect to remote server. Socket error = #2000.

ERROR:> Timeout (60000ms).

STATUS:> Waiting 30 seconds......

To avoid this error, open port 21 to inbound and outbound traffic. Most often a firewall (such as those from MacAfee, Norton or the built-in Windows XP firewall) is blocking inbound or outbound TCP traffic on port 21.


Socket error = #10061

10061 is a Connection Refused error sent to you by the server. You could not make a connection because the target machine actively refused it. The most common cause is an incorrectly configured server, full server, or incorrect Port specified by the client.

To change your connection Port for an FTP site

  1. Select the site in the Site Manager.

  2. From the menu, choose File > Properties.

  3. Select the Type tab.

  4. Enter the correct port number in the Port text box.

Sometimes a 10061 error is caused by either a firewall or anti-virus software presence on the local computer or network connection. Either one may be blocking the ports needed to make a successful FTP connection to the server.

For a regular FTP session, please either disable the firewall or anti-virus software or configure it to allow CuteFTP to establish an FTP session over ports 20 and 21. Please consult the documentation or help file for your specific firewall or antivirus software product for further instructions. Usually, the manufacturer of the device or software has specific instructions available on their Web site.

If you continue to receive the same error after insuring ports 20 and 21 are open, please contact the administrator of the site where you are trying to connect.


Socket error = #10060

10060 is a Connection Time-out error that usually appears when the client does not receive a response from the server for a specific command.

Most often this occurs when you try to connect in PASV mode to a server that prefers PORT for data connections. If you see an error log similar to the one following, right click the problem site and choose Site Properties, click the TYPE tab and change the Data Connection Type to Use PORT.

COMMAND:> PASV

227 Entering Passive Mode (xxx,xx,xxx,xx,x,xxx).

COMMAND:> LIST

STATUS:> Connecting ftp data socket xxx.xx.xxx.xx:xxxx...

ERROR:> Can't connect to remote server. Socket error = #10060.

ERROR:> Failed to establish data socket.

If you still receive a 10060 error, the server may be trying to send a listing for a very large directory (with many thousands of files) causing the client to time-out while waiting. Try increasing the time-out value under Tools > Global Options > Transfer > Reconnect and resume in [n] seconds if nothing received, to a higher value, such as 45 or 60 seconds.


Failed to establish data socket

This error usually occurs when trying to connect in PASV mode to a site that only accepts PORT mode connections. Change the connection type from PASV mode to PORT mode to connect to the site.

To switch from PASV to PORT mode

  1. In the Site Manager, select the problem site.

  2. From the menu, choose File > Properties.

  3. Select the Type tab.

  4. In the Data connection type list, select Use PORT.

  5. Select OK.


Socket errors 10060, 10061, 10064, 10065

A socket error in the 10060 range is a Winsock error. It is generally caused by either outgoing connection problems or connection problems on the host end.

Firewall and AV Software

Outgoing connections can be affected by the presence of firewall or anti-virus software on the local computer or network connection. Either one may be blocking the ports needed to make a successful FTP connection to the remote server.

For a regular FTP session, please either disable the firewall or anti-virus software or configure it to allow CuteFTP to establish an FTP session over ports 20 and 21. Please consult the documentation or help file for your specific firewall or antivirus software product for further instructions. Usually the manufacturer of the device or software will also have specific instructions available on their Web site.

If you continue to receive the same error after insuring ports 20 and 21 are open, contact the administrator of the site you are trying to connect to.

Technical reasons for 1006x errors

WSAETIMEDOUT (10060)

  1. The connection fails due to an error or timeout.

  2. Verify that the destination IP address is correct.

  3. Increase the connection timeout threshold under Global Settings > Connection.

  4. Switch to the opposite data connection type (PASV or PORT) under Site Settings > Type tab.

  5. Verify that the problem is not local by trying to connect to an alternate server.

  6. If a server name was used, verify it resolves to the correct address.

  7. If using a local server table for server name resolution, check to see that it doesn't resolve to an obsolete address.

  8. Try pinging the address.

  9. If you are using a router, verify the router is up and running (check by pinging it and then ping an address outside of the router).

  10. Do a traceroute to the destination to verify all routers along the connection path are operational.

  11. Verify that your subnet mask is setup properly.

WSAECONNREFUSED (10061)

  1. The remote host actively refused the attempt to connect to it.

  2. Verify that the destination server name or IP address is correct

  3. Verify that the connection port number is correct (under Site Settings | Type tab).

  4. The remote server may be temporarily or permanently inaccessible (try again later).

  5. Verify that you have chosen the right protocol (SSH2, SSL, FTP, etc.) and have setup all required options for that protocol.

  6. Verify that the destination IP address and port numbers are correct.

  7. The remote server may be refusing multiple connections from the same client. Try using only one connection thread when connecting to this particular server (Site Settings | Options).

  8. Try pinging the address.

  9. If you are using a router, verify the router is up and running (check by pinging it and then ping an address outside of the router).

  10. Do a traceroute to the destination to verify all routers along the connection path are operational.

  11. Verify that your subnet mask is setup properly.

WSAESERVERDOWN (10064)

  • The server is temporarily or permanently unreachable. Verify that the destination host name or IP address is correct and try again later.

WSAESERVERUNREACH (10065)

  • The server is unreachable. Verify that the destination host name or IP address is correct and try again later.


Error 421 messages

Common Error 421 Problems

  • Error 421 Service not available, closing control connection.

  • Error 421 User limit reached

  • Error 421 You are not authorized to make the connection

  • Error 421 Max connections reached

  • Error 421 Max connections exceeded

Possible Solutions

You can receive that 421 error if the FTP server you are connected to limits the total number of connections available or limits the connections available to one user. There are three things you can do:

  1. Limit the number of connections to any one FTP site by selecting Tools > Global Options > Connection and set "Per site max connections /transfers" to 1 (By default it will be set to 2).

  2. Remove items from the Transfer Queue. The Transfer Queue is where you see items ready for transfer, in transit, or just transferred. Sometimes the Queue Pane can become cluttered with unfinished transfers. To clear the queue, right-click inside it and choose Remove All.

  3. Make sure only one instance of CuteFTP is running on your system. Open the Windows Task Manager and see if CuteFTP is listed more than once.


Installshield Error 1628: Failed to complete script based install

Problem:

The following error message occurs at run time:

Error 1628: Failed to complete script based install.

More Information

The error message occurs at run time usually when you are trying to uninstall, repair, or update an installation. This error message is caused by the Windows Installer Service and is often caused by the installation itself.

Possible Cause 1

This error message is often caused when the uninstallation log file becomes corrupt. This can happen if the installation is somehow corrupt.

Fix: End the process that is running IDriver.exe via the Task Manager by following these steps:

  1. Press Ctrl + Alt + Del and select Task Manager.

  2. Go to the Processes tab.

  3. Check the running processes for idriver.exe

  4. If found, select the process and then select End Process.

Run the installation again to see if the error still occurs.

Possible Cause 2

This error can also occur if the Windows Installer Service is not properly configured on your computer or if the installation is created with a newer version of the Windows Installer Service than what exists on your computer.

Fix: To fix this issue, install the latest Windows Installer Service on your computer. Instructions and download links for the Windows Installer can be found below. Just click on the link for your operating system.

Windows 95/ 98/ Me:

http://www.microsoft.com/downloads/details.aspx?displaylang=en&FamilyID=CEBBACD8-C094-4255-B702-DE3BB768148F

Windows NT 4.0 or 2000:

http://www.microsoft.com/downloads/details.aspx?FamilyID=4b6140f9-2d36-4977-8fa1-6f8a0f5dca8f&DisplayLang=en

Windows XP:

Windows XP already contains Windows Installer version 2.0. Thus, you should not have to install the Windows Installer Service (MSI engine) on Windows XP.

Restart your computer and run the installation again to see if the error continues to occur.

Possible Cause 3

This error message may also occur if a file in the Temp directory is conflicting with the files being used by the installation while it is being run.

Fix: Delete the entire contents of the Temp directory using these steps:

  1. Double-click the My Computer icon on your desktop or select Start > Explore.

  2. Navigate to the location of the Temp directory, for example, C:\Windows\Temp.

  3. Select Edit > Select All.

  4. Select File > Delete.

  5. Click Yes or Yes to All in the dialog that appears.

Run the installation again to see if the issue is resolved.


Can't connect to server

Making one or more minor configuration changes usually solves connection problems quite easily.

In the Log window there is a complete list of all communications and commands between CuteFTP and the FTP server you are trying to connect with. In that list there is at least one ERROR message in red. You probably need to scroll up to see it. That error message should tell you the specific reason why you cannot connect.

The most common problem is that the Host Address, the User Name or the Password has been entered incorrectly. Make sure all three pieces of information exactly match what the administrator of the Server you are connecting with provided.


Cannot see files or folders

If you cannot see your directory listing or files you can try these solutions to display files or folders.

Your connection log shows a LIST-L command instead of the normal LIST

  1. From the menu, choose Tools > Global Options > Navigation Settings > Links.

  2. Clear the Resolve links by sending LIST-L command check box.

  3. Select OK.

  4. Try to connect.

Change connection type

  1. From the menu, choose Tools > Global Options.

  2. Select Connection.

  3. In the Connection type box, choose PASV.

  4. Select OK.

  5. Try to connect. If you cannot connect, follow the same steps, but choose PORT.

Turn off all filters

  1. Select the Site Manager tab.

  2. Select the problem site.

  3. Right-click the site and select Site Properties.

  4. Select the Actions tab.

  5. Select Filter.

  6. Clear the Enable filtering check box.

  7. Select Connect.

Use the -L filter on the server

  1. Select the Site Manager tab.

  2. Select the problem site.

  3. Right-click the site and click Site Properties.

  4. Select the Actions tab.

  5. Select Filter.

  6. Select the Enable filtering check box.

  7. Select the Enable server side filtering check box.

  8. Enter -L in the Remote field.

  9. Select Connect.

Change server Host type

  1. Select the Site Manager tab.

  2. Select the problem site.

  3. Right-click the site and click Site Properties.

  4. Select the Type tab.

  5. Change the Host Type from Auto-Detect to the first specific server.

  6. Select Connect.

  7. If that does not work, try the next host type on the list.

Send an extended log to Technical Support

If none of the solutions discussed here work, please obtain a raw directory listing and submit it along with details of the problem to GlobalSCAPE's technical support team.

  1. From the menu, choose Tools > Global Options > General > Logs.

  2. Select the Enable extended list in session log window (raw listing - for debugging) checkbox.

  3. Reconnect to the problem site.

  4. Once connected, right-click in the log pane located directly beneath the Remote Pane.

  5. Select Copy entire log to clipboard.

  6. Paste the selection (hold down Ctrl and press V) into an e-mail message.

  7. Describe the problem, what you have already tried and include information on the system you are using.

  8. Submit your support request using our support submission form.


Cannot create multiple connections to the same server

If CuteFTP Professional does not open new connections when you try to start new sessions, or if it does not let you browse while transferring files, you can force CuteFTP to open new connections.

To open multiple concurrent connections

  1. Select the Site Manager tab.

  2. Select a site in the Site Manager.

  3. From the CuteFTP menu, select File > Connect > Connect.

  4. Repeat step 3 to create more connections to the same site.

To configure CuteFTP to open new connections for multiple transfers

  1. From the CuteFTP menu, select Tools > Global Options > Transfer.

  2. Clear the Allow transfers to occur over the existing (browse) session check box.

  3. From the CuteFTP menu, select Tools > Global Options > Connection.

  4. Make sure the value under Per site max connections/transfers value is greater than 1.


Copy and Paste removes files from the remote folder

Copy and Paste function removes file from the remote folder

FTP Servers do not support the Copy command. If you copy a file from a folder in the Remote pane and then try to paste it in any folder in the Remote pane itself, you are moving the file from the original folder to that folder or to a new location on the server. FTP protocol does not allow you to retain the original file and create a copy on other folder. You can use the Cut & Paste command to restore the original file. This is a limitation of the FTP protocol.

To copy a file or folder from one remote folder to another

  1. Download the file.

  2. Upload the file to the new location.

Configuration Notes

  • All the servers do not support site-to site transfers.

  • You can copy a file by downloading the file and then uploading again to the new destination folder, or by performing a site to site transfer on the same site (if the server allows it).

  • The copy command is in the menu because, you can copy files from the remote to the local pane, or to the queue, etc.


Can't download files from a VMS server

Problem:

When connected to a VMS server, downloads start, reach approximately 98% and never complete. They continually restart and try to complete but never do.

Solution:

From the menu, choose Tools > Global Options > Transfer > Smart Overwrite > Advanced Options. Clear the check in Use SIZE and MDTM commands to gather precise details.


Transferring to case sensitive servers

Make CuteFTP a case sensitive server

Some case sensitive servers treat two files with same names and different case as two different files. CuteFTP is not a case sensitive and when transferring files, that is uploading or downloading files it treats two files with same name and different case as a single file. For example, if you want to upload TEXT.txt file and a text.txt file already exists on the server, then it will treat both the files as same and prompts you to overwrite the text.txt file.

To set a site as case sensitive

  1. Select the site in the Site Manager.

  3. Select the Type tab.

  4. In the Server type list choose Unix-compatible.


Overwrite prompts me again and again

Stop receiving overwrite prompts

If you are getting numerous overwrite prompts and want to avoid receiving them in the future, configure a default rule for the overwrite configuration panel.

To add a rule

  1. From the CuteFTP menu, select Tools > Global Options.

  2. Expand Transfer and select Smart Overwrite

  3. In the For matching files list, choose Use Rules.

  4. Select Ignore zero byte files .

  5. In the For matching folders list, choose Use Rules.

  6. Select Configure Rules. The Overwrite Rules dialog opens.

  7. In the If the destination file date is list select older.

  8. In the and size is list select smaller.

  9. In the during list select any transfer.

  10. In the then list select overwrite.

  11. Select Add. The new rule displays in the list. Add more rules as needed. Here are some recommendations:

  • If destination file date is the same and size is the same during any transfer then skip

  • If destination file date is older and size is different during any transfer then overwrite

  • If destination file date is no matter and size is smaller during any transfer then resume

  • If destination file date is newer and size is larger during any transfer then skip

  12. Select OK. The Overwrite Rules dialog disappears.

  13. In the Prompt timeout action list, choose Skip.

  14. Select Timeout in, and leave the time at 30 seconds.

  15. Select Use LIST to determine overwrite status.

  16. Select Use SIZE and MDTM to determine overwrite status.

  17. Select OK.


Using CuteFTP behind a router

In most cases, CuteFTP does not have any problems working behind a router. If you are having problems, try doing all your transfers in PASV mode.

If connections or transfers still fail:

  1. Check with the FTP server administrator to make certain the Server and it's network are configured to allow FTP in PASV mode.

  2. Check your router documentation for information on how to set it up for FTP, or how to open the appropriate ports. FTP generally uses port 21.

  3. You can define a port range for CuteFTP to operate with under Tools > Global Options > Connection > Assign PORT mode IP address and port range.

  4. You can try using UPnP (if your NAT or router supports it) to establish a connection properly. You can turn on port mapping under the Tools > Global Options > Connection tab.

Configuration notes

  • To perform transfers in PORT mode, or for secure transfers, refer to your router's documentation for information on how to configure the router for such transfers.

  • If you are behind a NAT firewall, and the Secure FTP server is on a different network, you can only make data transfers in PORT mode using a Clear Command Channel SSL connection.


Using CuteFTP with Norton Internet Security 2004

If you have Norton Internet Security 2004 installed on the same computer as CuteFTP, you will need to adjust a setting in the Norton program to allow CuteFTP to make connections and transfers.

Allowing CuteFTP to make connections will not compromise the other security settings in Norton Internet Security 2004.

To use CuteFTP with Norton Internet Security 2004

  1. Open Norton Internet Security 2004. You can open it by clicking the Norton Internet Security icon on your task bar.

  2. In the Norton Internet Security window, select Personal Firewall.

  3. In the lower right, select Configure. A dialog with tabs opens.

  4. Select the Programs tab.

  5. In the Manual Program Control section, scroll down to find ftpte.exe row.

  6. In the Internet Access column of the ftpte.exe row, click the down arrow next to Block All.

  7. In the list that appears, select Permit All.

  8. Select OK. Norton Internet Security 2004 should now allow CuteFTP to make connections and transfers.


Cannot download executables

If you use remote filters while connecting with some Unix or Linux servers, CuteFTP cannot download some of the files. You can download the files by turning off the filters.

To turn off remote filters

  1. Click the Site Manager tab.

  2. Select the site with files you want to download.

  3. From the CuteFTP menu, select File > Properties. The Site Properties dialog box opens.

  4. Click the Actions tab.

  5. Click Filter. The Filter dialog box opens.

  6. Delete any filters listed in Remote filter. Do not delete the -L filter.

  7. Click OK to close the Filter dialog.

  8. click Connect to close the Site Properties dialog box and connect to your site.

  9. Download your files.


Can't connect from Windows XP

Cannot connect from Windows XP

Some versions of Windows XP have an Internet Firewall built in, which is active by default and blocks FTP traffic. You can turn off this firewall.

To turn off the Windows XP firewall

Follow the instructions Microsoft has posted at http://www.microsoft.com/WINDOWSXP/home/using/howto/homenet/icf.asp


Truncated lists

Truncated listings

If you connect to a server and you see 266-Options: -1 or 226 Output truncated to 2000 matches, it means the server cannot display more than 2000 items in file listings. This is a limitation of the server and not CuteFTP.


Unable to connect to Titan FTP server when using SSL

Disable Reuse cached session for data connection under Tools > Global Options > Security > SSL Security and try again.


Firewall and anti-virus (AV) problems

Firewall problems

Outgoing connections can be affected by the presence of firewall or anti-virus software on the local computer or network connection. Either one may be blocking the ports needed to make a successful FTP connection to the remote server.

If you are using a personal firewall software package please configure it so that ports 20 and 21 are open. It may also be necessary to grant specific permission for CuteFTP to access those ports. If you need help configuring your personal firewall software please consult the documentation or the support section of their Web site.

Symantec (Norton) support site:

http://www.symantec.com/techsupp/support_options.html

McAfee support site:

http://www.mcafeehelp.com

Microsoft has complete instructions on how to disable the Internet Connection Firewall built into some versions of Windows XP.

http://www.microsoft.com/WINDOWSXP/home/using/howto/homenet/icf.asp


Conserve Local File Time" feature doesn't work properly whenconnect to Serv-u FTP Server

Conserve Local File Time feature doesn't work properly when connected to Serv-u FTP Server

Problem

When using CuteFTP (Home and Professional) to connect to Serv-u, the "Conserve Local File Time" feature doesn't work properly.

Cause

The MDTM command is supposed to be used for retrieving a file's time from the server. However, CuteFTP and various other FTP clients use the MDTM command to change (set) an uploaded file's timestamp as well.

The official draft documenting the MDTM command (draft-ietf-ftpext-mlst-16.txt) makes no provisions for using the MDTM command to set the file time stamp, so various clients and servers have ended up implementing the command differently.

The typical command syntax is MDTM YYYYMMDDHHMMSS FILENAME, where the HHMMSS is either the client's actual local time zone, or in the case of some FTP clients, GMT (Greenwich Meridian Time), which mimics the retrieve behavior of MDTM as documented in section 2.3 of the afore mentioned IETF draft.

A couple servers, such as Serv-u, have extended the MDTM command even further, adding a time zone parameter to the end of the MDTM command, as follows: MDTM YYYYMMDDHHMMSS[+-TZ] FILENAME.

CuteFTP does not support this proprietary [+-TZ] parameter. Also, CuteFTP sends the local time for the HHMMSS portion of the MDTM command sequence, not the GMT time. Unfortunately, Serv-u (and potentially a couple other FTP servers) expect the time to be sent in GMT, and automatically adjust the time for the file, causing it to be different than what the client expected.

Example

CuteFTP retrieves a listing. File time shows 8:55 AM:

-rw-rw-rw- 1 user group 20249 May 14 08:55 Reports.cfc

CuteFTP does an MDTM retrieve time to determine what the remote file's time is.

Notice the server sends 12:55 PM, adding 4 hrs. due to the server's time difference and GMT:

COMMAND:> MDTM Reports.cfc

213 20040514125501

CuteFTP uploads the replacement Reports.cfc file:

STOR Reports.cfc

CuteFTP issues an MDTM command to set the time according the actual date and LOCAL time of the file, 12:55 PM:

COMMAND:> MDTM 20040514125501 Reports.cfc

Subsequently we retrieve the list from the server. Notice the time, 8:55 AM.

-rw-rw-rw- 1 user group 20249 May 14 08:55 Reports.cfc

Notice that the server didn't write the 12:55 timestamp as requested. Instead, it assumed the timestamp was in GMT and subtracted 4 hours.

Workaround

There are no known workarounds.

Solution

Don't turn on this feature when connecting to Serv-U or other FTP servers that modify the time sent as part of the MDTM set sequence.


End User License Agreement/home

GlobalSCAPE Texas, LP CuteFTP ® Home Version 8 License

THIS SOFTWARE IS LICENSED, NOT SOLD. YOU MAY USE THIS SOFTWARE ONLY AS DESCRIBED IN THIS AGREEMENT.

IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL THE SOFTWARE OR USE ANY REGISTRATION NUMBER THAT WAS PROVIDED WITH THE SOFTWARE. YOU MAY CONTACT THE WEB SITE OR STORE WHERE YOU PURCHASED THE LICENSE FOR A REFUND IF APPLICABLE.

1. SOFTWARE. The capitalized term "Software" refers to the object code for the computer program known as CuteFTP 8 Home, any updates, supplemental code or programs provided to you by GlobalSCAPE with or in connection with CuteFTP 8 Home, the user's manual and Help file, any components, any related media and printed materials, and any related "online" or electronic documentation.

2. GRANT OF LICENSE. Evaluation License. If you acquired the license for the Software on an evaluation or trial basis, you may use the Software without charge for the evaluation period. Your evaluation period begins on the day you install the Software. You must pay the license fee and register your copy to continue to use the Software after the evaluation period. To pay the license fee and register your copy, you should visit www.globalscape.com or an authorized sales agent. For so long as the Software is the most current version of CuteFTP 8 Home distributed by GlobalSCAPE, you may give exact copies of the evaluation Software to anyone. You may not charge any fee for the copy or use of the evaluation Software itself, but you may charge a distribution fee that is reasonably related to any cost you incur distributing the evaluation Software (e.g. packaging). You must not represent in any way that you are selling the Software itself. Your distribution of the evaluation Software will not entitle you to any compensation from GlobalSCAPE. You must distribute a copy of this license with any copy of the Software and anyone to whom you distribute the Software is subject to this license. You may not remove any copyright, trademark or reservation of rights language displayed on, in or with the Software.

Registered License. When you purchase a license, you will be provided with a registration number. You must enable the registered license for the Software by entering the registration number as prompted by the Software. The term of the license is perpetual unless you purchased a limited term license. You may install and use one copy of the registered Software on the number of computers for which you have purchased a separate license as indicated on the invoice or sales receipt. If the Software is installed on a network server or other storage device, you must purchase a license for each separate computer on which the Software is used or accessed. A license for the Software may not be shared by alternating use of the Software between different computers. If you acquired the Software for a reduced price as an upgrade from a previous version of the Software, you may no longer use the previous version. The primary user of a computer for which a license has been purchased may access the Software via a remote technology, and may make and use one copy of the Software on his or her portable computer. You may also make one copy of the Software for back-up or archival purposes. Otherwise, you may not copy the Software in whole or in part. You may permanently transfer all of your rights under this license if the recipient agrees to the terms of this license, you destroy any copy of the Software not transferred to the recipient, and, if the Software was licensed to you at a reduced price as an upgrade from a previous version, you destroy any copy of any previous version that is not transferred to the recipient. If you purchased the Software on a multi-user basis, you may permanently transfer your rights to one person only, but that person may use the Software on that number of computers for which you purchased a license.

3. RESTRICTIONS. You may not reduce the Software to human readable form, reverse engineer, de-compile, disassemble, merge, adapt, or modify the Software, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation. You may not rent, lease, or lend the Software. You may not use the Software to perform any unauthorized transfer of information, such as copying or transferring a file in violation of a copyright, or for any illegal purpose.

4. SUPPORT SERVICES. GlobalSCAPE may provide you with support services related to the Software. Use of support services is governed by the user's manual, online documentation, and other GlobalSCAPE materials, as they may be modified from time to time. GlobalSCAPE may use any information you provide as part of obtaining support services for its business purposes, including product support and development.

5. INFORMATION COLLECTION. The Software includes a feature that assigns a unique number to your computer based on system information. The Software reports this number to us either when you install the Software or enter your registration number, or both. The Software may also identify and report to us your Windows language identifier setting, IP address, and the date and time of installation and/or registration. We use this information to count the number of installations, detect piracy of the Software, and develop rough statistical data regarding the geographic location of our users. If you register our Software, we tie this information to the personally identifiable information that we have about you.

6. TERMINATION. This license terminates if you fail to comply with its terms and conditions. If your license terminates, you must destroy all copies of the Software. The termination of this license does not limit GlobalSCAPE's other rights it may have by law.

7. INTELLECTUAL PROPERTY. You acknowledge that you have only the limited, non-exclusive right to use and copy the Software as expressly stated in this license and that GlobalSCAPE retains title to the Software and all other rights not expressly granted. You agree not to remove or modify any copyright, trademark, patent or other proprietary notices that appear, on, in or with the Software. The Software is protected by United States copyright, patent and trademark laws and international treaty provisions.

8. EXPORT RESTRICTIONS. You may not export or re-export the Software in violation of the export laws of the United States, or the applicable laws of any other jurisdiction. Among other things, U.S. laws provide that the Software may not be exported or re-exported to certain countries that are embargoed or restricted or to certain restricted persons. Embargoed and restricted countries currently include Cuba, Iran, Iraq, Libya and Sudan.

9. NO WARRANTIES: TO THE EXTENT PERMITTED BY APPLICABLE LAW, THE SOFTWARE AND ANY SUPPORT SERVICES ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. IF APPLICABLE LAW REQUIRES A WARRANTY, THE REQUIRED WARRANTY IS LIMITED TO NINETY (90) DAYS FROM YOUR RECEIPT OF A COPY OF THE SOFTWARE. COMPUTER PROGRAMS ARE INHERENTLY COMPLEX, AND THE SOFTWARE MAY NOT BE FREE OF ERRORS. THE SOFTWARE IS PROVIDED WITH ALL FAULTS AND THE ENTIRE RISK AS TO SATISFACTORY QUALITY, PERFORMANCE, ACCURACY AND EFFORT IS WITH YOU.

10. LIMITATION OF LIABILITY. GLOBALSCAPE IS NOT LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL, OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE, OR USE OF THE SOFTWARE, EVEN IF GLOBALSCAPE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. UNLESS APPLICABLE LAW PROVIDES OTHERWISE, GLOBALSCAPE'S LIABILITY FOR ANY CLAIM RELATED TO YOUR PURCHASE OF A LICENSE FOR OR USE OF THE SOFTWARE, WHETHER IN CONTRACT, TORT, OR ANY OTHER THEORY OF LIABILITY WILL NOT EXCEED THE GREATER OF U.S. $5.00 OR THE LICENSE FEE PAID BY YOU.

11. U.S. GOVERNMENT. The Software is commercial computer software developed solely at private expense. The rights of civilian and non-civilian agencies of the U.S. Government to use, disclose and reproduce the Software are governed by the terms of this License. Publisher is GlobalSCAPE Texas, LP, 6000 Northwest Parkway, Suite 100, San Antonio, Texas, 78249, USA.

12. SECURITY. You agree that GlobalSCAPE is not liable to you for security breaches resulting from your use of the Software. The security of the Software depends primarily on you selecting a secure password and keeping it confidential. You should not select a password that may be easily discovered by others. For example, you should not use a word or sequential series of numbers. We recommend a random choice of at least 6 mixed alpha and numeric characters, with variations between upper and lower case.

13. AUDIT. You agree that on GlobalSCAPE's request you will certify in writing your compliance with the terms of this license, including your use of the Software only on the number of computers/servers licensed.

14. MISCELLANEOUS. This license is governed by the laws of the State of Texas, U.S.A. This license is not governed by the United Nations Convention of Contracts for the International Sale of Goods. You agree to submit to the jurisdiction of courts sitting in the State of Texas for all purposes. Sole and exclusive venue for any dispute arising under or relating to this agreement shall be in a court sitting in Bexar County, San Antonio, Texas. This license constitutes the complete and exclusive agreement between us, notwithstanding any provision in any purchase order or other written document, except for our except for the definition of any evaluation period or limited term license appearing on the Web or other documentation accompanying the license and the statement of the number of separate user license fees for which you have paid as described in Section 2, above. This license may only be modified by a written document signed by GlobalSCAPE. No GlobalSCAPE dealer or distributor is authorized to change the terms of this license. If any provision of this license is held to be unenforceable, the remainder of the license shall not be affected, and the unenforceable provision shall be reformed to the extent necessary to make the provision enforceable. If you are located outside the United States, then the following provision applies: Les parties aux présentés conferment leur volonté que cette convention de même que tous les documents y compris tout avis qui SHY rattaché, soient redigés en langue anglaise. (Translation: "The parties confirm that this Agreement and all related documentation is and will be in the English language.")

Should you have any questions concerning this license, or if you desire to contact GlobalSCAPE for any reason, please contact GlobalSCAPE by mail at: 6000 Northwest Parkway, Suite 100, San Antonio, Texas, 78249, USA, by telephone at: (210) 308-8267, or by electronic mail from: http://support.globalscape.com.


OpenSSL License Agreement

This program includes software developed by the OpenSSL Project which was used by GlobalSCAPE pursuant to the following license.

Copyright (c) 1998-2003 The OpenSSL Project. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. All advertising materials mentioning features or use of this software must display the following acknowledgment: "This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit. (http://www.openssl.org/)"

4. The names "OpenSSL Toolkit" and "OpenSSL Project" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact openssl-core@openssl.org.

5. Products derived from this software may not be called "OpenSSL" nor may "OpenSSL" appear in their names without prior written permission of the OpenSSL Project.

6. Redistributions of any form whatsoever must retain the following acknowledgment: "This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/)"

THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OpenSSL PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

This product includes cryptographic software written by Eric Young (eay@cryptsoft.com). This product includes software written by Tim Hudson (tjh@cryptsoft.com).


Zlib License Agreement

zlib License Agreeement

This program includes Info-Zip Software which was used by GlobalSCAPE pursuant to the following license.

zlib.h -- interface of the 'zlib' general purpose compression library version 1.2.1, November 17th, 2003

Copyright (C) 1995-2003 Jean-loup Gailly and Mark Adler

This software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software. Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.

2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.

3. This notice may not be removed or altered from any source distribution.

Jean-loup Gailly jloup@gzip.org

Mark Adler madler@alumni.caltech.edu


Absolute path

A designation of the location of a file which is given in relation to the root directory: it includes the root directory and the descending series of subdirectories leading to the end file. An absolute, or full, path begins with a slash. It contains the full directory of the item being referenced. Example: /pub/cuteftp.


Adding counters and other utilities

Other than what is available in this help file, GlobalSCAPE does not offer support for creating or coding HTML. If you want to add counters, animations, or other special effects to a Web page, you will need to seek other sources. Many such items are available via a search on the World Wide Web.


Apply this rule for all current transfers

Why does "Use rules" for matching files not seem to work?

When you use rules for all transfers in the queue, you create a RULE based on the scenario encountered and the option you chose. CuteFTP then applies that newly created rule for all subsequent transfers from the same site during current sessions.

For example, suppose you choose Skip as the option for a certain scenario and then enable Apply this rule for all transfers in the queue. All subsequent encounters with this scenario will then be assigned the Skip option. If the prompt appears again, it is because a new scenario was encountered which did not meet the criteria established when you created the temporary rule.

The following scenarios are examples of how Apply this rule for all current transfers in the queue will function during a download:

Scenario 1:

Local (destination) name: test.txt Date: 2-5-02 Size 56 bytes

Remote (source) name: test.txt Date: 2-5-02 Size 85 bytes

Rule chosen by user: Skip (since local file is larger) and Apply to all subsequent...

Any subsequent encounters with this scenario will be assigned the Skip option.

Scenario 2:

Local (destination) name: bob.txt Date: 2-5-02 Size 56 bytes

Remote (source)name: bob.txt Date: 2-9-02 Size 56 bytes

Rule chosen by user: Overwrite (since local file is older) and Apply to all subsequent...

Any subsequent encounters with this scenario will be assigned the Overwrite option.

Summary

If it seems like your rule is being ignored during transfers, then it is because there are subtle differences between the current scenario and the one for which you established your initial rule.

To verify differences between scenarios, you could add the current overwrite prompt scenario to Global Options as a permanent rule and then do the same for subsequent prompts. Then you could compare the rules created, examining the differences between them.

Remember that Apply this rule for all current transfers in the queue creates a temporary rule, so it's not possible to examine the rule itself, which is why adding it as a permanent rule may help clarify any ambiguities.


Automatically closing the overwrite pop-up window

To automatically close the overwrite pop-up window

  1. On the menu bar click Tools > Global Options > Smart Overwrite

  2. Select a default Prompt timeout action.

  3. Place a checkmark in the Timeout in checkbox.

  4. Enter the value (in seconds) in which to automatically close the overwrite prompt and apply the default action selected above.

  5. Click OK to exit Global Options.

Notes

The overwrite window appears whenever you try to upload a file to a directory where a file with the same name already exists, even if the name is not in the same letter case.


Backing up local files to remote host in CuteFTP Home

Backing up local files to remote host

You can back up files and folders from your local computer to a remote host. The Local Backup Wizard guides you through the process of selecting the files and folders to be backed up and specifying other settings.

To backup local files to remote host

  1. From the CuteFTP menu, select Tools > Folder Tools > Backup Local to Remote. The Choose Backup or Restore dialog box opens.

  2. Select the Create Backup option and click Next. The Local Backup Wizard opens. The Local Backup Wizard contains the list of all local files and directories on your local computer.

  3. Select the check box adjacent to files and folders to select the files and folders to backup.

  4. Click Next.

  5. Select the site and enter the path of the remote folder where you want to save the backup and click Next.

  6. Select the compression settings from the following options.

    • No compression

    • Compress all files to a single ZIP file - ZIP is an industry standard archival method. ZIP supports most of the files, but provides medium compression.

    • Compress all files to a single CAB file - CAB is a Microsoft format. It provides stronger compression than ZIP.

    • Compress all files to single GZIP file - GZIP/tar is a UNIX format. Files are stored in a “Tarball”, and then compressed.

  7. Click Next.

  8. Select the Immediately run backup job option to take the backup immediately.

Or

Select the Schedule local backup check box to set the date and time.

  9. Set the date and time for the local backup from the Start on calendar if you select the Schedule option.

  10. Select the Enable recurrence check box to repeat the synchronization after a specified period.

  11. Select a number from the Repeat every list and a time unit from the adjoining list.

  12. Specify a name for the backup folder in the Name field.

  13. Click Finish. The backup folder appears in the remote folder of the server.


Broken transfers

If you manually interrupted a transfer or it was interrupted due to server or connection problems and you need to resume it, simply attempt to transfer the file into the same folder you did the first time. CuteFTP will attempt to resume broken transfers automatically (as long as it is in the context of the original transfer sequence).

To check if the FTP site your are connecting to can resume a user aborted download, during login, watch the status window for a message that reads This site can resume aborted downloads. If the site cannot resume the download, you will get the message This site cannot resume aborted downloads. To resume uploads the server must also support the Unix command APPE.


Changing file list sorting schemes

Choosing file list sorting schemes

To choose a file list sorting scheme

  1. On the menu bar, go to Tools > Global Options.

  2. Highlight Display.

  3. Select Use Smart Sorting for Alphanumeric file names.

OR

  • Select Use Standard lexicographic sorting for alphanumeric file names.

Tip

Smart Sorting always lists file names with smaller numbers first. For instance A2 would come before A12. David Wincelberg developed Smart Sorting. CuteFTP uses Smart Sorting by default.

Standard Lexicographic sorting lists file names using one character at a time reading from left to right. For instance A2 would come AFTER A12. MS Windows uses Standard Lexicographic sorting by default.

Smart Sorting | Standard sorting
FileA1.ext | FileA1.ext
FileA2.ext | FileA12.ext
FileA6.ext | FileA2.ext
FileA9.ext | FileA20.ext
FileA12.ext | FileA21.ext
FileA20.ext | FileA6.ext
FileA21.ext | FileA9.ext


CHMOD Permissions

About CHMOD Permissions

For your CGI program to run, it must be executable by your Internet server. Therefore, you must set the permissions so the server can read or execute your files, which usually means making your CGI programs world executable. Set your file permissions by using the CHMOD commands. The CHMOD’s permission mask is a three-digit number.

  • First digit: Defines the permissions for the owner.

  • Second digit: Defines the permissions for the group.

  • Third digit: Defines the permissions for everyone else (referred to as public).

Each digit works the same for each group of users: the owner, group, and public. What you set for one digit has no effect on the other two digits. Each digit is made up of the three Read, Write, and Execute permissions. The Read permission value is 4, the Write permission value is 2, and the Execute permission value is 1. These three numbers are added together to get the permissions for a file. If you want a file to only be readable and not writable or executable, set its permission to 4. This works the same for Write and Execute. Executable only files have a permission of 1.

EXAMPLE: If you want a file to have Read and Write permissions, add the Read and Write values together (4+2) and you get 6-the permissions setting for Read and Write. If you want the file to have Read, Write, and Execute permissions, use the value 7 (4+2+1). Do this for each of the three permission groups and you get a valid CHMOD mask. If you want your file to have Read, Write, and Execute permissions (4+2+1) for yourself; Read and Execute (4+1) for your group; and Execute (1) only for everyone else, you would set the file permissions to 751.


Downloading episodes

To download an episode

  1. Select the episode you want to download, and click [image] Download.

  2. The Episode appears in the Queue Pane of the CuteFTP window.

To download all episodes

  1. Select the feed and click [image] Download or right-click the selected feed and select Download.

  2. Click OK.


Exporting FTP sites

You can export your Site Manager listings as a text file in two different formats. You may export the listings as URLs only, or as a more detailed listing of hostnames, directories and descriptions. Exporting an FTP site is useful if any other user requires site configuration.

To export your Site Manager listings

  1. From the CuteFTP menu, select Tools > Site Manager > Import/Export FTP Sites. The Choose import or export site manager wizard opens.

  2. Select the Export option and click Next.

  3. Select the file format from the following options.

    • As text, to generate a list of sites in plain text.

    • As URL, to generate a list of sites as Web addresses.

  4. Click Next.

  5. Browse for the file to define the path for the new file. The Save As dialog box opens.

  6. Enter a name for the file in the File name field and click Save.

  7. Click Finish.


Filtering episodes from feeds in publications

Filtering episodes from channels in publications

For your convenience, you can filter the fields in a channel based on various conditions to display only those fields that meet the filtering criteria.

To filter episodes in a channel

  1. Select the channel in the Navigation pane, and click Filter [image] on the toolbar.

  2. A Filter Episodes dialog box opens.

  3. Enter the filter criteria and click OK.

  4. This filters the episodes according to the criteria you specify.

The conditions that you can specify are as follows:

There are two combo boxes and a value text field.

The first combo box displays the following options.

  • Title or Details

  • Title

  • Details

The second combo box displays the following options.

  • Contains

  • Does not contain

The blank field is the value field. Specify the value in that field.

For example, if you want to filter the episodes to view only those episodes that contain “news” in the title, specify the conditions as follows:

  1. Select the Title option from the first combo box and Contains from the adjacent combo box.

  2. Enter News as the value in the blank field and click OK.

  3. The episodes that have news in their title are displayed.

To view all the episodes again

  • Click Filter [image] on the toolbar.


General settings/home

General settings

Use General settings to choose when to launch CuteFTP, other startup options, and which folder to show in the Local Drives pane.

To display the General Settings window

  1. On the menu bar, go to Tools > Global Options.

  2. Click General.

Program startup events

  • Start the CuteFTP on Windows® startup

  • Select this check box to have CuteFTP start automatically when you start your computer.

  • Clear this check box and CuteFTP won't start automatically when you start your computer.

  • On startup

  • Choose Display Site Manager to display the Site Manager automatically when launching CuteFTP.

  • Choose Do Nothing to keep the Site Manager from automatically displaying when launching CuteFTP.

Download folder defaults

  • Use the current folder in the local pane as the default

  • Select this check box and remote items dragged to the queue will be downloaded to the folder displayed in the Local Drives pane.

  • Clear this check box to activate the following option where you can enter a path to a specific folder.

  • Use

  • Browse or type the path to a download location for remote items you place in the queue. With this option, all remote items dragged to the queue will be downloaded to the folder you chose.


HTML Anchors

Add an anchor to HTML documents to create a link. Anchor is another word for Hyperlink. Type in the Web address where you want the link to go. The target defines how the linked information will display. The name is the word or words that appear in your document as the link.


HTML tags

General tags

Structure tags

Formatting tags

Link and graphic tags

Divider tags

List tags

Background and color tags

Special characters

Form tags

Table tags

Frame tags

Java tags

Miscellaneous HTML tags


Importing SM data

Importing FTP sites

You can add sites to your Site Manager from simple text listings or from site listings in the following FTP clients:

  • CuteFTP Pro 1.0-3.3 (sm.dat)

  • CuteFTP Pro exported sites list (*.txt)

  • CuteFTP 4.0-6.0 (sm.dat)

  • CuteFTP 2.6-3.5 sites (smdata.dat)

  • CuteFTP 1.4-2.0 (tree.dat)

  • CuteFTP 1.3 (hosts.dat)

  • Blu Zone v1.0-v2.11

  • CoffeeCup 4.0-4.5 (FTPServers.ini)

  • Crystal FTP 2000

  • FTP Commander 4.0 (ftplist.txt)

  • FTP explorer 1.00

  • FTP Voyager 6.0-8.0 (ftpvoyager.ftp)

  • Generic Site List from text (*.txt)

  • LapLink 2.0

  • TransSoft 4.4

  • WS_FTP 5.0 (ws_ftp.ini)

  • WS_FTP 6.0-7.0 (ws_ftp.ini)

To import FTP sites

  1. From the CuteFTP menu, select Tools > Site Manager > Import/Export FTP Sites. The Choose import or export site manager wizard opens.

  2. Select the Import option and click Next.

  3. Select the application that you want to import to CuteFTP or a file from the application list and click Next.

  4. Select the conversion type from the following options.

    • Merge the entries into the existing Site Manager

    • Create a new Site Manager with these entries

  6. Click Next.

  7. If you select the Merge the entries into the existing Site Manager option, browse for the old database file to be merged and click Next.

Or

If you select the Create a new Site Manager with these entries option, browse for the old database file and the new database file.

  8. Click Find Site Database Tool [image] to open the list of sites.

  9. Select the site you want to import and click OK.

  10. Click Finish.


Making your first connection using connection wizard

Making your first connection

CuteFTP allows you to connect to a site, upload files to a server, and download files from a server to your local computer. To upload files to a server and download files from a server, you must log on to that server through your FTP client computer. CuteFTP Connection Wizard helps you to connect to a site and save the site to the Site Manager.

To connect to an FTP site

  1. From the CuteFTP menu, select File > Connect > Connection Wizard or click Connection Wizard [image] . The CuteFTP Connection Wizard opens.

  2. Enter a name for your site in the Site Name field. You can enter any name.

  3. Enter the IP address of the host or the FTP URL provided to you by the administrator of the site you want to connect to in the Host Address field. For example, 64.243.64.21 or ftp.example.com.

  4. Click Next.

  5. Enter the user name given to you by your hosting provider in the User Name field.

  6. Enter the password given to you by you by your hosting provider in the Password field.

  7. Select a login method from the following options.

    • Normal - The user name and password are mandatory to connect to a site.

    • Anonymous - The site does not require any user name and password.

    • Double - The user name and password are required twice to connect to a site.

  8. Click Next. The Connecting to Site message box opens.

  9. Click Cancel to cancel the connection or change the host address.

  10. If the host address is not correct, the error message The host validation failed. Check that the username and password are correct is displayed.

  11. Browse for the default folder from where you want to upload the file to the server or where you want to download the file from the server in the Default Local Folder field.

  12. Enter the path of the remote folder where you want to upload the file in the Default Remote Folder field.

  13. Click Next.

  14. Click Finish. Cute FTP connects to the site and saves the site in the Site Manager.


Open containing folders

Opening containing folder

This allows you to open in Windows Explorer the local folder that contains the local copy of the episode.

To open the local folder

  1. In the Episode pane, right-click an episode and select Open Containing Folder.

  2. The folder where the episode is downloaded opens.


Permissions details

Use permissions to define who can and cannot view files or folders, who can and cannot run files, and who can and cannot change files or folders on a server.

CuteFTP uses the CHMOD command to change file permissions on remote servers.

CHMOD permission mask

The CHMOD’s permission mask is a three-digit number. Note that each digit of the number defines the permission for a different user of the file.

  • First digit: Defines the permissions for the owner.

  • Second digit: Defines the permissions for the group.

  • Third digit: Defines the permissions for everyone else (referred to as public).

Each digit works the same for each group of users: the owner, group, and public. What you set for one digit has no effect on the other two digits. Each digit is made up of the three permissions. Each permission has a numerical value.

  • Read - 4

  • Write - 2

  • Execute - 1

These three numbers are added together to get the permissions for a file. If you want a file to only be readable and not writable or executable, set its permission to 4. This works the same for Write and Execute. Files that are only Executable have a permission of 1.

Examples

If you want a file to have Read and Write permissions, add the Read and Write values together (4+2) and you get 6—the permissions setting for Read and Write. If you want the file to have Read, Write, and Execute permissions, use the value 7 (4+2+1). Do this for each of the three permission groups and you get a valid CHMOD mask. If you want your file to have Read, Write, and Execute permissions (4+2+1) for yourself; Read and Execute (4+1) for your group; and Execute (1) only for everyone else, you would set the file permissions to 751.

A file with full permissions granted to everyone would have a CHMOD mask of 777.


Playing episodes from channels in publications

You can play an episode you want to upload.

To play an episode from channels in publication

  1. In the Navigation pane, click the Publications tab and then select a channel.

  2. In the Episodes pane, select the episode that you want to play and click Play [image] or right-click the episode and select Play from the shortcut menu. You can also double-click an episode to play the episode in the default media player.


Proxy settings for individual sites

You can set individual sites to connect through a proxy server in the Site Manager.

To setup a proxy connection for an individual site

  1. Highlight the site in the Site Manager.

  2. (CuteFTP Professional only) On the menu bar, click File > Properties.

  3. Click the Options tab.

  4. In the Site specific configuration options list, choose Use site specific option.

  5. Click the Proxy button.

  6. In the Proxy type list select either FTP or HTTP to match the protocol your proxy server supports.

  7. In Host name, type in the name of the proxy server.

  8. In the Port box, type the proper port for the proxy server. The default port for proxy servers is 8000.

  9. If the proxy server requires a user name and password, or some other authentication, select the Use authentication check box. If the proxy server doesn't require authentication, skip to step fifteen.

  10. Enter your proxy User name.

  11. Enter your proxy Password.

  12. If your proxy server only requires the user name and password you entered skip to step fifteen. If the proxy requires a different authentication method, click Advanced and continue with step thirteen.

  13. Choose one of the following advanced authentication methods.

    • Choose USER user @site when your proxy server requires the USER command followed by your user name and the site name to allow connection with a remote site. You can replace the @ sign with a different separator to match what your proxy server requires.

    • Choose SITE site when your proxy server requires the SITE command followed by the address of the remote FTP site to allow a connection.

    • Choose USER with logon when your proxy server requires the USER command followed by a user name and password to allow connection with a remote site.

    • Choose USER/PASS/ACCT when your proxy server requires all three commands before allowing a connection to a remote site.

    • Choose OPEN site when your proxy server requires the OPEN command followed by the site name before allowing connection to the site.

    • Choose Custom when your proxy server requires a login sequence different from those above.

  14. Click OK to return to the Proxy window.

  15. Click OK to accept your Proxy settings.

  16. Click Connect or Exit to close the Site Manager.

Note

Contact your system administrator for the proper Host name, Port, User name, Password, and proxy type, as well as any required advanced authentication methods.

To create a custom authentication method for a proxy server

  13. Type a command.

  14. Follow the command with a space and an appropriate variable. Choose from the variables listed.

    • %host% sends the host name you typed in the Proxy server options window.

    • %user% sends the user name you typed in the Proxy server options window.

    • %pass% sends the password you typed in the Proxy server options window.

    • %port% sends the port number you typed in the Proxy server options window.

    • %fire_pass% sends the password you typed in the Proxy server options window as authentication for the firewall.

    • %fire_user% sends the user name you typed in the Proxy server options window as authentication for the firewall.

  15. Type each variable with percent signs before and after.

  16. Press the Enter key to separate commands.

  17. Enter any other commands and variables, separating commands with a line break.

  18. Click OK.


Relative path

A relative path assumes that your current working directory is the directory for the item being referenced. It does not begin with a backslash.

Example

pub/cuteftp


Renaming channels in subscriptions

By default, a subscribed channel is added with its channel name. You can rename a subscribed channel.

To rename a channel in subscriptions

  1. Select Subscriptions in the Navigation pane, then right-click the channel you want to rename and select Rename from the shortcut menu.

  2. Enter a name for the channel.

  3. Click Apply to save the changes.


Restoring backup from remote host to local computer in Home

Restoring backup from remote host to local computer

You can download and restore files from a backup created by you on the remote computer to your local computer. The Local Restore Wizard guides you through the process. Refer Backing up local files to remote host for more information.

To restore backup to local computer

  1. From the CuteFTP menu, select Tools > Folder Tools > Backup Local to Remote. The Choose Backup or Restore dialog box opens.

  2. Select the Restore option and click Next. The Local Restore Wizard opens.

  3. Select the backup folder you want to restore from the Job list. The job list contains the list of all the backup folders.

  4. Click Next. The Files and Folders to restore page opens. It displays the list of all the backup files and folders in the remote pane.

  5. Select the files and folders to restore from the backup on the remote host to your local computer and click Next.

  6. Select the overwrite rules for matching filenames from the following options.

    • Use global overwrite settings: This is the default selection. This option uses overwrite settings configured for all sites in Tools > Global Options > Transfer > Smart Overwrite.

    • Overwrite: The transferring file replaces the destination file. When mirroring both folders, the most recent version of the file is kept.

    • Numerate: Both files are kept, and one is renamed with a number to distinguish between the two.

    • Skip: Ignores matching files and transfers only those files that are not present on the other system.

  7. Click Next to start the restoration process.

  8. Click Stop to stop the restoration of the files.

  9. Click Finish to exit the wizard or click Cancel to cancel the restoration process.


RFC compliant PASV mode

You can see in the correct timing how the LIST command comes after a connection is established.

CORRECT TIMING (Supported by all except WARFTPd)

COMMAND:> PASV

227 Entering Passive Mode (12,123,12,12,123,12).

STATUS:> Connecting ftp data socket 12.123.2.11:12345...

STATUS:> Passive connection established.

COMMAND:> LIST

INCORRECT TIMING (Support by most servers except for some older versions of IIS)

COMMAND:> PASV

227 Entering Passive Mode (12,123,12,12,123,12).

COMMAND:> LIST

STATUS:> Connecting ftp data socket 12.123.2.11:12345...


Scheduling downloads

To schedule downloads

  1. Connect to a remote site.

  2. Select the destination folder in the Local Drives pane.

  3. In the Remote pane, select the file or folder you want to transfer.

  4. From the menu, choose File > Download Advanced > Download Scheduled. The Scheduling Properties dialog appears.

  5. Select the Schedule the current item check box.

  6. In the Start on option boxes, choose a date and time.

  7. Select the Enable Recurrence check box and continue with step eight if you want the download to repeat automatically. If you do not want the download to repeat automatically, clear the Enable Recurrence check box and skip to step nine.

  8. In the Repeat every option boxes, choose how often you want the download to repeat.

  9. Select OK.


Scheduling uploads

You can schedule uploads from your local computer to a server.

To schedule uploads

  1. Connect to your site.

  2. Click the Local drives tab and select the file you want to upload.

  3. From the CuteFTP menu, select File > Upload Advanced > Upload Scheduled or right-click the file and select Upload Advanced > Upload Scheduled from the shortcut menu. The Upload Scheduled Wizard opens.

Note:

The Upload Advanced option is enabled only when a file is selected.

  4. Click Add File to add files to the Files or folders to upload list. The Open dialog box opens.

  5. Navigate to the file you want to upload and click Open or click Cancel to exit the dialog box.

  6. Click Add Folder to add the folder to the Files and Folders to upload list. The Browse For Folder dialog box opens.

  7. Select the folder you want to upload and click OK.

  8. Click New Folder to create a new folder in the local drive or folder of your choice, and then click OK.

  9. Click Next.

  10. Enter the path of the upload destination folder where you want to upload files in the Select upload destination field.

  11. Click Next.

  12. Set the date and time for the upload from the Start on calendar and the Time list.

  13. Click Next.

  14. Select the Enable recurrence check box to repeat the uploads after a specified period.

  15. Select a number from the Repeat every list and a time unit from the adjoining list.

  16. Click Next.

  17. Review the settings and click Back to change them or click Finish.


Secure Sockets Layer (SSL)

SSL is an open standard originally developed by Netscape Communications for establishing a secure communications channel to prevent the interception of critical information. SSL uses public key encryption.

For more detailed information on SSL, go to the main CuteFTP Help Contents and choose Learning about SSL in the Security section.


Server side filters

These parameters ask the server to list files and folders in specific ways or with specific information. They are case sensitive, and can be used in groups such as -rtaF. Always type the filter with a minus sign at the beginning. Here are a few examples;

Filter | Function
-a | Displays hidden files along with unhidden files; hidden files have a '.' as the first character in the filename.
-l (ell) | List in long format, giving mode, number of links, owner, group, size in bytes, and time of last modification for each file.
-r | Reverse the order of sort to get descending lists.
-t | Time-sorted, most recent first.
-R | Recursively look into sub-directories.
-C | Displays the files in a columnar format.
-F | Displays a '/' at the end of subdirectories.
-L | If the argument is a symbolic link, list the file or directory to which the link refers rather than the link itself.


Site Manager import text file format

You can format your text file as a column of URLs or column of data. Each row must be followed by a line break.

URL format (no spaces)

Protocol://Username:Password@Hostname/home_folder_path

Example

ftp://jdoe:asdf1234@ftp.cuteftp.com/pub

Data format

Site Label: Your Site Name

HostName: Your Host Address

Username: Your Username

Password: Your Password

Port: Port Number

Default remote folder: /folder you want to go to

Comments: Anything you want to add to the comment box

Protocol Type: See protocol in Notes below.

Uses passive mode (or Uses port mode)

Example (include record names)

Site Label: CuteFTP Server

HostName: ftp.cuteftp.com

Username: jdoe

Password: asdf1234

Port: 21

Default remote folder: /pub

Comments: This is my account on the CuteFTP server.

Protocol Type: ftp

Uses passive mode

Notes

Protocol is:

FTP = ftp

FTPS Implicit = ftps

FTPS explicit = ftps2

FTPS TLS = ftps3


Smart Overwrite example

The following table shows the effect of one rule listed in the Smart Overwrite rule list.

The rule is; If the destination file date is <newer> and the size is <larger> during <upload> then <overwrite>. If no rule can be applied then <show prompt> is also selected.

File location | File time stamp | File size | Transfer Direction | Result
Local file | 8/13/02 9:00 | 80kb | Upload | transferred
Remote file | 8/14/02 7:00 | 90kb |  | replaced
Local file | 8/13/02 9:00 | 80kb | Upload | Prompt appears
Remote file | 8/12/02 7:00 | 90kb
Local file | 8/13/02 9:00 | 90kb | Upload | Prompt appears
Remote file | 8/14/02 7:00 | 90kb
Local file | 8/13/02 9:00 | 80kb | Download | Prompt appears
Remote file | 8/14/02 7:00 | 90kb


SOCKS settings for individual sites

You can set individual sites to connect through a SOCKS4 or SOCKS5 server in the Site Manager.

To setup a SOCKS connection for an individual site

  1. Highlight the site in the Site Manager.

  2. (CuteFTP Professional only) On the menu bar, click File > Properties.

  3. Click the Options tab.

  4. Choose Use site specific option, from the Site specific configuration options list.

  5. Click the SOCKS button.

  6. In the SOCKS type list select Don't use socks, SOCKS4, or SOCKS5.

  7. In Host name, type in the name of the SOCKS server.

  8. In the Port box, type the proper port for the SOCKS server. The default port for SOCKS servers is 1080.

  9. If you chose Don't use socks or SOCKS4 skip to step 12. If you chose SOCKS5 it may require a user name and password. If this is the case, select the Use authentication check box and continue with step 10. If your SOCKS5 server doesn't require a user name and password clear the Use authentication check box and skip to step 12.

  10. Enter your SOCKS User name.

  11. Enter your SOCKS Password.

  12. Click OK to accept your SOCKS settings.

Note

Contact your system administrator for the proper Host name, Port, User name, Password, and SOCKS type, as well as any required user names and passwords.


SSL Certificate Wizard Page 1

To open the Certificate Wizard

  1. On the menu bar, choose Tools > Global Options. The Global Options window appears.

  2. In the left pane, expand Security.

  3. Select SSL Security.

  4. In the right pane, click Create certificate.

To create a certificate

  1. Enter the Certificate Set Name - This will be the name of the certificate generated by the Certificate Wizard.

  2. Enter the Output Location - Type a path or click the browse button to choose the folder where you will save the certificate.

  3. Choose a Key length in bits - this defines the size of your key, smaller keys require less processing time, larger keys are more secure.

  4. Choose an Expiration date - This defines how long the certificate will remain valid.

  5. Enter and confirm the Pass Phrase - The Pass Phrase can be any combination of characters or spaces. It is used to encrypt the private key. Do not lose the pass phrase. The certificate will be useless without it.

  6. Click the Next button.


SSL Certificate Wizard page 2

  1. Enter the City/Town - Location of your organization.

  2. Enter the State/Province - Location of your organization.

  3. Enter the Organization - The name of your organization.

  4. Enter the Common Name - Typically your name or the domain name associated with your site.

  5. Enter the E-mail address - Your e-mail address.

  6. Enter the Unit - The name of your department, i.e. Information Systems.

  7. Enter the Country - The two-letter code for your organization's nation.

  8. Click the Next button.


SSL Certificate Wizard Page 3

  1. Select the Set up CuteFTP to use the generated certificate check box - the wizard will automatically associate the certificate to CuteFTP. It can later be unassociated by clearing the Use SSL Certificate check box in Tools > Global Options > Security > SSL. If the check box is cleared, the wizard will only save the certificate files in the directory you specified in Step four on the first page of the wizard.

  2. Click Finish.

  3. CuteFTP will display the paths to all the files generated for your certificate. If you want a third party to sign your certificate, you will need to send the Certificate Signing Request (.csr) file to the third party.

  4. Click OK.

Notes

When you create a certificate CuteFTP generates three files;

  • A Private key file (.key) - The private key should never be distributed to anyone. It is used to decrypt sessions encrypted by a public key.

  • A Certificate request file (.csr) - This file can be signed by GlobalSCAPE Secure FTP Server's Certificate Signing Utility or sent to an intermediate Certificate Authority such as Verisign or Thawte for signing.

  • A Certificate file (.crt) - This is a signed certificate, whether self-signed or signed by an intermediate certificate authority.

If the server will accept self-signed certificates, you will be able to connect with the files you just created.


Wildcard masks

Wildcard masks are patterns of special characters used to filter files/folder names or transfers. When a wildcard mask is matched against a filename, the two patterns are compared, letter-by-letter, from left to right until a mismatch occurs. If all the characters in both patterns compare positively, the filename matches the Wildcard Mask.

Wildcard mask characters

? Will match any singe character (i.e. ? will match a,b,c,1,2,etc...)

* Will match any sequence of characters (including no characters at all), terminated by the next character in the mask. (i.e. *a will match cutea, wwwa, zzza, etc.).

[ ] Will match any character in the character set enclosed in the brackets. This can also be a range of characters (i.e. [A - Z] ).

If the opening bracket is followed by “!", will match any character NOT in the set. (i.e. [!abc] will match any character except a,b,c)

Wildcard Mask Examples

Mask | Will Match | Will NOT Match
* | all files |
*.bmp | sample.bmp, xyz.bmp | sample.gif
x?z | xyz, xaz | xyy, zyz
a[xyz]c | axc, ayc, azc | abc, awc
a[!xyz]c | abc, adc, awc | axc, ayc, azc
a[a-c]d | aad, abd, acd | add, axd